!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 323

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(2921)
  integer, parameter :: nGC_8228 = 1
  integer, parameter :: nGC_8229 = 2
  integer, parameter :: nGC_8222 = 3
  integer, parameter :: nGC_8223 = 4
  integer, parameter :: nGC_8220 = 5
  integer, parameter :: nGC_8221 = 6
  integer, parameter :: nGC_8226 = 7
  integer, parameter :: nGC_8227 = 8
  integer, parameter :: nGC_8224 = 9
  integer, parameter :: nGC_8225 = 10
  integer, parameter :: nGC_7907 = 11
  integer, parameter :: nGC_7908 = 12
  integer, parameter :: nGC_8316 = 13
  integer, parameter :: nGC_8317 = 14
  integer, parameter :: nGC_8314 = 15
  integer, parameter :: nGC_8315 = 16
  integer, parameter :: nGC_8312 = 17
  integer, parameter :: nGC_8313 = 18
  integer, parameter :: nGC_8310 = 19
  integer, parameter :: nGC_8311 = 20
  integer, parameter :: nGC_8318 = 21
  integer, parameter :: nGC_8488 = 22
  integer, parameter :: nGC_8487 = 23
  integer, parameter :: nGC_8002 = 24
  integer, parameter :: nGC_8003 = 25
  integer, parameter :: nGC_8000 = 26
  integer, parameter :: nGC_8001 = 27
  integer, parameter :: nGC_8006 = 28
  integer, parameter :: nGC_8007 = 29
  integer, parameter :: nGC_8556 = 30
  integer, parameter :: nGC_8557 = 31
  integer, parameter :: nGC_8558 = 32
  integer, parameter :: nGC_8559 = 33
  integer, parameter :: nGC_8008 = 34
  integer, parameter :: nGC_8009 = 35
  integer, parameter :: nGC_8110 = 36
  integer, parameter :: nGC_8111 = 37
  integer, parameter :: nGC_8112 = 38
  integer, parameter :: nGC_9373 = 39
  integer, parameter :: nGC_8114 = 40
  integer, parameter :: nGC_8115 = 41
  integer, parameter :: nGC_8178 = 42
  integer, parameter :: nGC_8179 = 43
  integer, parameter :: nGC_8176 = 44
  integer, parameter :: nGC_8170 = 45
  integer, parameter :: nGC_8171 = 46
  integer, parameter :: nGC_7909 = 47
  integer, parameter :: nGC_349 = 48
  integer, parameter :: nGC_347 = 49
  integer, parameter :: nGC_343 = 50
  integer, parameter :: nGC_8604 = 51
  integer, parameter :: nGC_8605 = 52
  integer, parameter :: nGC_168 = 53
  integer, parameter :: nGC_169 = 54
  integer, parameter :: nGC_162 = 55
  integer, parameter :: nGC_163 = 56
  integer, parameter :: nGC_160 = 57
  integer, parameter :: nGC_166 = 58
  integer, parameter :: nGC_167 = 59
  integer, parameter :: nGC_164 = 60
  integer, parameter :: nGC_165 = 61
  integer, parameter :: nGC_8608 = 62
  integer, parameter :: nGC_8609 = 63
  integer, parameter :: nGC_8257 = 64
  integer, parameter :: nGC_8704 = 65
  integer, parameter :: nGC_7973 = 66
  integer, parameter :: nGC_7972 = 67
  integer, parameter :: nGC_7971 = 68
  integer, parameter :: nGC_7970 = 69
  integer, parameter :: nGC_7977 = 70
  integer, parameter :: nGC_7976 = 71
  integer, parameter :: nGC_7975 = 72
  integer, parameter :: nGC_7974 = 73
  integer, parameter :: nGC_8701 = 74
  integer, parameter :: nGC_7979 = 75
  integer, parameter :: nGC_8252 = 76
  integer, parameter :: nGC_8363 = 77
  integer, parameter :: nGC_8362 = 78
  integer, parameter :: nGC_8361 = 79
  integer, parameter :: nGC_8360 = 80
  integer, parameter :: nGC_8367 = 81
  integer, parameter :: nGC_8366 = 82
  integer, parameter :: nGC_8365 = 83
  integer, parameter :: nGC_8364 = 84
  integer, parameter :: nGC_8369 = 85
  integer, parameter :: nGC_8368 = 86
  integer, parameter :: nGC_MHL = 87
  integer, parameter :: nGC_MHH = 88
  integer, parameter :: nGC_8569 = 89
  integer, parameter :: nGC_8568 = 90
  integer, parameter :: nGC_8565 = 91
  integer, parameter :: nGC_8564 = 92
  integer, parameter :: nGC_8567 = 93
  integer, parameter :: nGC_8566 = 94
  integer, parameter :: nGC_8561 = 95
  integer, parameter :: nGC_8560 = 96
  integer, parameter :: nGC_8563 = 97
  integer, parameter :: nGC_8562 = 98
  integer, parameter :: nGC_8586 = 99
  integer, parameter :: nGC_8585 = 100
  integer, parameter :: nGC_8584 = 101
  integer, parameter :: nGC_8582 = 102
  integer, parameter :: nGC_8581 = 103
  integer, parameter :: nGC_8580 = 104
  integer, parameter :: nGC_8589 = 105
  integer, parameter :: nGC_8588 = 106
  integer, parameter :: nGC_8489 = 107
  integer, parameter :: nGC_8486 = 108
  integer, parameter :: nGC_8109 = 109
  integer, parameter :: nGC_8108 = 110
  integer, parameter :: nGC_8102 = 111
  integer, parameter :: nGC_8101 = 112
  integer, parameter :: nGC_8100 = 113
  integer, parameter :: nGC_8105 = 114
  integer, parameter :: nGC_8483 = 115
  integer, parameter :: nGC_8481 = 116
  integer, parameter :: nGC_8617 = 117
  integer, parameter :: nGC_8616 = 118
  integer, parameter :: nGC_8615 = 119
  integer, parameter :: nGC_8614 = 120
  integer, parameter :: nGC_8611 = 121
  integer, parameter :: nGC_8610 = 122
  integer, parameter :: nGC_8618 = 123
  integer, parameter :: nGC_8550 = 124
  integer, parameter :: nGC_8551 = 125
  integer, parameter :: nGC_8552 = 126
  integer, parameter :: nGC_8553 = 127
  integer, parameter :: nGC_8554 = 128
  integer, parameter :: nGC_8555 = 129
  integer, parameter :: nGC_8004 = 130
  integer, parameter :: nGC_8005 = 131
  integer, parameter :: nGC_8177 = 132
  integer, parameter :: nGC_593 = 133
  integer, parameter :: nGC_597 = 134
  integer, parameter :: nGC_359 = 135
  integer, parameter :: nGC_355 = 136
  integer, parameter :: nGC_357 = 137
  integer, parameter :: nGC_351 = 138
  integer, parameter :: nGC_179 = 139
  integer, parameter :: nGC_178 = 140
  integer, parameter :: nGC_171 = 141
  integer, parameter :: nGC_170 = 142
  integer, parameter :: nGC_173 = 143
  integer, parameter :: nGC_172 = 144
  integer, parameter :: nGC_175 = 145
  integer, parameter :: nGC_174 = 146
  integer, parameter :: nGC_177 = 147
  integer, parameter :: nGC_176 = 148
  integer, parameter :: nGC_14490 = 149
  integer, parameter :: nGC_135 = 150
  integer, parameter :: nGC_7961 = 151
  integer, parameter :: nGC_7962 = 152
  integer, parameter :: nGC_7964 = 153
  integer, parameter :: nGC_7965 = 154
  integer, parameter :: nGC_7966 = 155
  integer, parameter :: nGC_7968 = 156
  integer, parameter :: nGC_7969 = 157
  integer, parameter :: nGC_8370 = 158
  integer, parameter :: nGC_8371 = 159
  integer, parameter :: nGC_8372 = 160
  integer, parameter :: nGC_8373 = 161
  integer, parameter :: nGC_8374 = 162
  integer, parameter :: nGC_8375 = 163
  integer, parameter :: nGC_8376 = 164
  integer, parameter :: nGC_8377 = 165
  integer, parameter :: nGC_8378 = 166
  integer, parameter :: nGC_8379 = 167
  integer, parameter :: nGC_138 = 168
  integer, parameter :: nGC_8578 = 169
  integer, parameter :: nGC_8579 = 170
  integer, parameter :: nGC_8572 = 171
  integer, parameter :: nGC_8573 = 172
  integer, parameter :: nGC_8570 = 173
  integer, parameter :: nGC_8571 = 174
  integer, parameter :: nGC_8576 = 175
  integer, parameter :: nGC_8577 = 176
  integer, parameter :: nGC_8575 = 177
  integer, parameter :: nGC_8594 = 178
  integer, parameter :: nGC_8595 = 179
  integer, parameter :: nGC_8596 = 180
  integer, parameter :: nGC_8597 = 181
  integer, parameter :: nGC_8590 = 182
  integer, parameter :: nGC_8591 = 183
  integer, parameter :: nGC_8592 = 184
  integer, parameter :: nGC_8593 = 185
  integer, parameter :: nGC_8598 = 186
  integer, parameter :: nGC_9428 = 187
  integer, parameter :: nGC_8118 = 188
  integer, parameter :: nGC_99 = 189
  integer, parameter :: nGC_98 = 190
  integer, parameter :: nGC_97 = 191
  integer, parameter :: nGC_96 = 192
  integer, parameter :: nGC_95 = 193
  integer, parameter :: nGC_8113 = 194
  integer, parameter :: nGC_93 = 195
  integer, parameter :: nGC_92 = 196
  integer, parameter :: nGC_91 = 197
  integer, parameter :: nGC_90 = 198
  integer, parameter :: nGC_75 = 199
  integer, parameter :: nGC_74 = 200
  integer, parameter :: nGC_77 = 201
  integer, parameter :: nGC_76 = 202
  integer, parameter :: nGC_71 = 203
  integer, parameter :: nGC_70 = 204
  integer, parameter :: nGC_73 = 205
  integer, parameter :: nGC_72 = 206
  integer, parameter :: nGC_79 = 207
  integer, parameter :: nGC_78 = 208
  integer, parameter :: nGC_8606 = 209
  integer, parameter :: nGC_8607 = 210
  integer, parameter :: nGC_8600 = 211
  integer, parameter :: nGC_8601 = 212
  integer, parameter :: nGC_8602 = 213
  integer, parameter :: nGC_8603 = 214
  integer, parameter :: nGC_17780 = 215
  integer, parameter :: nGC_8174 = 216
  integer, parameter :: nGC_8175 = 217
  integer, parameter :: nGC_8173 = 218
  integer, parameter :: nGC_9647 = 219
  integer, parameter :: nGC_9646 = 220
  integer, parameter :: nGC_9645 = 221
  integer, parameter :: nGC_9644 = 222
  integer, parameter :: nGC_9643 = 223
  integer, parameter :: nGC_9642 = 224
  integer, parameter :: nGC_9641 = 225
  integer, parameter :: nGC_9640 = 226
  integer, parameter :: nGC_8078 = 227
  integer, parameter :: nGC_9649 = 228
  integer, parameter :: nGC_9648 = 229
  integer, parameter :: nGC_369 = 230
  integer, parameter :: nGC_363 = 231
  integer, parameter :: nGC_365 = 232
  integer, parameter :: nGC_367 = 233
  integer, parameter :: nGC_144 = 234
  integer, parameter :: nGC_145 = 235
  integer, parameter :: nGC_146 = 236
  integer, parameter :: nGC_147 = 237
  integer, parameter :: nGC_140 = 238
  integer, parameter :: nGC_141 = 239
  integer, parameter :: nGC_142 = 240
  integer, parameter :: nGC_143 = 241
  integer, parameter :: nGC_148 = 242
  integer, parameter :: nGC_149 = 243
  integer, parameter :: nGC_MI = 244
  integer, parameter :: nGC_7959 = 245
  integer, parameter :: nGC_7958 = 246
  integer, parameter :: nGC_MM = 247
  integer, parameter :: nGC_MC = 248
  integer, parameter :: nGC_MB = 249
  integer, parameter :: nGC_7957 = 250
  integer, parameter :: nGC_7956 = 251
  integer, parameter :: nGC_7951 = 252
  integer, parameter :: nGC_7950 = 253
  integer, parameter :: nGC_7953 = 254
  integer, parameter :: nGC_7952 = 255
  integer, parameter :: nGC_MZ = 256
  integer, parameter :: nGC_8349 = 257
  integer, parameter :: nGC_8348 = 258
  integer, parameter :: nGC_8345 = 259
  integer, parameter :: nGC_8344 = 260
  integer, parameter :: nGC_8347 = 261
  integer, parameter :: nGC_8346 = 262
  integer, parameter :: nGC_MW = 263
  integer, parameter :: nGC_8340 = 264
  integer, parameter :: nGC_8343 = 265
  integer, parameter :: nGC_8342 = 266
  integer, parameter :: nGC_13076 = 267
  integer, parameter :: nGC_13139 = 268
  integer, parameter :: nGC_13258 = 269
  integer, parameter :: nGC_9501 = 270
  integer, parameter :: nGC_9502 = 271
  integer, parameter :: nGC_12849 = 272
  integer, parameter :: nGC_12789 = 273
  integer, parameter :: nGC_8299 = 274
  integer, parameter :: nGC_8298 = 275
  integer, parameter :: nGC_8443 = 276
  integer, parameter :: nGC_8293 = 277
  integer, parameter :: nGC_8292 = 278
  integer, parameter :: nGC_8291 = 279
  integer, parameter :: nGC_8297 = 280
  integer, parameter :: nGC_8296 = 281
  integer, parameter :: nGC_8337 = 282
  integer, parameter :: nGC_8446 = 283
  integer, parameter :: nGC_8447 = 284
  integer, parameter :: nGC_8125 = 285
  integer, parameter :: nGC_8124 = 286
  integer, parameter :: nGC_8127 = 287
  integer, parameter :: nGC_8126 = 288
  integer, parameter :: nGC_8121 = 289
  integer, parameter :: nGC_8123 = 290
  integer, parameter :: nGC_8122 = 291
  integer, parameter :: nGC_9434 = 292
  integer, parameter :: nGC_9431 = 293
  integer, parameter :: nGC_9432 = 294
  integer, parameter :: nGC_9433 = 295
  integer, parameter :: nGC_80 = 296
  integer, parameter :: nGC_81 = 297
  integer, parameter :: nGC_84 = 298
  integer, parameter :: nGC_85 = 299
  integer, parameter :: nGC_86 = 300
  integer, parameter :: nGC_87 = 301
  integer, parameter :: nGC_67 = 302
  integer, parameter :: nGC_64 = 303
  integer, parameter :: nGC_65 = 304
  integer, parameter :: nGC_62 = 305
  integer, parameter :: nGC_16983 = 306
  integer, parameter :: nGC_60 = 307
  integer, parameter :: nGC_61 = 308
  integer, parameter :: nGC_TS_GC_70_Hh = 309
  integer, parameter :: nGC_TS_GC_70_Hl = 310
  integer, parameter :: nGC_68 = 311
  integer, parameter :: nGC_69 = 312
  integer, parameter :: nGC_8631 = 313
  integer, parameter :: nGC_8630 = 314
  integer, parameter :: nGC_8633 = 315
  integer, parameter :: nGC_8635 = 316
  integer, parameter :: nGC_8634 = 317
  integer, parameter :: nGC_8637 = 318
  integer, parameter :: nGC_8636 = 319
  integer, parameter :: nGC_8639 = 320
  integer, parameter :: nGC_8638 = 321
  integer, parameter :: nGC_89 = 322
  integer, parameter :: nGC_TS_GC_141_Hl = 323
  integer, parameter :: nGC_9654 = 324
  integer, parameter :: nGC_9655 = 325
  integer, parameter :: nGC_9656 = 326
  integer, parameter :: nGC_9657 = 327
  integer, parameter :: nGC_9650 = 328
  integer, parameter :: nGC_9651 = 329
  integer, parameter :: nGC_9652 = 330
  integer, parameter :: nGC_9653 = 331
  integer, parameter :: nGC_14971 = 332
  integer, parameter :: nGC_14974 = 333
  integer, parameter :: nGC_14975 = 334
  integer, parameter :: nGC_16428 = 335
  integer, parameter :: nGC_100 = 336
  integer, parameter :: nGC_377 = 337
  integer, parameter :: nGC_375 = 338
  integer, parameter :: nGC_373 = 339
  integer, parameter :: nGC_371 = 340
  integer, parameter :: nGC_379 = 341
  integer, parameter :: nGC_7990 = 342
  integer, parameter :: nGC_153 = 343
  integer, parameter :: nGC_152 = 344
  integer, parameter :: nGC_151 = 345
  integer, parameter :: nGC_150 = 346
  integer, parameter :: nGC_157 = 347
  integer, parameter :: nGC_156 = 348
  integer, parameter :: nGC_155 = 349
  integer, parameter :: nGC_154 = 350
  integer, parameter :: nGC_159 = 351
  integer, parameter :: nGC_158 = 352
  integer, parameter :: nGC_14142 = 353
  integer, parameter :: nGC_8384 = 354
  integer, parameter :: nGC_7948 = 355
  integer, parameter :: nGC_13404 = 356
  integer, parameter :: nGC_8439 = 357
  integer, parameter :: nGC_7942 = 358
  integer, parameter :: nGC_7943 = 359
  integer, parameter :: nGC_7940 = 360
  integer, parameter :: nGC_8386 = 361
  integer, parameter :: nGC_7946 = 362
  integer, parameter :: nGC_7947 = 363
  integer, parameter :: nGC_7944 = 364
  integer, parameter :: nGC_7945 = 365
  integer, parameter :: nGC_8437 = 366
  integer, parameter :: nGC_8358 = 367
  integer, parameter :: nGC_8359 = 368
  integer, parameter :: nGC_8388 = 369
  integer, parameter :: nGC_8352 = 370
  integer, parameter :: nGC_8353 = 371
  integer, parameter :: nGC_8350 = 372
  integer, parameter :: nGC_8351 = 373
  integer, parameter :: nGC_8356 = 374
  integer, parameter :: nGC_8357 = 375
  integer, parameter :: nGC_8354 = 376
  integer, parameter :: nGC_8355 = 377
  integer, parameter :: nGC_8434 = 378
  integer, parameter :: nGC_8432 = 379
  integer, parameter :: nGC_8430 = 380
  integer, parameter :: nGC_1285 = 381
  integer, parameter :: nGC_8288 = 382
  integer, parameter :: nGC_8280 = 383
  integer, parameter :: nGC_8281 = 384
  integer, parameter :: nGC_8282 = 385
  integer, parameter :: nGC_8283 = 386
  integer, parameter :: nGC_8284 = 387
  integer, parameter :: nGC_8285 = 388
  integer, parameter :: nGC_8286 = 389
  integer, parameter :: nGC_8287 = 390
  integer, parameter :: nGC_13975 = 391
  integer, parameter :: nGC_8510 = 392
  integer, parameter :: nGC_TS_GC_173_Hh = 393
  integer, parameter :: nGC_9409 = 394
  integer, parameter :: nGC_8133 = 395
  integer, parameter :: nGC_8130 = 396
  integer, parameter :: nGC_8131 = 397
  integer, parameter :: nGC_8137 = 398
  integer, parameter :: nGC_8134 = 399
  integer, parameter :: nGC_8135 = 400
  integer, parameter :: nGC_9390 = 401
  integer, parameter :: nGC_9393 = 402
  integer, parameter :: nGC_9399 = 403
  integer, parameter :: nGC_53 = 404
  integer, parameter :: nGC_52 = 405
  integer, parameter :: nGC_51 = 406
  integer, parameter :: nGC_50 = 407
  integer, parameter :: nGC_57 = 408
  integer, parameter :: nGC_56 = 409
  integer, parameter :: nGC_55 = 410
  integer, parameter :: nGC_54 = 411
  integer, parameter :: nGC_59 = 412
  integer, parameter :: nGC_58 = 413
  integer, parameter :: nGC_TS_GC_169_Hl = 414
  integer, parameter :: nGC_8626 = 415
  integer, parameter :: nGC_8627 = 416
  integer, parameter :: nGC_8624 = 417
  integer, parameter :: nGC_8625 = 418
  integer, parameter :: nGC_8620 = 419
  integer, parameter :: nGC_14379 = 420
  integer, parameter :: nGC_ME = 421
  integer, parameter :: nGC_MD = 422
  integer, parameter :: nGC_16541 = 423
  integer, parameter :: nGC_MS = 424
  integer, parameter :: nGC_8659 = 425
  integer, parameter :: nGC_8658 = 426
  integer, parameter :: nGC_MU = 427
  integer, parameter :: nGC_MT = 428
  integer, parameter :: nGC_196 = 429
  integer, parameter :: nGC_190 = 430
  integer, parameter :: nGC_419 = 431
  integer, parameter :: nGC_417 = 432
  integer, parameter :: nGC_415 = 433
  integer, parameter :: nGC_411 = 434
  integer, parameter :: nGC_TS_GC_149_Hh = 435
  integer, parameter :: nGC_15480 = 436
  integer, parameter :: nGC_13259 = 437
  integer, parameter :: nGC_94 = 438
  integer, parameter :: nGC_12672 = 439
  integer, parameter :: nGC_14226 = 440
  integer, parameter :: nGC_15248 = 441
  integer, parameter :: nGC_9527 = 442
  integer, parameter :: nGC_13439 = 443
  integer, parameter :: nGC_12749 = 444
  integer, parameter :: nGC_9417 = 445
  integer, parameter :: nGC_9412 = 446
  integer, parameter :: nGC_9410 = 447
  integer, parameter :: nGC_9411 = 448
  integer, parameter :: nGC_9418 = 449
  integer, parameter :: nGC_9419 = 450
  integer, parameter :: nGC_7991 = 451
  integer, parameter :: nGC_7993 = 452
  integer, parameter :: nGC_7992 = 453
  integer, parameter :: nGC_7995 = 454
  integer, parameter :: nGC_7994 = 455
  integer, parameter :: nGC_7997 = 456
  integer, parameter :: nGC_7996 = 457
  integer, parameter :: nGC_7999 = 458
  integer, parameter :: nGC_7998 = 459
  integer, parameter :: nGC_8381 = 460
  integer, parameter :: nGC_8380 = 461
  integer, parameter :: nGC_8383 = 462
  integer, parameter :: nGC_8382 = 463
  integer, parameter :: nGC_8387 = 464
  integer, parameter :: nGC_8438 = 465
  integer, parameter :: nGC_8389 = 466
  integer, parameter :: nGC_8435 = 467
  integer, parameter :: nGC_8433 = 468
  integer, parameter :: nGC_8431 = 469
  integer, parameter :: nGC_9380 = 470
  integer, parameter :: nGC_48 = 471
  integer, parameter :: nGC_49 = 472
  integer, parameter :: nGC_44 = 473
  integer, parameter :: nGC_45 = 474
  integer, parameter :: nGC_46 = 475
  integer, parameter :: nGC_47 = 476
  integer, parameter :: nGC_40 = 477
  integer, parameter :: nGC_41 = 478
  integer, parameter :: nGC_42 = 479
  integer, parameter :: nGC_43 = 480
  integer, parameter :: nGC_8653 = 481
  integer, parameter :: nGC_8652 = 482
  integer, parameter :: nGC_8650 = 483
  integer, parameter :: nGC_8657 = 484
  integer, parameter :: nGC_8656 = 485
  integer, parameter :: nGC_8655 = 486
  integer, parameter :: nGC_8654 = 487
  integer, parameter :: nGC_8480 = 488
  integer, parameter :: nGC_18699 = 489
  integer, parameter :: nGC_13800 = 490
  integer, parameter :: nGC_17423 = 491
  integer, parameter :: nGC_17422 = 492
  integer, parameter :: nGC_17424 = 493
  integer, parameter :: nGC_8341 = 494
  integer, parameter :: nGC_8436 = 495
  integer, parameter :: nGC_161 = 496
  integer, parameter :: nGC_405 = 497
  integer, parameter :: nGC_407 = 498
  integer, parameter :: nGC_401 = 499
  integer, parameter :: nGC_403 = 500
  integer, parameter :: nGC_8690 = 501
  integer, parameter :: nGC_14766 = 502
  integer, parameter :: nGC_14189 = 503
  integer, parameter :: nGC_125 = 504
  integer, parameter :: nGC_7935 = 505
  integer, parameter :: nGC_8120 = 506
  integer, parameter :: nGC_13642 = 507
  integer, parameter :: nGC_13511 = 508
  integer, parameter :: nGC_14232 = 509
  integer, parameter :: nGC_123 = 510
  integer, parameter :: nGC_88 = 511
  integer, parameter :: nGC_12911 = 512
  integer, parameter :: nGC_9469 = 513
  integer, parameter :: nGC_82 = 514
  integer, parameter :: nGC_83 = 515
  integer, parameter :: nGC_7988 = 516
  integer, parameter :: nGC_7989 = 517
  integer, parameter :: nGC_7986 = 518
  integer, parameter :: nGC_7987 = 519
  integer, parameter :: nGC_7984 = 520
  integer, parameter :: nGC_7985 = 521
  integer, parameter :: nGC_7982 = 522
  integer, parameter :: nGC_7983 = 523
  integer, parameter :: nGC_7980 = 524
  integer, parameter :: nGC_7981 = 525
  integer, parameter :: nGC_8428 = 526
  integer, parameter :: nGC_8429 = 527
  integer, parameter :: nGC_8398 = 528
  integer, parameter :: nGC_8399 = 529
  integer, parameter :: nGC_8426 = 530
  integer, parameter :: nGC_8420 = 531
  integer, parameter :: nGC_8422 = 532
  integer, parameter :: nGC_39 = 533
  integer, parameter :: nGC_38 = 534
  integer, parameter :: nGC_31 = 535
  integer, parameter :: nGC_30 = 536
  integer, parameter :: nGC_33 = 537
  integer, parameter :: nGC_32 = 538
  integer, parameter :: nGC_35 = 539
  integer, parameter :: nGC_34 = 540
  integer, parameter :: nGC_37 = 541
  integer, parameter :: nGC_36 = 542
  integer, parameter :: nGC_8648 = 543
  integer, parameter :: nGC_19931 = 544
  integer, parameter :: nGC_9287 = 545
  integer, parameter :: nGC_9289 = 546
  integer, parameter :: nGC_66 = 547
  integer, parameter :: nGC_8333 = 548
  integer, parameter :: nGC_15440 = 549
  integer, parameter :: nGC_17638 = 550
  integer, parameter :: nGC_63 = 551
  integer, parameter :: nGC_8622 = 552
  integer, parameter :: nGC_17856 = 553
  integer, parameter :: nGC_17857 = 554
  integer, parameter :: nGC_7978 = 555
  integer, parameter :: nGC_329 = 556
  integer, parameter :: nGC_325 = 557
  integer, parameter :: nGC_327 = 558
  integer, parameter :: nGC_323 = 559
  integer, parameter :: nGC_18043 = 560
  integer, parameter :: nGC_18047 = 561
  integer, parameter :: nGC_MTA = 562
  integer, parameter :: nGC_188 = 563
  integer, parameter :: nGC_189 = 564
  integer, parameter :: nGC_181 = 565
  integer, parameter :: nGC_183 = 566
  integer, parameter :: nGC_184 = 567
  integer, parameter :: nGC_185 = 568
  integer, parameter :: nGC_186 = 569
  integer, parameter :: nGC_8632 = 570
  integer, parameter :: nGC_1559 = 571
  integer, parameter :: nGC_8512 = 572
  integer, parameter :: nGC_431 = 573
  integer, parameter :: nGC_433 = 574
  integer, parameter :: nGC_TS_GC_92_Hh = 575
  integer, parameter :: nGC_435 = 576
  integer, parameter :: nGC_611 = 577
  integer, parameter :: nGC_23818 = 578
  integer, parameter :: nGC_13748 = 579
  integer, parameter :: nGC_TS_GC_68_Hl = 580
  integer, parameter :: nGC_13638 = 581
  integer, parameter :: nGC_13982 = 582
  integer, parameter :: nGC_13290 = 583
  integer, parameter :: nGC_13563 = 584
  integer, parameter :: nGC_14249 = 585
  integer, parameter :: nGC_8099 = 586
  integer, parameter :: nGC_8098 = 587
  integer, parameter :: nGC_8095 = 588
  integer, parameter :: nGC_8094 = 589
  integer, parameter :: nGC_8097 = 590
  integer, parameter :: nGC_8096 = 591
  integer, parameter :: nGC_8091 = 592
  integer, parameter :: nGC_8090 = 593
  integer, parameter :: nGC_8093 = 594
  integer, parameter :: nGC_8092 = 595
  integer, parameter :: nGC_8708 = 596
  integer, parameter :: nGC_8259 = 597
  integer, parameter :: nGC_8258 = 598
  integer, parameter :: nGC_8705 = 599
  integer, parameter :: nGC_8256 = 600
  integer, parameter :: nGC_8255 = 601
  integer, parameter :: nGC_8706 = 602
  integer, parameter :: nGC_8253 = 603
  integer, parameter :: nGC_8700 = 604
  integer, parameter :: nGC_8703 = 605
  integer, parameter :: nGC_8250 = 606
  integer, parameter :: nGC_13188 = 607
  integer, parameter :: nGC_TS_GC_64_Hl = 608
  integer, parameter :: nGC_9472 = 609
  integer, parameter :: nGC_TS_GC_64_Hh = 610
  integer, parameter :: nGC_9476 = 611
  integer, parameter :: nGC_9478 = 612
  integer, parameter :: nGC_23005 = 613
  integer, parameter :: nGC_12713 = 614
  integer, parameter :: nGC_8419 = 615
  integer, parameter :: nGC_8418 = 616
  integer, parameter :: nGC_8411 = 617
  integer, parameter :: nGC_8410 = 618
  integer, parameter :: nGC_8413 = 619
  integer, parameter :: nGC_8412 = 620
  integer, parameter :: nGC_8415 = 621
  integer, parameter :: nGC_8414 = 622
  integer, parameter :: nGC_8417 = 623
  integer, parameter :: nGC_8416 = 624
  integer, parameter :: nGC_28 = 625
  integer, parameter :: nGC_29 = 626
  integer, parameter :: nGC_22 = 627
  integer, parameter :: nGC_23 = 628
  integer, parameter :: nGC_20 = 629
  integer, parameter :: nGC_21 = 630
  integer, parameter :: nGC_26 = 631
  integer, parameter :: nGC_27 = 632
  integer, parameter :: nGC_24 = 633
  integer, parameter :: nGC_25 = 634
  integer, parameter :: nGC_8675 = 635
  integer, parameter :: nGC_8674 = 636
  integer, parameter :: nGC_8677 = 637
  integer, parameter :: nGC_8676 = 638
  integer, parameter :: nGC_8671 = 639
  integer, parameter :: nGC_8670 = 640
  integer, parameter :: nGC_8673 = 641
  integer, parameter :: nGC_8672 = 642
  integer, parameter :: nGC_8679 = 643
  integer, parameter :: nGC_8077 = 644
  integer, parameter :: nGC_8076 = 645
  integer, parameter :: nGC_8075 = 646
  integer, parameter :: nGC_8074 = 647
  integer, parameter :: nGC_8073 = 648
  integer, parameter :: nGC_8072 = 649
  integer, parameter :: nGC_8071 = 650
  integer, parameter :: nGC_8070 = 651
  integer, parameter :: nGC_8079 = 652
  integer, parameter :: nGC_9293 = 653
  integer, parameter :: nGC_MHC = 654
  integer, parameter :: nGC_9445 = 655
  integer, parameter :: nGC_8322 = 656
  integer, parameter :: nGC_9315 = 657
  integer, parameter :: nGC_8157 = 658
  integer, parameter :: nGC_8409 = 659
  integer, parameter :: nGC_339 = 660
  integer, parameter :: nGC_TS_GC_32_Hh = 661
  integer, parameter :: nGC_12857 = 662
  integer, parameter :: nGC_333 = 663
  integer, parameter :: nGC_331 = 664
  integer, parameter :: nGC_337 = 665
  integer, parameter :: nGC_335 = 666
  integer, parameter :: nGC_197 = 667
  integer, parameter :: nGC_195 = 668
  integer, parameter :: nGC_194 = 669
  integer, parameter :: nGC_193 = 670
  integer, parameter :: nGC_192 = 671
  integer, parameter :: nGC_191 = 672
  integer, parameter :: nGC_198 = 673
  integer, parameter :: nGC_427 = 674
  integer, parameter :: nGC_425 = 675
  integer, parameter :: nGC_423 = 676
  integer, parameter :: nGC_16716 = 677
  integer, parameter :: nGC_8587 = 678
  integer, parameter :: nGC_15729 = 679
  integer, parameter :: nGC_601 = 680
  integer, parameter :: nGC_8254 = 681
  integer, parameter :: nGC_8583 = 682
  integer, parameter :: nGC_14742 = 683
  integer, parameter :: nGC_12852 = 684
  integer, parameter :: nGC_105 = 685
  integer, parameter :: nGC_15438 = 686
  integer, parameter :: nGC_15439 = 687
  integer, parameter :: nGC_13750 = 688
  integer, parameter :: nGC_15435 = 689
  integer, parameter :: nGC_15436 = 690
  integer, parameter :: nGC_15437 = 691
  integer, parameter :: nGC_8678 = 692
  integer, parameter :: nGC_12851 = 693
  integer, parameter :: nGC_14524 = 694
  integer, parameter :: nGC_14521 = 695
  integer, parameter :: nGC_8251 = 696
  integer, parameter :: nGC_12850 = 697
  integer, parameter :: nGC_8088 = 698
  integer, parameter :: nGC_8089 = 699
  integer, parameter :: nGC_8082 = 700
  integer, parameter :: nGC_8083 = 701
  integer, parameter :: nGC_8080 = 702
  integer, parameter :: nGC_8081 = 703
  integer, parameter :: nGC_8086 = 704
  integer, parameter :: nGC_8087 = 705
  integer, parameter :: nGC_8084 = 706
  integer, parameter :: nGC_8085 = 707
  integer, parameter :: nGC_8248 = 708
  integer, parameter :: nGC_8249 = 709
  integer, parameter :: nGC_8244 = 710
  integer, parameter :: nGC_8245 = 711
  integer, parameter :: nGC_8246 = 712
  integer, parameter :: nGC_8247 = 713
  integer, parameter :: nGC_8240 = 714
  integer, parameter :: nGC_8241 = 715
  integer, parameter :: nGC_8242 = 716
  integer, parameter :: nGC_8243 = 717
  integer, parameter :: nGC_13197 = 718
  integer, parameter :: nGC_14418 = 719
  integer, parameter :: nGC_12710 = 720
  integer, parameter :: nGC_13376 = 721
  integer, parameter :: nGC_13173 = 722
  integer, parameter :: nGC_9446 = 723
  integer, parameter :: nGC_9441 = 724
  integer, parameter :: nGC_9442 = 725
  integer, parameter :: nGC_8406 = 726
  integer, parameter :: nGC_8407 = 727
  integer, parameter :: nGC_8404 = 728
  integer, parameter :: nGC_8405 = 729
  integer, parameter :: nGC_8402 = 730
  integer, parameter :: nGC_8403 = 731
  integer, parameter :: nGC_8400 = 732
  integer, parameter :: nGC_8401 = 733
  integer, parameter :: nGC_8408 = 734
  integer, parameter :: nGC_8484 = 735
  integer, parameter :: nGC_12803 = 736
  integer, parameter :: nGC_12805 = 737
  integer, parameter :: nGC_12806 = 738
  integer, parameter :: nGC_17 = 739
  integer, parameter :: nGC_16 = 740
  integer, parameter :: nGC_15 = 741
  integer, parameter :: nGC_14 = 742
  integer, parameter :: nGC_13 = 743
  integer, parameter :: nGC_12 = 744
  integer, parameter :: nGC_11 = 745
  integer, parameter :: nGC_10 = 746
  integer, parameter :: nGC_19 = 747
  integer, parameter :: nGC_18 = 748
  integer, parameter :: nGC_8660 = 749
  integer, parameter :: nGC_8661 = 750
  integer, parameter :: nGC_8666 = 751
  integer, parameter :: nGC_8667 = 752
  integer, parameter :: nGC_8664 = 753
  integer, parameter :: nGC_8665 = 754
  integer, parameter :: nGC_18738 = 755
  integer, parameter :: nGC_8668 = 756
  integer, parameter :: nGC_8669 = 757
  integer, parameter :: nGC_8064 = 758
  integer, parameter :: nGC_8065 = 759
  integer, parameter :: nGC_8066 = 760
  integer, parameter :: nGC_8067 = 761
  integer, parameter :: nGC_8060 = 762
  integer, parameter :: nGC_8061 = 763
  integer, parameter :: nGC_8062 = 764
  integer, parameter :: nGC_8063 = 765
  integer, parameter :: nGC_9043 = 766
  integer, parameter :: nGC_8068 = 767
  integer, parameter :: nGC_8069 = 768
  integer, parameter :: nGC_9047 = 769
  integer, parameter :: nGC_8103 = 770
  integer, parameter :: nGC_16278 = 771
  integer, parameter :: nGC_16277 = 772
  integer, parameter :: nGC_9427 = 773
  integer, parameter :: nGC_8129 = 774
  integer, parameter :: nGC_9046 = 775
  integer, parameter :: nGC_9426 = 776
  integer, parameter :: nGC_8485 = 777
  integer, parameter :: nGC_8128 = 778
  integer, parameter :: nGC_13723 = 779
  integer, parameter :: nGC_16479 = 780
  integer, parameter :: nGC_17278 = 781
  integer, parameter :: nGC_17279 = 782
  integer, parameter :: nGC_17277 = 783
  integer, parameter :: nGC_8117 = 784
  integer, parameter :: nGC_TS_GC_13_Hh = 785
  integer, parameter :: nGC_8482 = 786
  integer, parameter :: nGC_15732 = 787
  integer, parameter :: nGC_15730 = 788
  integer, parameter :: nGC_TS_GC_25_Hh = 789
  integer, parameter :: nGC_17040 = 790
  integer, parameter :: nGC_TS_GC_25_Hl = 791
  integer, parameter :: nGC_9467 = 792
  integer, parameter :: nGC_13123 = 793
  integer, parameter :: nGC_12840 = 794
  integer, parameter :: nGC_TS_GC_192_Hl = 795
  integer, parameter :: nGC_TS_GC_99_Hl = 796
  integer, parameter :: nGC_13617 = 797
  integer, parameter :: nGC_13614 = 798
  integer, parameter :: nGC_8613 = 799
  integer, parameter :: nGC_8612 = 800
  integer, parameter :: nGC_8279 = 801
  integer, parameter :: nGC_8278 = 802
  integer, parameter :: nGC_12969 = 803
  integer, parameter :: nGC_8271 = 804
  integer, parameter :: nGC_8270 = 805
  integer, parameter :: nGC_8275 = 806
  integer, parameter :: nGC_8274 = 807
  integer, parameter :: nGC_8276 = 808
  integer, parameter :: nGC_14394 = 809
  integer, parameter :: nGC_8619 = 810
  integer, parameter :: nGC_12706 = 811
  integer, parameter :: nGC_187 = 812
  integer, parameter :: nGC_12701 = 813
  integer, parameter :: nGC_8183 = 814
  integer, parameter :: nGC_8182 = 815
  integer, parameter :: nGC_8181 = 816
  integer, parameter :: nGC_8180 = 817
  integer, parameter :: nGC_8187 = 818
  integer, parameter :: nGC_8186 = 819
  integer, parameter :: nGC_8185 = 820
  integer, parameter :: nGC_8184 = 821
  integer, parameter :: nGC_9452 = 822
  integer, parameter :: nGC_8189 = 823
  integer, parameter :: nGC_8188 = 824
  integer, parameter :: nGC_8473 = 825
  integer, parameter :: nGC_8472 = 826
  integer, parameter :: nGC_8471 = 827
  integer, parameter :: nGC_8470 = 828
  integer, parameter :: nGC_8477 = 829
  integer, parameter :: nGC_8476 = 830
  integer, parameter :: nGC_8475 = 831
  integer, parameter :: nGC_8474 = 832
  integer, parameter :: nGC_TS_GC_65_Hl = 833
  integer, parameter :: nGC_13819 = 834
  integer, parameter :: nGC_12817 = 835
  integer, parameter :: nGC_12912 = 836
  integer, parameter :: nGC_12631 = 837
  integer, parameter :: nGC_12637 = 838
  integer, parameter :: nGC_12634 = 839
  integer, parameter :: nGC_17285 = 840
  integer, parameter :: nGC_17286 = 841
  integer, parameter :: nGC_17280 = 842
  integer, parameter :: nGC_8699 = 843
  integer, parameter :: nGC_8698 = 844
  integer, parameter :: nGC_8697 = 845
  integer, parameter :: nGC_8696 = 846
  integer, parameter :: nGC_8695 = 847
  integer, parameter :: nGC_8694 = 848
  integer, parameter :: nGC_8693 = 849
  integer, parameter :: nGC_8692 = 850
  integer, parameter :: nGC_8691 = 851
  integer, parameter :: nGC_8051 = 852
  integer, parameter :: nGC_8050 = 853
  integer, parameter :: nGC_8053 = 854
  integer, parameter :: nGC_8052 = 855
  integer, parameter :: nGC_8055 = 856
  integer, parameter :: nGC_8054 = 857
  integer, parameter :: nGC_8509 = 858
  integer, parameter :: nGC_8508 = 859
  integer, parameter :: nGC_8507 = 860
  integer, parameter :: nGC_8506 = 861
  integer, parameter :: nGC_8505 = 862
  integer, parameter :: nGC_8504 = 863
  integer, parameter :: nGC_8503 = 864
  integer, parameter :: nGC_8502 = 865
  integer, parameter :: nGC_8501 = 866
  integer, parameter :: nGC_8500 = 867
  integer, parameter :: nGC_12677 = 868
  integer, parameter :: nGC_12675 = 869
  integer, parameter :: nGC_15933 = 870
  integer, parameter :: nGC_9636 = 871
  integer, parameter :: nGC_9637 = 872
  integer, parameter :: nGC_9634 = 873
  integer, parameter :: nGC_9635 = 874
  integer, parameter :: nGC_9639 = 875
  integer, parameter :: nGC_TS_GC_33_Hh = 876
  integer, parameter :: nGC_TS_GC_165_Hh = 877
  integer, parameter :: nGC_TS_GC_16_Hl = 878
  integer, parameter :: nGC_16904 = 879
  integer, parameter :: nGC_8543 = 880
  integer, parameter :: nGC_8542 = 881
  integer, parameter :: nGC_8541 = 882
  integer, parameter :: nGC_8540 = 883
  integer, parameter :: nGC_8547 = 884
  integer, parameter :: nGC_8546 = 885
  integer, parameter :: nGC_8545 = 886
  integer, parameter :: nGC_8544 = 887
  integer, parameter :: nGC_8119 = 888
  integer, parameter :: nGC_663 = 889
  integer, parameter :: nGC_8018 = 890
  integer, parameter :: nGC_1151 = 891
  integer, parameter :: nGC_711 = 892
  integer, parameter :: nGC_8449 = 893
  integer, parameter :: nGC_1159 = 894
  integer, parameter :: nGC_8424 = 895
  integer, parameter :: nGC_8425 = 896
  integer, parameter :: nGC_8427 = 897
  integer, parameter :: nGC_8421 = 898
  integer, parameter :: nGC_8423 = 899
  integer, parameter :: nGC_8266 = 900
  integer, parameter :: nGC_8267 = 901
  integer, parameter :: nGC_8264 = 902
  integer, parameter :: nGC_8265 = 903
  integer, parameter :: nGC_8262 = 904
  integer, parameter :: nGC_8263 = 905
  integer, parameter :: nGC_8260 = 906
  integer, parameter :: nGC_8261 = 907
  integer, parameter :: nGC_8268 = 908
  integer, parameter :: nGC_8269 = 909
  integer, parameter :: nGC_126 = 910
  integer, parameter :: nGC_12951 = 911
  integer, parameter :: nGC_12954 = 912
  integer, parameter :: nGC_14383 = 913
  integer, parameter :: nGC_MW_GF = 914
  integer, parameter :: nGC_13394 = 915
  integer, parameter :: nGC_8190 = 916
  integer, parameter :: nGC_8192 = 917
  integer, parameter :: nGC_8193 = 918
  integer, parameter :: nGC_8194 = 919
  integer, parameter :: nGC_8195 = 920
  integer, parameter :: nGC_8196 = 921
  integer, parameter :: nGC_8197 = 922
  integer, parameter :: nGC_8198 = 923
  integer, parameter :: nGC_8199 = 924
  integer, parameter :: nGC_8460 = 925
  integer, parameter :: nGC_8461 = 926
  integer, parameter :: nGC_8462 = 927
  integer, parameter :: nGC_8463 = 928
  integer, parameter :: nGC_8464 = 929
  integer, parameter :: nGC_8465 = 930
  integer, parameter :: nGC_8466 = 931
  integer, parameter :: nGC_8467 = 932
  integer, parameter :: nGC_8468 = 933
  integer, parameter :: nGC_8469 = 934
  integer, parameter :: nGC_12827 = 935
  integer, parameter :: nGC_12823 = 936
  integer, parameter :: nGC_13555 = 937
  integer, parameter :: nGC_20090 = 938
  integer, parameter :: nGC_7949 = 939
  integer, parameter :: nGC_8688 = 940
  integer, parameter :: nGC_8689 = 941
  integer, parameter :: nGC_8684 = 942
  integer, parameter :: nGC_8685 = 943
  integer, parameter :: nGC_8686 = 944
  integer, parameter :: nGC_8687 = 945
  integer, parameter :: nGC_8680 = 946
  integer, parameter :: nGC_8681 = 947
  integer, parameter :: nGC_8682 = 948
  integer, parameter :: nGC_8683 = 949
  integer, parameter :: nGC_8518 = 950
  integer, parameter :: nGC_8519 = 951
  integer, parameter :: nGC_8048 = 952
  integer, parameter :: nGC_8049 = 953
  integer, parameter :: nGC_8514 = 954
  integer, parameter :: nGC_8515 = 955
  integer, parameter :: nGC_8516 = 956
  integer, parameter :: nGC_8517 = 957
  integer, parameter :: nGC_8042 = 958
  integer, parameter :: nGC_8511 = 959
  integer, parameter :: nGC_8040 = 960
  integer, parameter :: nGC_8513 = 961
  integer, parameter :: nGC_7941 = 962
  integer, parameter :: nGC_19930 = 963
  integer, parameter :: nGC_19933 = 964
  integer, parameter :: nGC_19932 = 965
  integer, parameter :: nGC_19934 = 966
  integer, parameter :: nGC_19937 = 967
  integer, parameter :: nGC_17380 = 968
  integer, parameter :: nGC_17381 = 969
  integer, parameter :: nGC_17382 = 970
  integer, parameter :: nGC_17383 = 971
  integer, parameter :: nGC_9480 = 972
  integer, parameter :: nGC_9483 = 973
  integer, parameter :: nGC_9482 = 974
  integer, parameter :: nGC_8116 = 975
  integer, parameter :: nGC_9487 = 976
  integer, parameter :: nGC_9489 = 977
  integer, parameter :: nGC_9335 = 978
  integer, parameter :: nGC_9334 = 979
  integer, parameter :: nGC_9331 = 980
  integer, parameter :: nGC_TS_GC_91_Hl = 981
  integer, parameter :: nGC_MMW_GF = 982
  integer, parameter :: nGC_12902 = 983
  integer, parameter :: nGC_8649 = 984
  integer, parameter :: nGC_16655 = 985
  integer, parameter :: nGC_12945 = 986
  integer, parameter :: nGC_8640 = 987
  integer, parameter :: nGC_TS_GC_24_Hl = 988
  integer, parameter :: nGC_8641 = 989
  integer, parameter :: nGC_8642 = 990
  integer, parameter :: nGC_TS_GC_30_Hl = 991
  integer, parameter :: nGC_8643 = 992
  integer, parameter :: nGC_8644 = 993
  integer, parameter :: nGC_8645 = 994
  integer, parameter :: nGC_8646 = 995
  integer, parameter :: nGC_8647 = 996
  integer, parameter :: nGC_389 = 997
  integer, parameter :: nGC_383 = 998
  integer, parameter :: nGC_387 = 999
  integer, parameter :: nGC_385 = 1000
  integer, parameter :: nGC_8022 = 1001
  integer, parameter :: nGC_8651 = 1002
  integer, parameter :: nGC_MZ_GF = 1003
  integer, parameter :: nGC_15399 = 1004
  integer, parameter :: nGC_15396 = 1005
  integer, parameter :: nGC_14860 = 1006
  integer, parameter :: nGC_TS_GC_105_Hh = 1007
  integer, parameter :: nGC_14666 = 1008
  integer, parameter :: nGC_127 = 1009
  integer, parameter :: nGC_124 = 1010
  integer, parameter :: nGC_122 = 1011
  integer, parameter :: nGC_14663 = 1012
  integer, parameter :: nGC_120 = 1013
  integer, parameter :: nGC_121 = 1014
  integer, parameter :: nGC_15246 = 1015
  integer, parameter :: nGC_128 = 1016
  integer, parameter :: nGC_129 = 1017
  integer, parameter :: nGC_8027 = 1018
  integer, parameter :: nGC_14043 = 1019
  integer, parameter :: nGC_8213 = 1020
  integer, parameter :: nGC_8212 = 1021
  integer, parameter :: nGC_8211 = 1022
  integer, parameter :: nGC_8210 = 1023
  integer, parameter :: nGC_8217 = 1024
  integer, parameter :: nGC_8216 = 1025
  integer, parameter :: nGC_8215 = 1026
  integer, parameter :: nGC_8214 = 1027
  integer, parameter :: nGC_8219 = 1028
  integer, parameter :: nGC_8218 = 1029
  integer, parameter :: nGC_8662 = 1030
  integer, parameter :: nGC_12944 = 1031
  integer, parameter :: nGC_353 = 1032
  integer, parameter :: nGC_345 = 1033
  integer, parameter :: nGC_879 = 1034
  integer, parameter :: nGC_13121 = 1035
  integer, parameter :: nGC_7939 = 1036
  integer, parameter :: nGC_7938 = 1037
  integer, parameter :: nGC_7937 = 1038
  integer, parameter :: nGC_7936 = 1039
  integer, parameter :: nGC_I = 1040
  integer, parameter :: nGC_7934 = 1041
  integer, parameter :: nGC_7933 = 1042
  integer, parameter :: nGC_7932 = 1043
  integer, parameter :: nGC_7931 = 1044
  integer, parameter :: nGC_7930 = 1045
  integer, parameter :: nGC_17227 = 1046
  integer, parameter :: nGC_8459 = 1047
  integer, parameter :: nGC_8458 = 1048
  integer, parameter :: nGC_8329 = 1049
  integer, parameter :: nGC_8328 = 1050
  integer, parameter :: nGC_8327 = 1051
  integer, parameter :: nGC_8454 = 1052
  integer, parameter :: nGC_8325 = 1053
  integer, parameter :: nGC_8323 = 1054
  integer, parameter :: nGC_8450 = 1055
  integer, parameter :: nGC_TS_GC_129_Hh = 1056
  integer, parameter :: nGC_657 = 1057
  integer, parameter :: nGC_3 = 1058
  integer, parameter :: nGC_2 = 1059
  integer, parameter :: nGC_1 = 1060
  integer, parameter :: nGC_7 = 1061
  integer, parameter :: nGC_6 = 1062
  integer, parameter :: nGC_5 = 1063
  integer, parameter :: nGC_9038 = 1064
  integer, parameter :: nGC_9 = 1065
  integer, parameter :: nGC_8 = 1066
  integer, parameter :: nGC_8529 = 1067
  integer, parameter :: nGC_8455 = 1068
  integer, parameter :: nGC_8039 = 1069
  integer, parameter :: nGC_8038 = 1070
  integer, parameter :: nGC_8663 = 1071
  integer, parameter :: nGC_8326 = 1072
  integer, parameter :: nGC_8033 = 1073
  integer, parameter :: nGC_8523 = 1074
  integer, parameter :: nGC_8522 = 1075
  integer, parameter :: nGC_8525 = 1076
  integer, parameter :: nGC_8036 = 1077
  integer, parameter :: nGC_8527 = 1078
  integer, parameter :: nGC_8526 = 1079
  integer, parameter :: nGC_8324 = 1080
  integer, parameter :: nGC_17910 = 1081
  integer, parameter :: nGC_8451 = 1082
  integer, parameter :: nGC_15502 = 1083
  integer, parameter :: nGC_TS_GC_34_Hh = 1084
  integer, parameter :: nGC_8289 = 1085
  integer, parameter :: nGC_8321 = 1086
  integer, parameter :: nGC_17398 = 1087
  integer, parameter :: nGC_8320 = 1088
  integer, parameter :: nGC_17392 = 1089
  integer, parameter :: nGC_8107 = 1090
  integer, parameter :: nGC_3105 = 1091
  integer, parameter :: nGC_8147 = 1092
  integer, parameter :: nGC_8146 = 1093
  integer, parameter :: nGC_8145 = 1094
  integer, parameter :: nGC_8144 = 1095
  integer, parameter :: nGC_9498 = 1096
  integer, parameter :: nGC_9499 = 1097
  integer, parameter :: nGC_9324 = 1098
  integer, parameter :: nGC_9326 = 1099
  integer, parameter :: nGC_9495 = 1100
  integer, parameter :: nGC_8149 = 1101
  integer, parameter :: nGC_8148 = 1102
  integer, parameter :: nGC_8106 = 1103
  integer, parameter :: nGC_12716 = 1104
  integer, parameter :: nGC_9140 = 1105
  integer, parameter :: nGC_9141 = 1106
  integer, parameter :: nGC_8104 = 1107
  integer, parameter :: nGC_TS_GC_36_Hh = 1108
  integer, parameter :: nGC_TS_GC_36_Hl = 1109
  integer, parameter :: nGC_8830 = 1110
  integer, parameter :: nGC_8628 = 1111
  integer, parameter :: nGC_16536 = 1112
  integer, parameter :: nGC_16539 = 1113
  integer, parameter :: nGC_16280 = 1114
  integer, parameter :: nGC_16281 = 1115
  integer, parameter :: nGC_399 = 1116
  integer, parameter :: nGC_391 = 1117
  integer, parameter :: nGC_8629 = 1118
  integer, parameter :: nGC_393 = 1119
  integer, parameter :: nGC_397 = 1120
  integer, parameter :: nGC_14919 = 1121
  integer, parameter :: nGC_8445 = 1122
  integer, parameter :: nGC_TS_GC_120_Hl = 1123
  integer, parameter :: nGC_9484 = 1124
  integer, parameter :: nGC_MHA = 1125
  integer, parameter :: nGC_8031 = 1126
  integer, parameter :: nGC_15654 = 1127
  integer, parameter :: nGC_15655 = 1128
  integer, parameter :: nGC_8132 = 1129
  integer, parameter :: nGC_9408 = 1130
  integer, parameter :: nGC_9032 = 1131
  integer, parameter :: nGC_8136 = 1132
  integer, parameter :: nGC_8037 = 1133
  integer, parameter :: nGC_9036 = 1134
  integer, parameter :: nGC_14670 = 1135
  integer, parameter :: nGC_4 = 1136
  integer, parameter :: nGC_643 = 1137
  integer, parameter :: nGC_134 = 1138
  integer, parameter :: nGC_137 = 1139
  integer, parameter :: nGC_136 = 1140
  integer, parameter :: nGC_131 = 1141
  integer, parameter :: nGC_130 = 1142
  integer, parameter :: nGC_133 = 1143
  integer, parameter :: nGC_132 = 1144
  integer, parameter :: nGC_139 = 1145
  integer, parameter :: nGC_8138 = 1146
  integer, parameter :: nGC_8139 = 1147
  integer, parameter :: nGC_13007 = 1148
  integer, parameter :: nGC_13006 = 1149
  integer, parameter :: nGC_15505 = 1150
  integer, parameter :: nGC_15506 = 1151
  integer, parameter :: nGC_8200 = 1152
  integer, parameter :: nGC_8201 = 1153
  integer, parameter :: nGC_8202 = 1154
  integer, parameter :: nGC_8203 = 1155
  integer, parameter :: nGC_8204 = 1156
  integer, parameter :: nGC_8205 = 1157
  integer, parameter :: nGC_8206 = 1158
  integer, parameter :: nGC_8207 = 1159
  integer, parameter :: nGC_8208 = 1160
  integer, parameter :: nGC_8209 = 1161
  integer, parameter :: nGC_TS_GC_23_Hh = 1162
  integer, parameter :: nGC_8319 = 1163
  integer, parameter :: nGC_12829 = 1164
  integer, parameter :: nGC_8528 = 1165
  integer, parameter :: nGC_8912 = 1166
  integer, parameter :: nGC_8621 = 1167
  integer, parameter :: nGC_13713 = 1168
  integer, parameter :: nGC_13712 = 1169
  integer, parameter :: nGC_TS_GC_16_Hh = 1170
  integer, parameter :: nGC_12996 = 1171
  integer, parameter :: nGC_12994 = 1172
  integer, parameter :: nGC_12995 = 1173
  integer, parameter :: nGC_7928 = 1174
  integer, parameter :: nGC_7929 = 1175
  integer, parameter :: nGC_13131 = 1176
  integer, parameter :: nGC_8032 = 1177
  integer, parameter :: nGC_7924 = 1178
  integer, parameter :: nGC_7925 = 1179
  integer, parameter :: nGC_7926 = 1180
  integer, parameter :: nGC_7927 = 1181
  integer, parameter :: nGC_7920 = 1182
  integer, parameter :: nGC_7921 = 1183
  integer, parameter :: nGC_7922 = 1184
  integer, parameter :: nGC_7923 = 1185
  integer, parameter :: nGC_TS_GC_99_Hh = 1186
  integer, parameter :: nGC_8448 = 1187
  integer, parameter :: nGC_8030 = 1188
  integer, parameter :: nGC_8338 = 1189
  integer, parameter :: nGC_8339 = 1190
  integer, parameter :: nGC_8442 = 1191
  integer, parameter :: nGC_8335 = 1192
  integer, parameter :: nGC_8440 = 1193
  integer, parameter :: nGC_8441 = 1194
  integer, parameter :: nGC_8330 = 1195
  integer, parameter :: nGC_8331 = 1196
  integer, parameter :: nGC_8444 = 1197
  integer, parameter :: nGC_8524 = 1198
  integer, parameter :: nGC_TS_GC_195_Hh = 1199
  integer, parameter :: nGC_8035 = 1200
  integer, parameter :: nGC_13827 = 1201
  integer, parameter :: nGC_8034 = 1202
  integer, parameter :: nGC_17016 = 1203
  integer, parameter :: nGC_17017 = 1204
  integer, parameter :: nGC_8536 = 1205
  integer, parameter :: nGC_8537 = 1206
  integer, parameter :: nGC_8534 = 1207
  integer, parameter :: nGC_8535 = 1208
  integer, parameter :: nGC_8532 = 1209
  integer, parameter :: nGC_8533 = 1210
  integer, parameter :: nGC_8530 = 1211
  integer, parameter :: nGC_8531 = 1212
  integer, parameter :: nGC_9004 = 1213
  integer, parameter :: nGC_9007 = 1214
  integer, parameter :: nGC_9001 = 1215
  integer, parameter :: nGC_8538 = 1216
  integer, parameter :: nGC_8539 = 1217
  integer, parameter :: nGC_8028 = 1218
  integer, parameter :: nGC_8029 = 1219
  integer, parameter :: nGC_8020 = 1220
  integer, parameter :: nGC_8021 = 1221
  integer, parameter :: nGC_12975 = 1222
  integer, parameter :: nGC_8023 = 1223
  integer, parameter :: nGC_8024 = 1224
  integer, parameter :: nGC_8025 = 1225
  integer, parameter :: nGC_8026 = 1226
  integer, parameter :: nGC_8154 = 1227
  integer, parameter :: nGC_8155 = 1228
  integer, parameter :: nGC_8156 = 1229
  integer, parameter :: nGC_8150 = 1230
  integer, parameter :: nGC_8151 = 1231
  integer, parameter :: nGC_8152 = 1232
  integer, parameter :: nGC_8153 = 1233
  integer, parameter :: nGC_9310 = 1234
  integer, parameter :: nGC_9313 = 1235
  integer, parameter :: nGC_8158 = 1236
  integer, parameter :: nGC_8159 = 1237
  integer, parameter :: nGC_9317 = 1238
  integer, parameter :: nGC_9316 = 1239
  integer, parameter :: nGC_7963 = 1240
  integer, parameter :: nGC_8172 = 1241
  integer, parameter :: nGC_14931 = 1242
  integer, parameter :: nGC_9171 = 1243
  integer, parameter :: nGC_9170 = 1244
  integer, parameter :: nGC_TS_GC_15_Hh = 1245
  integer, parameter :: nGC_16634 = 1246
  integer, parameter :: nGC_17230 = 1247
  integer, parameter :: nGC_17231 = 1248
  integer, parameter :: nGC_3331 = 1249
  integer, parameter :: nGC_TS_GC_153_Hl = 1250
  integer, parameter :: nGC_8457 = 1251
  integer, parameter :: nGC_3111 = 1252
  integer, parameter :: nGC_8456 = 1253
  integer, parameter :: nGC_TS_GC_145_Hl = 1254
  integer, parameter :: nGC_17830 = 1255
  integer, parameter :: nGC_16177 = 1256
  integer, parameter :: nGC_3063 = 1257
  integer, parameter :: nGC_7955 = 1258
  integer, parameter :: nGC_8453 = 1259
  integer, parameter :: nGC_8143 = 1260
  integer, parameter :: nGC_8142 = 1261
  integer, parameter :: nGC_8141 = 1262
  integer, parameter :: nGC_8140 = 1263
  integer, parameter :: nGC_7954 = 1264
  integer, parameter :: nGC_9496 = 1265
  integer, parameter :: nGC_8332 = 1266
  integer, parameter :: nGC_8452 = 1267
  integer, parameter :: nGC_9497 = 1268
  integer, parameter :: nGC_9494 = 1269
  integer, parameter :: nGC_9327 = 1270
  integer, parameter :: nGC_14843 = 1271
  integer, parameter :: nGC_14840 = 1272
  integer, parameter :: nGC_15641 = 1273
  integer, parameter :: nGC_8623 = 1274
  integer, parameter :: nGC_8047 = 1275
  integer, parameter :: nGC_9322 = 1276
  integer, parameter :: nGC_15084 = 1277
  integer, parameter :: nGC_8273 = 1278
  integer, parameter :: nGC_8272 = 1279
  integer, parameter :: nGC_12963 = 1280
  integer, parameter :: nGC_18280 = 1281
  integer, parameter :: nGC_18281 = 1282
  integer, parameter :: nGC_12962 = 1283
  integer, parameter :: nGC_9019 = 1284
  integer, parameter :: nGC_8277 = 1285
  integer, parameter :: nGC_TS_GC_63_Hh = 1286
  integer, parameter :: nGC_TS_GC_63_Hl = 1287
  integer, parameter :: nGC_14606 = 1288
  integer, parameter :: nGC_8290 = 1289
  integer, parameter :: nGC_8045 = 1290
  integer, parameter :: nGC_14602 = 1291
  integer, parameter :: nGC_8334 = 1292
  integer, parameter :: nGC_101 = 1293
  integer, parameter :: nGC_102 = 1294
  integer, parameter :: nGC_103 = 1295
  integer, parameter :: nGC_104 = 1296
  integer, parameter :: nGC_15264 = 1297
  integer, parameter :: nGC_106 = 1298
  integer, parameter :: nGC_107 = 1299
  integer, parameter :: nGC_108 = 1300
  integer, parameter :: nGC_109 = 1301
  integer, parameter :: nGC_13033 = 1302
  integer, parameter :: nGC_14463 = 1303
  integer, parameter :: nGC_8239 = 1304
  integer, parameter :: nGC_8238 = 1305
  integer, parameter :: nGC_8235 = 1306
  integer, parameter :: nGC_8234 = 1307
  integer, parameter :: nGC_8237 = 1308
  integer, parameter :: nGC_8236 = 1309
  integer, parameter :: nGC_8231 = 1310
  integer, parameter :: nGC_8230 = 1311
  integer, parameter :: nGC_8233 = 1312
  integer, parameter :: nGC_8232 = 1313
  integer, parameter :: nGC_8043 = 1314
  integer, parameter :: nGC_180 = 1315
  integer, parameter :: nGC_8707 = 1316
  integer, parameter :: nGC_19348 = 1317
  integer, parameter :: nGC_13728 = 1318
  integer, parameter :: nGC_19345 = 1319
  integer, parameter :: nGC_182 = 1320
  integer, parameter :: nGC_8295 = 1321
  integer, parameter :: nGC_12986 = 1322
  integer, parameter :: nGC_13450 = 1323
  integer, parameter :: nGC_13455 = 1324
  integer, parameter :: nGC_7919 = 1325
  integer, parameter :: nGC_7918 = 1326
  integer, parameter :: nGC_7911 = 1327
  integer, parameter :: nGC_7910 = 1328
  integer, parameter :: nGC_7913 = 1329
  integer, parameter :: nGC_7912 = 1330
  integer, parameter :: nGC_7915 = 1331
  integer, parameter :: nGC_7914 = 1332
  integer, parameter :: nGC_7917 = 1333
  integer, parameter :: nGC_7916 = 1334
  integer, parameter :: nGC_8309 = 1335
  integer, parameter :: nGC_8308 = 1336
  integer, parameter :: nGC_8294 = 1337
  integer, parameter :: nGC_8041 = 1338
  integer, parameter :: nGC_12859 = 1339
  integer, parameter :: nGC_12858 = 1340
  integer, parameter :: nGC_8301 = 1341
  integer, parameter :: nGC_8300 = 1342
  integer, parameter :: nGC_8303 = 1343
  integer, parameter :: nGC_8302 = 1344
  integer, parameter :: nGC_8305 = 1345
  integer, parameter :: nGC_8304 = 1346
  integer, parameter :: nGC_8307 = 1347
  integer, parameter :: nGC_8306 = 1348
  integer, parameter :: nGC_13855 = 1349
  integer, parameter :: nGC_8491 = 1350
  integer, parameter :: nGC_8490 = 1351
  integer, parameter :: nGC_8493 = 1352
  integer, parameter :: nGC_8492 = 1353
  integer, parameter :: nGC_8495 = 1354
  integer, parameter :: nGC_8494 = 1355
  integer, parameter :: nGC_8497 = 1356
  integer, parameter :: nGC_8496 = 1357
  integer, parameter :: nGC_8499 = 1358
  integer, parameter :: nGC_8498 = 1359
  integer, parameter :: nGC_8944 = 1360
  integer, parameter :: nGC_8046 = 1361
  integer, parameter :: nGC_8521 = 1362
  integer, parameter :: nGC_13215 = 1363
  integer, parameter :: nGC_13212 = 1364
  integer, parameter :: nGC_8015 = 1365
  integer, parameter :: nGC_8014 = 1366
  integer, parameter :: nGC_8017 = 1367
  integer, parameter :: nGC_8016 = 1368
  integer, parameter :: nGC_8011 = 1369
  integer, parameter :: nGC_8010 = 1370
  integer, parameter :: nGC_8013 = 1371
  integer, parameter :: nGC_8012 = 1372
  integer, parameter :: nGC_9012 = 1373
  integer, parameter :: nGC_9013 = 1374
  integer, parameter :: nGC_8549 = 1375
  integer, parameter :: nGC_8548 = 1376
  integer, parameter :: nGC_8019 = 1377
  integer, parameter :: nGC_9014 = 1378
  integer, parameter :: nGC_9015 = 1379
  integer, parameter :: nGC_9459 = 1380
  integer, parameter :: nGC_8837 = 1381
  integer, parameter :: nGC_9517 = 1382
  integer, parameter :: nGC_8789 = 1383
  integer, parameter :: nGC_8788 = 1384
  integer, parameter :: nGC_13262 = 1385
  integer, parameter :: nGC_8396 = 1386
  integer, parameter :: nGC_8702 = 1387
  integer, parameter :: nGC_9450 = 1388
  integer, parameter :: nGC_17645 = 1389
  integer, parameter :: nGC_9307 = 1390
  integer, parameter :: nGC_9451 = 1391
  integer, parameter :: nGC_9302 = 1392
  integer, parameter :: nGC_9303 = 1393
  integer, parameter :: nGC_9300 = 1394
  integer, parameter :: nGC_8397 = 1395
  integer, parameter :: nGC_9456 = 1396
  integer, parameter :: nGC_9308 = 1397
  integer, parameter :: nGC_9309 = 1398
  integer, parameter :: nGC_8161 = 1399
  integer, parameter :: nGC_8160 = 1400
  integer, parameter :: nGC_8163 = 1401
  integer, parameter :: nGC_8162 = 1402
  integer, parameter :: nGC_8165 = 1403
  integer, parameter :: nGC_8164 = 1404
  integer, parameter :: nGC_8167 = 1405
  integer, parameter :: nGC_8166 = 1406
  integer, parameter :: nGC_8169 = 1407
  integer, parameter :: nGC_8168 = 1408
  integer, parameter :: nGC_23318 = 1409
  integer, parameter :: nGC_23319 = 1410
  integer, parameter :: nGC_9017 = 1411
  integer, parameter :: nGC_8394 = 1412
  integer, parameter :: nGC_8336 = 1413
  integer, parameter :: nGC_7960 = 1414
  integer, parameter :: nGC_8395 = 1415
  integer, parameter :: nGC_8520 = 1416
  integer, parameter :: nGC_28948 = 1417
  integer, parameter :: nGC_17226 = 1418
  integer, parameter :: nGC_8479 = 1419
  integer, parameter :: nGC_17229 = 1420
  integer, parameter :: nGC_17228 = 1421
  integer, parameter :: nGC_8392 = 1422
  integer, parameter :: nGC_17913 = 1423
  integer, parameter :: nGC_8478 = 1424
  integer, parameter :: nGC_17915 = 1425
  integer, parameter :: nGC_3109 = 1426
  integer, parameter :: nGC_8385 = 1427
  integer, parameter :: nGC_8574 = 1428
  integer, parameter :: nGC_8393 = 1429
  integer, parameter :: nGC_TS_GC_35_Hl = 1430
  integer, parameter :: nGC_19980 = 1431
  integer, parameter :: nGC_16514 = 1432
  integer, parameter :: nGC_17827 = 1433
  integer, parameter :: nGC_8390 = 1434
  integer, parameter :: nGC_8191 = 1435
  integer, parameter :: nGC_16639 = 1436
  integer, parameter :: nGC_4075 = 1437
  integer, parameter :: nGC_9304 = 1438
  integer, parameter :: nGC_8976 = 1439
  integer, parameter :: nGC_13543 = 1440
  integer, parameter :: nGC_8391 = 1441
  integer, parameter :: nGC_8806 = 1442
  integer, parameter :: nGC_8771 = 1443
  integer, parameter :: nGC_TS_GC_177_Hl = 1444
  integer, parameter :: nGC_8044 = 1445
  integer, parameter :: nGC_7967 = 1446
  integer, parameter :: nGC_9354 = 1447
  integer, parameter :: nGC_8057 = 1448
  integer, parameter :: nGC_8056 = 1449
  integer, parameter :: nGC_8059 = 1450
  integer, parameter :: nGC_9321 = 1451
  integer, parameter :: nGC_753 = 1452
  integer, parameter :: nGC_8599 = 1453
  integer, parameter :: nGC_8058 = 1454
  integer, parameter :: nGC_8989 = 1455
  integer, parameter :: nGC_8988 = 1456
  integer, parameter :: nGC_119 = 1457
  integer, parameter :: nGC_118 = 1458
  integer, parameter :: nGC_117 = 1459
  integer, parameter :: nGC_116 = 1460
  integer, parameter :: nGC_115 = 1461
  integer, parameter :: nGC_114 = 1462
  integer, parameter :: nGC_113 = 1463
  integer, parameter :: nGC_112 = 1464
  integer, parameter :: nGC_111 = 1465
  integer, parameter :: nGC_110 = 1466
  integer, parameter :: nGC_9353 = 1467
  integer, parameter :: nGC_8987 = 1468
  integer, parameter :: nGC_13735 = 1469
  integer, parameter :: nGC_19350 = 1470
  integer, parameter :: nGC_807 = 1471
  integer, parameter :: nGC_13444 = 1472
  integer, parameter :: nGC_9053 = 1473
  integer, parameter :: nGC_12860 = 1474
  integer, parameter :: nGC_12861 = 1475
  integer, parameter :: nGC_13029 = 1476
  integer, parameter :: nGC_13020 = 1477
  integer, parameter :: nGC_9425 = 1478
  integer, parameter :: nGC_9356 = 1479
  integer, parameter :: nGC_8958 = 1480
  integer, parameter :: nGC_8959 = 1481
  integer, parameter :: nGC_TS_GC_111_Hh = 1482
  integer, parameter :: nGC_8954 = 1483
  integer, parameter :: nGC_8955 = 1484
  integer, parameter :: nGC_12882 = 1485
  integer, parameter :: nGC_8957 = 1486
  integer, parameter :: nGC_8950 = 1487
  integer, parameter :: nGC_13205 = 1488
  integer, parameter :: nGC_9421 = 1489
  integer, parameter :: nGC_9420 = 1490
  integer, parameter :: nGC_8824 = 1491
  integer, parameter :: nGC_8797 = 1492
  integer, parameter :: nGC_8826 = 1493
  integer, parameter :: nGC_8828 = 1494
  integer, parameter :: nGC_8798 = 1495
  integer, parameter :: nGC_8799 = 1496
  integer, parameter :: nGC_TS_GC_22_Hh = 1497
  integer, parameter :: nGC_TS_GC_22_Hl = 1498
  integer, parameter :: nGC_9372 = 1499
  integer, parameter :: nGC_9371 = 1500
  integer, parameter :: nGC_9370 = 1501
  integer, parameter :: nGC_9377 = 1502
  integer, parameter :: nGC_9376 = 1503
  integer, parameter :: nGC_9375 = 1504
  integer, parameter :: nGC_9374 = 1505
  integer, parameter :: nGC_9379 = 1506
  integer, parameter :: nGC_9378 = 1507
  integer, parameter :: nGC_TS_GC_12_Hh = 1508
  integer, parameter :: nGC_12643 = 1509
  integer, parameter :: nGC_12640 = 1510
  integer, parameter :: nGC_12646 = 1511
  integer, parameter :: nGC_12647 = 1512
  integer, parameter :: nGC_16187 = 1513
  integer, parameter :: nGC_16186 = 1514
  integer, parameter :: nGC_16183 = 1515
  integer, parameter :: nGC_16189 = 1516
  integer, parameter :: nGC_16188 = 1517
  integer, parameter :: nGC_15857 = 1518
  integer, parameter :: nGC_15854 = 1519
  integer, parameter :: nGC_18936 = 1520
  integer, parameter :: nGC_18934 = 1521
  integer, parameter :: nGC_18935 = 1522
  integer, parameter :: nGC_TS_GC_118_Hh = 1523
  integer, parameter :: nGC_9207 = 1524
  integer, parameter :: nGC_28951 = 1525
  integer, parameter :: nGC_9201 = 1526
  integer, parameter :: nGC_TS_GC_14_Hl = 1527
  integer, parameter :: nGC_16985 = 1528
  integer, parameter :: nGC_16984 = 1529
  integer, parameter :: nGC_TS_GC_69_Hh = 1530
  integer, parameter :: nGC_16986 = 1531
  integer, parameter :: nGC_TS_GC_69_Hl = 1532
  integer, parameter :: nGC_TS_GC_188_Hh = 1533
  integer, parameter :: nGC_16504 = 1534
  integer, parameter :: nGC_24309 = 1535
  integer, parameter :: nGC_14925 = 1536
  integer, parameter :: nGC_19929 = 1537
  integer, parameter :: nGC_18119 = 1538
  integer, parameter :: nGC_TS_GC_157_Hh = 1539
  integer, parameter :: nGC_15067 = 1540
  integer, parameter :: nGC_15065 = 1541
  integer, parameter :: nGC_15064 = 1542
  integer, parameter :: nGC_TS_GC_49_Hl = 1543
  integer, parameter :: nGC_TS_GC_49_Hh = 1544
  integer, parameter :: nGC_15206 = 1545
  integer, parameter :: nGC_693 = 1546
  integer, parameter :: nGC_13692 = 1547
  integer, parameter :: nGC_19329 = 1548
  integer, parameter :: nGC_15443 = 1549
  integer, parameter :: nGC_13475 = 1550
  integer, parameter :: nGC_12877 = 1551
  integer, parameter :: nGC_12870 = 1552
  integer, parameter :: nGC_12879 = 1553
  integer, parameter :: nGC_12878 = 1554
  integer, parameter :: nGC_14550 = 1555
  integer, parameter :: nGC_12898 = 1556
  integer, parameter :: nGC_8961 = 1557
  integer, parameter :: nGC_8960 = 1558
  integer, parameter :: nGC_8963 = 1559
  integer, parameter :: nGC_8962 = 1560
  integer, parameter :: nGC_12897 = 1561
  integer, parameter :: nGC_8964 = 1562
  integer, parameter :: nGC_8967 = 1563
  integer, parameter :: nGC_8966 = 1564
  integer, parameter :: nGC_18744 = 1565
  integer, parameter :: nGC_13277 = 1566
  integer, parameter :: nGC_13271 = 1567
  integer, parameter :: nGC_13272 = 1568
  integer, parameter :: nGC_13273 = 1569
  integer, parameter :: nGC_TS_GC_108_Hl = 1570
  integer, parameter :: nGC_8818 = 1571
  integer, parameter :: nGC_8769 = 1572
  integer, parameter :: nGC_8768 = 1573
  integer, parameter :: nGC_8765 = 1574
  integer, parameter :: nGC_13848 = 1575
  integer, parameter :: nGC_8763 = 1576
  integer, parameter :: nGC_8762 = 1577
  integer, parameter :: nGC_8813 = 1578
  integer, parameter :: nGC_8760 = 1579
  integer, parameter :: nGC_TS_GC_41_Hl = 1580
  integer, parameter :: nGC_TS_GC_41_Hh = 1581
  integer, parameter :: nGC_15994 = 1582
  integer, parameter :: nGC_13309 = 1583
  integer, parameter :: nGC_13300 = 1584
  integer, parameter :: nGC_13302 = 1585
  integer, parameter :: nGC_13304 = 1586
  integer, parameter :: nGC_9360 = 1587
  integer, parameter :: nGC_9361 = 1588
  integer, parameter :: nGC_9362 = 1589
  integer, parameter :: nGC_9363 = 1590
  integer, parameter :: nGC_9364 = 1591
  integer, parameter :: nGC_9365 = 1592
  integer, parameter :: nGC_9366 = 1593
  integer, parameter :: nGC_9367 = 1594
  integer, parameter :: nGC_9368 = 1595
  integer, parameter :: nGC_9369 = 1596
  integer, parameter :: nGC_12655 = 1597
  integer, parameter :: nGC_12651 = 1598
  integer, parameter :: nGC_8956 = 1599
  integer, parameter :: nGC_12652 = 1600
  integer, parameter :: nGC_12883 = 1601
  integer, parameter :: nGC_8951 = 1602
  integer, parameter :: nGC_8952 = 1603
  integer, parameter :: nGC_15842 = 1604
  integer, parameter :: nGC_9184 = 1605
  integer, parameter :: nGC_9185 = 1606
  integer, parameter :: nGC_9186 = 1607
  integer, parameter :: nGC_TS_GC_28_Hl = 1608
  integer, parameter :: nGC_16088 = 1609
  integer, parameter :: nGC_TS_GC_38_Hh = 1610
  integer, parameter :: nGC_14954 = 1611
  integer, parameter :: nGC_14955 = 1612
  integer, parameter :: nGC_14956 = 1613
  integer, parameter :: nGC_14957 = 1614
  integer, parameter :: nGC_TS_GC_94_Hh = 1615
  integer, parameter :: nGC_TS_GC_94_Hl = 1616
  integer, parameter :: nGC_16155 = 1617
  integer, parameter :: nGC_14836 = 1618
  integer, parameter :: nGC_14834 = 1619
  integer, parameter :: nGC_8792 = 1620
  integer, parameter :: nGC_8793 = 1621
  integer, parameter :: nGC_15056 = 1622
  integer, parameter :: nGC_15057 = 1623
  integer, parameter :: nGC_15053 = 1624
  integer, parameter :: nGC_8796 = 1625
  integer, parameter :: nGC_15058 = 1626
  integer, parameter :: nGC_8794 = 1627
  integer, parameter :: nGC_8795 = 1628
  integer, parameter :: nGC_TS_GC_110_Hl = 1629
  integer, parameter :: nGC_13686 = 1630
  integer, parameter :: nGC_14491 = 1631
  integer, parameter :: nGC_14492 = 1632
  integer, parameter :: nGC_14495 = 1633
  integer, parameter :: nGC_19330 = 1634
  integer, parameter :: nGC_15301 = 1635
  integer, parameter :: nGC_13466 = 1636
  integer, parameter :: nGC_14549 = 1637
  integer, parameter :: nGC_13046 = 1638
  integer, parameter :: nGC_13041 = 1639
  integer, parameter :: nGC_13040 = 1640
  integer, parameter :: nGC_913 = 1641
  integer, parameter :: nGC_9513 = 1642
  integer, parameter :: nGC_9512 = 1643
  integer, parameter :: nGC_9511 = 1644
  integer, parameter :: nGC_9510 = 1645
  integer, parameter :: nGC_13263 = 1646
  integer, parameter :: nGC_9516 = 1647
  integer, parameter :: nGC_9515 = 1648
  integer, parameter :: nGC_9514 = 1649
  integer, parameter :: nGC_9519 = 1650
  integer, parameter :: nGC_9518 = 1651
  integer, parameter :: nGC_1269 = 1652
  integer, parameter :: nGC_12792 = 1653
  integer, parameter :: nGC_8808 = 1654
  integer, parameter :: nGC_8809 = 1655
  integer, parameter :: nGC_8774 = 1656
  integer, parameter :: nGC_8803 = 1657
  integer, parameter :: nGC_8800 = 1658
  integer, parameter :: nGC_8801 = 1659
  integer, parameter :: nGC_8770 = 1660
  integer, parameter :: nGC_8807 = 1661
  integer, parameter :: nGC_8804 = 1662
  integer, parameter :: nGC_8805 = 1663
  integer, parameter :: nGC_TS_GC_68_Hh = 1664
  integer, parameter :: nGC_18649 = 1665
  integer, parameter :: nGC_13312 = 1666
  integer, parameter :: nGC_13314 = 1667
  integer, parameter :: nGC_9359 = 1668
  integer, parameter :: nGC_9358 = 1669
  integer, parameter :: nGC_9429 = 1670
  integer, parameter :: nGC_9355 = 1671
  integer, parameter :: nGC_9357 = 1672
  integer, parameter :: nGC_9424 = 1673
  integer, parameter :: nGC_9423 = 1674
  integer, parameter :: nGC_9422 = 1675
  integer, parameter :: nGC_23323 = 1676
  integer, parameter :: nGC_9352 = 1677
  integer, parameter :: nGC_8977 = 1678
  integer, parameter :: nGC_8974 = 1679
  integer, parameter :: nGC_8975 = 1680
  integer, parameter :: nGC_8972 = 1681
  integer, parameter :: nGC_8970 = 1682
  integer, parameter :: nGC_8971 = 1683
  integer, parameter :: nGC_8978 = 1684
  integer, parameter :: nGC_8979 = 1685
  integer, parameter :: nGC_TS_GC_40_Hh = 1686
  integer, parameter :: nGC_TS_GC_40_Hl = 1687
  integer, parameter :: nGC_9225 = 1688
  integer, parameter :: nGC_9224 = 1689
  integer, parameter :: nGC_9227 = 1690
  integer, parameter :: nGC_9226 = 1691
  integer, parameter :: nGC_TS_GC_119_Hl = 1692
  integer, parameter :: nGC_16098 = 1693
  integer, parameter :: nGC_16095 = 1694
  integer, parameter :: nGC_15941 = 1695
  integer, parameter :: nGC_15943 = 1696
  integer, parameter :: nGC_13480 = 1697
  integer, parameter :: nGC_14942 = 1698
  integer, parameter :: nGC_14941 = 1699
  integer, parameter :: nGC_14940 = 1700
  integer, parameter :: nGC_13847 = 1701
  integer, parameter :: nGC_17410 = 1702
  integer, parameter :: nGC_17411 = 1703
  integer, parameter :: nGC_16418 = 1704
  integer, parameter :: nGC_17414 = 1705
  integer, parameter :: nGC_17415 = 1706
  integer, parameter :: nGC_17416 = 1707
  integer, parameter :: nGC_17417 = 1708
  integer, parameter :: nGC_9507 = 1709
  integer, parameter :: nGC_13674 = 1710
  integer, parameter :: nGC_13679 = 1711
  integer, parameter :: nGC_TS_GC_61_Hh = 1712
  integer, parameter :: nGC_TS_GC_61_Hl = 1713
  integer, parameter :: nGC_9199 = 1714
  integer, parameter :: nGC_9198 = 1715
  integer, parameter :: nGC_14151 = 1716
  integer, parameter :: nGC_15856 = 1717
  integer, parameter :: nGC_17210 = 1718
  integer, parameter :: nGC_14375 = 1719
  integer, parameter :: nGC_14376 = 1720
  integer, parameter :: nGC_15855 = 1721
  integer, parameter :: nGC_TS_GC_31_Hl = 1722
  integer, parameter :: nGC_9192 = 1723
  integer, parameter :: nGC_13786 = 1724
  integer, parameter :: nGC_13898 = 1725
  integer, parameter :: nGC_13070 = 1726
  integer, parameter :: nGC_13071 = 1727
  integer, parameter :: nGC_13078 = 1728
  integer, parameter :: nGC_TS_GC_48_Hh = 1729
  integer, parameter :: nGC_TS_GC_48_Hl = 1730
  integer, parameter :: nGC_14200 = 1731
  integer, parameter :: nGC_13250 = 1732
  integer, parameter :: nGC_9500 = 1733
  integer, parameter :: nGC_9503 = 1734
  integer, parameter :: nGC_9504 = 1735
  integer, parameter :: nGC_9505 = 1736
  integer, parameter :: nGC_9506 = 1737
  integer, parameter :: nGC_9206 = 1738
  integer, parameter :: nGC_9508 = 1739
  integer, parameter :: nGC_9509 = 1740
  integer, parameter :: nGC_13093 = 1741
  integer, parameter :: nGC_9205 = 1742
  integer, parameter :: nGC_8749 = 1743
  integer, parameter :: nGC_8748 = 1744
  integer, parameter :: nGC_8741 = 1745
  integer, parameter :: nGC_8740 = 1746
  integer, parameter :: nGC_8743 = 1747
  integer, parameter :: nGC_8742 = 1748
  integer, parameter :: nGC_8745 = 1749
  integer, parameter :: nGC_8744 = 1750
  integer, parameter :: nGC_8747 = 1751
  integer, parameter :: nGC_8746 = 1752
  integer, parameter :: nGC_TS_GC_37_Hh = 1753
  integer, parameter :: nGC_TS_GC_37_Hl = 1754
  integer, parameter :: nGC_13328 = 1755
  integer, parameter :: nGC_13324 = 1756
  integer, parameter :: nGC_13325 = 1757
  integer, parameter :: nGC_9348 = 1758
  integer, parameter :: nGC_9349 = 1759
  integer, parameter :: nGC_9438 = 1760
  integer, parameter :: nGC_9439 = 1761
  integer, parameter :: nGC_14080 = 1762
  integer, parameter :: nGC_9342 = 1763
  integer, parameter :: nGC_9343 = 1764
  integer, parameter :: nGC_9436 = 1765
  integer, parameter :: nGC_9437 = 1766
  integer, parameter :: nGC_9346 = 1767
  integer, parameter :: nGC_9347 = 1768
  integer, parameter :: nGC_9344 = 1769
  integer, parameter :: nGC_9345 = 1770
  integer, parameter :: nGC_8901 = 1771
  integer, parameter :: nGC_8900 = 1772
  integer, parameter :: nGC_8906 = 1773
  integer, parameter :: nGC_8904 = 1774
  integer, parameter :: nGC_8908 = 1775
  integer, parameter :: nGC_TS_GC_125_Hh = 1776
  integer, parameter :: nGC_TS_GC_27_Hh = 1777
  integer, parameter :: nGC_9237 = 1778
  integer, parameter :: nGC_16224 = 1779
  integer, parameter :: nGC_16226 = 1780
  integer, parameter :: nGC_16227 = 1781
  integer, parameter :: nGC_TS_GC_29_Hh = 1782
  integer, parameter :: nGC_9658 = 1783
  integer, parameter :: nGC_4633 = 1784
  integer, parameter :: nGC_16047 = 1785
  integer, parameter :: nGC_29093 = 1786
  integer, parameter :: nGC_14144 = 1787
  integer, parameter :: nGC_795 = 1788
  integer, parameter :: nGC_23189 = 1789
  integer, parameter :: nGC_15499 = 1790
  integer, parameter :: nGC_13406 = 1791
  integer, parameter :: nGC_13888 = 1792
  integer, parameter :: nGC_13532 = 1793
  integer, parameter :: nGC_13247 = 1794
  integer, parameter :: nGC_13087 = 1795
  integer, parameter :: nGC_13085 = 1796
  integer, parameter :: nGC_8756 = 1797
  integer, parameter :: nGC_8757 = 1798
  integer, parameter :: nGC_8754 = 1799
  integer, parameter :: nGC_8755 = 1800
  integer, parameter :: nGC_8752 = 1801
  integer, parameter :: nGC_8753 = 1802
  integer, parameter :: nGC_8750 = 1803
  integer, parameter :: nGC_8751 = 1804
  integer, parameter :: nGC_8758 = 1805
  integer, parameter :: nGC_8759 = 1806
  integer, parameter :: nGC_12931 = 1807
  integer, parameter :: nGC_12934 = 1808
  integer, parameter :: nGC_12937 = 1809
  integer, parameter :: nGC_12758 = 1810
  integer, parameter :: nGC_9401 = 1811
  integer, parameter :: nGC_9400 = 1812
  integer, parameter :: nGC_9403 = 1813
  integer, parameter :: nGC_9402 = 1814
  integer, parameter :: nGC_9405 = 1815
  integer, parameter :: nGC_9404 = 1816
  integer, parameter :: nGC_9407 = 1817
  integer, parameter :: nGC_9406 = 1818
  integer, parameter :: nGC_8910 = 1819
  integer, parameter :: nGC_TS_GC_117_Hh = 1820
  integer, parameter :: nGC_12684 = 1821
  integer, parameter :: nGC_12685 = 1822
  integer, parameter :: nGC_8914 = 1823
  integer, parameter :: nGC_8915 = 1824
  integer, parameter :: nGC_8916 = 1825
  integer, parameter :: nGC_8917 = 1826
  integer, parameter :: nGC_8918 = 1827
  integer, parameter :: nGC_8919 = 1828
  integer, parameter :: nGC_9391 = 1829
  integer, parameter :: nGC_9392 = 1830
  integer, parameter :: nGC_9395 = 1831
  integer, parameter :: nGC_9394 = 1832
  integer, parameter :: nGC_9397 = 1833
  integer, parameter :: nGC_9396 = 1834
  integer, parameter :: nGC_9398 = 1835
  integer, parameter :: nGC_15812 = 1836
  integer, parameter :: nGC_15813 = 1837
  integer, parameter :: nGC_9243 = 1838
  integer, parameter :: nGC_9242 = 1839
  integer, parameter :: nGC_9241 = 1840
  integer, parameter :: nGC_9240 = 1841
  integer, parameter :: nGC_9247 = 1842
  integer, parameter :: nGC_9246 = 1843
  integer, parameter :: nGC_9245 = 1844
  integer, parameter :: nGC_9244 = 1845
  integer, parameter :: nGC_9249 = 1846
  integer, parameter :: nGC_9248 = 1847
  integer, parameter :: nGC_9085 = 1848
  integer, parameter :: nGC_9084 = 1849
  integer, parameter :: nGC_9087 = 1850
  integer, parameter :: nGC_9086 = 1851
  integer, parameter :: nGC_9081 = 1852
  integer, parameter :: nGC_9080 = 1853
  integer, parameter :: nGC_9083 = 1854
  integer, parameter :: nGC_9082 = 1855
  integer, parameter :: nGC_9089 = 1856
  integer, parameter :: nGC_9088 = 1857
  integer, parameter :: nGC_17549 = 1858
  integer, parameter :: nGC_16540 = 1859
  integer, parameter :: nGC_16543 = 1860
  integer, parameter :: nGC_16542 = 1861
  integer, parameter :: nGC_13781 = 1862
  integer, parameter :: nGC_19642 = 1863
  integer, parameter :: nGC_29534 = 1864
  integer, parameter :: nGC_TS_GC_137_Hh = 1865
  integer, parameter :: nGC_20571 = 1866
  integer, parameter :: nGC_15026 = 1867
  integer, parameter :: nGC_TS_GC_116_Hh = 1868
  integer, parameter :: nGC_19252 = 1869
  integer, parameter :: nGC_14685 = 1870
  integer, parameter :: nGC_14686 = 1871
  integer, parameter :: nGC_15376 = 1872
  integer, parameter :: nGC_15375 = 1873
  integer, parameter :: nGC_14773 = 1874
  integer, parameter :: nGC_14774 = 1875
  integer, parameter :: nGC_14775 = 1876
  integer, parameter :: nGC_14776 = 1877
  integer, parameter :: nGC_14777 = 1878
  integer, parameter :: nGC_13397 = 1879
  integer, parameter :: nGC_13520 = 1880
  integer, parameter :: nGC_13502 = 1881
  integer, parameter :: nGC_9528 = 1882
  integer, parameter :: nGC_9522 = 1883
  integer, parameter :: nGC_9523 = 1884
  integer, parameter :: nGC_9520 = 1885
  integer, parameter :: nGC_9521 = 1886
  integer, parameter :: nGC_9526 = 1887
  integer, parameter :: nGC_9524 = 1888
  integer, parameter :: nGC_9525 = 1889
  integer, parameter :: nGC_8723 = 1890
  integer, parameter :: nGC_8722 = 1891
  integer, parameter :: nGC_8721 = 1892
  integer, parameter :: nGC_8720 = 1893
  integer, parameter :: nGC_8726 = 1894
  integer, parameter :: nGC_8725 = 1895
  integer, parameter :: nGC_8724 = 1896
  integer, parameter :: nGC_8729 = 1897
  integer, parameter :: nGC_12924 = 1898
  integer, parameter :: nGC_12928 = 1899
  integer, parameter :: nGC_13436 = 1900
  integer, parameter :: nGC_12741 = 1901
  integer, parameter :: nGC_TS_GC_66_Hh = 1902
  integer, parameter :: nGC_9416 = 1903
  integer, parameter :: nGC_9414 = 1904
  integer, parameter :: nGC_9415 = 1905
  integer, parameter :: nGC_9413 = 1906
  integer, parameter :: nGC_12690 = 1907
  integer, parameter :: nGC_12695 = 1908
  integer, parameter :: nGC_8929 = 1909
  integer, parameter :: nGC_8928 = 1910
  integer, parameter :: nGC_8925 = 1911
  integer, parameter :: nGC_8927 = 1912
  integer, parameter :: nGC_8926 = 1913
  integer, parameter :: nGC_8921 = 1914
  integer, parameter :: nGC_8920 = 1915
  integer, parameter :: nGC_8923 = 1916
  integer, parameter :: nGC_8922 = 1917
  integer, parameter :: nGC_9388 = 1918
  integer, parameter :: nGC_9389 = 1919
  integer, parameter :: nGC_9386 = 1920
  integer, parameter :: nGC_9387 = 1921
  integer, parameter :: nGC_9384 = 1922
  integer, parameter :: nGC_9385 = 1923
  integer, parameter :: nGC_9382 = 1924
  integer, parameter :: nGC_9383 = 1925
  integer, parameter :: nGC_9381 = 1926
  integer, parameter :: nGC_9250 = 1927
  integer, parameter :: nGC_9251 = 1928
  integer, parameter :: nGC_9252 = 1929
  integer, parameter :: nGC_9253 = 1930
  integer, parameter :: nGC_9254 = 1931
  integer, parameter :: nGC_9255 = 1932
  integer, parameter :: nGC_9256 = 1933
  integer, parameter :: nGC_TS_GC_124_Hl = 1934
  integer, parameter :: nGC_9258 = 1935
  integer, parameter :: nGC_9259 = 1936
  integer, parameter :: nGC_17552 = 1937
  integer, parameter :: nGC_9093 = 1938
  integer, parameter :: nGC_9091 = 1939
  integer, parameter :: nGC_9096 = 1940
  integer, parameter :: nGC_9097 = 1941
  integer, parameter :: nGC_9094 = 1942
  integer, parameter :: nGC_9095 = 1943
  integer, parameter :: nGC_9098 = 1944
  integer, parameter :: nGC_9099 = 1945
  integer, parameter :: nGC_TS_GC_11_Hl = 1946
  integer, parameter :: nGC_15971 = 1947
  integer, parameter :: nGC_17425 = 1948
  integer, parameter :: nGC_17426 = 1949
  integer, parameter :: nGC_16937 = 1950
  integer, parameter :: nGC_29255 = 1951
  integer, parameter :: nGC_21646 = 1952
  integer, parameter :: nGC_21647 = 1953
  integer, parameter :: nGC_TS_GC_161_Hl = 1954
  integer, parameter :: nGC_14161 = 1955
  integer, parameter :: nGC_14163 = 1956
  integer, parameter :: nGC_9435 = 1957
  integer, parameter :: nGC_13645 = 1958
  integer, parameter :: nGC_14231 = 1959
  integer, parameter :: nGC_9341 = 1960
  integer, parameter :: nGC_14236 = 1961
  integer, parameter :: nGC_13519 = 1962
  integer, parameter :: nGC_9430 = 1963
  integer, parameter :: nGC_8730 = 1964
  integer, parameter :: nGC_8731 = 1965
  integer, parameter :: nGC_8732 = 1966
  integer, parameter :: nGC_8733 = 1967
  integer, parameter :: nGC_8734 = 1968
  integer, parameter :: nGC_8735 = 1969
  integer, parameter :: nGC_8736 = 1970
  integer, parameter :: nGC_8737 = 1971
  integer, parameter :: nGC_8738 = 1972
  integer, parameter :: nGC_8739 = 1973
  integer, parameter :: nGC_18507 = 1974
  integer, parameter :: nGC_12915 = 1975
  integer, parameter :: nGC_12910 = 1976
  integer, parameter :: nGC_13421 = 1977
  integer, parameter :: nGC_12778 = 1978
  integer, parameter :: nGC_12774 = 1979
  integer, parameter :: nGC_13357 = 1980
  integer, parameter :: nGC_9462 = 1981
  integer, parameter :: nGC_9461 = 1982
  integer, parameter :: nGC_9460 = 1983
  integer, parameter :: nGC_13353 = 1984
  integer, parameter :: nGC_9466 = 1985
  integer, parameter :: nGC_9465 = 1986
  integer, parameter :: nGC_9464 = 1987
  integer, parameter :: nGC_9468 = 1988
  integer, parameter :: nGC_13358 = 1989
  integer, parameter :: nGC_8938 = 1990
  integer, parameter :: nGC_8930 = 1991
  integer, parameter :: nGC_8936 = 1992
  integer, parameter :: nGC_8937 = 1993
  integer, parameter :: nGC_8935 = 1994
  integer, parameter :: nGC_8764 = 1995
  integer, parameter :: nGC_9269 = 1996
  integer, parameter :: nGC_9268 = 1997
  integer, parameter :: nGC_9265 = 1998
  integer, parameter :: nGC_9264 = 1999
  integer, parameter :: nGC_9267 = 2000
  integer, parameter :: nGC_9266 = 2001
  integer, parameter :: nGC_9261 = 2002
  integer, parameter :: nGC_9260 = 2003
  integer, parameter :: nGC_9263 = 2004
  integer, parameter :: nGC_9262 = 2005
  integer, parameter :: nGC_9069 = 2006
  integer, parameter :: nGC_9068 = 2007
  integer, parameter :: nGC_9067 = 2008
  integer, parameter :: nGC_9066 = 2009
  integer, parameter :: nGC_9061 = 2010
  integer, parameter :: nGC_9060 = 2011
  integer, parameter :: nGC_9286 = 2012
  integer, parameter :: nGC_9285 = 2013
  integer, parameter :: nGC_9284 = 2014
  integer, parameter :: nGC_9283 = 2015
  integer, parameter :: nGC_9282 = 2016
  integer, parameter :: nGC_9281 = 2017
  integer, parameter :: nGC_9280 = 2018
  integer, parameter :: nGC_19935 = 2019
  integer, parameter :: nGC_9288 = 2020
  integer, parameter :: nGC_16219 = 2021
  integer, parameter :: nGC_17858 = 2022
  integer, parameter :: nGC_17859 = 2023
  integer, parameter :: nGC_14981 = 2024
  integer, parameter :: nGC_14980 = 2025
  integer, parameter :: nGC_16105 = 2026
  integer, parameter :: nGC_16106 = 2027
  integer, parameter :: nGC_16101 = 2028
  integer, parameter :: nGC_9117 = 2029
  integer, parameter :: nGC_9116 = 2030
  integer, parameter :: nGC_9115 = 2031
  integer, parameter :: nGC_9114 = 2032
  integer, parameter :: nGC_9113 = 2033
  integer, parameter :: nGC_9112 = 2034
  integer, parameter :: nGC_9111 = 2035
  integer, parameter :: nGC_9110 = 2036
  integer, parameter :: nGC_9119 = 2037
  integer, parameter :: nGC_9118 = 2038
  integer, parameter :: nGC_15825 = 2039
  integer, parameter :: nGC_15824 = 2040
  integer, parameter :: nGC_20755 = 2041
  integer, parameter :: nGC_15829 = 2042
  integer, parameter :: nGC_15828 = 2043
  integer, parameter :: nGC_15171 = 2044
  integer, parameter :: nGC_15173 = 2045
  integer, parameter :: nGC_15176 = 2046
  integer, parameter :: nGC_9338 = 2047
  integer, parameter :: nGC_9336 = 2048
  integer, parameter :: nGC_12978 = 2049
  integer, parameter :: nGC_22477 = 2050
  integer, parameter :: nGC_TS_GC_26_Hl = 2051
  integer, parameter :: nGC_TS_GC_26_Hh = 2052
  integer, parameter :: nGC_TS_GC_109_Hl = 2053
  integer, parameter :: nGC_8710 = 2054
  integer, parameter :: nGC_13745 = 2055
  integer, parameter :: nGC_18220 = 2056
  integer, parameter :: nGC_18227 = 2057
  integer, parameter :: nGC_14537 = 2058
  integer, parameter :: nGC_13988 = 2059
  integer, parameter :: nGC_13297 = 2060
  integer, parameter :: nGC_13293 = 2061
  integer, parameter :: nGC_14242 = 2062
  integer, parameter :: nGC_TS_GC_184_Hl = 2063
  integer, parameter :: nGC_8709 = 2064
  integer, parameter :: nGC_14554 = 2065
  integer, parameter :: nGC_12905 = 2066
  integer, parameter :: nGC_19035 = 2067
  integer, parameter :: nGC_13180 = 2068
  integer, parameter :: nGC_8895 = 2069
  integer, parameter :: nGC_8894 = 2070
  integer, parameter :: nGC_8897 = 2071
  integer, parameter :: nGC_8891 = 2072
  integer, parameter :: nGC_8890 = 2073
  integer, parameter :: nGC_8893 = 2074
  integer, parameter :: nGC_8892 = 2075
  integer, parameter :: nGC_8898 = 2076
  integer, parameter :: nGC_9470 = 2077
  integer, parameter :: nGC_9471 = 2078
  integer, parameter :: nGC_9473 = 2079
  integer, parameter :: nGC_9474 = 2080
  integer, parameter :: nGC_9475 = 2081
  integer, parameter :: nGC_9477 = 2082
  integer, parameter :: nGC_9479 = 2083
  integer, parameter :: nGC_13371 = 2084
  integer, parameter :: nGC_13274 = 2085
  integer, parameter :: nGC_9278 = 2086
  integer, parameter :: nGC_9279 = 2087
  integer, parameter :: nGC_9272 = 2088
  integer, parameter :: nGC_9273 = 2089
  integer, parameter :: nGC_9270 = 2090
  integer, parameter :: nGC_9271 = 2091
  integer, parameter :: nGC_9276 = 2092
  integer, parameter :: nGC_9277 = 2093
  integer, parameter :: nGC_9274 = 2094
  integer, parameter :: nGC_9275 = 2095
  integer, parameter :: nGC_9078 = 2096
  integer, parameter :: nGC_9079 = 2097
  integer, parameter :: nGC_9074 = 2098
  integer, parameter :: nGC_9075 = 2099
  integer, parameter :: nGC_9076 = 2100
  integer, parameter :: nGC_9077 = 2101
  integer, parameter :: nGC_9070 = 2102
  integer, parameter :: nGC_9071 = 2103
  integer, parameter :: nGC_9072 = 2104
  integer, parameter :: nGC_9073 = 2105
  integer, parameter :: nGC_9294 = 2106
  integer, parameter :: nGC_9295 = 2107
  integer, parameter :: nGC_9296 = 2108
  integer, parameter :: nGC_9297 = 2109
  integer, parameter :: nGC_9290 = 2110
  integer, parameter :: nGC_9291 = 2111
  integer, parameter :: nGC_9292 = 2112
  integer, parameter :: nGC_18742 = 2113
  integer, parameter :: nGC_9298 = 2114
  integer, parameter :: nGC_9299 = 2115
  integer, parameter :: nGC_TS_GC_10_Hl = 2116
  integer, parameter :: nGC_TS_GC_10_Hh = 2117
  integer, parameter :: nGC_9105 = 2118
  integer, parameter :: nGC_9106 = 2119
  integer, parameter :: nGC_9107 = 2120
  integer, parameter :: nGC_9100 = 2121
  integer, parameter :: nGC_9101 = 2122
  integer, parameter :: nGC_9102 = 2123
  integer, parameter :: nGC_9103 = 2124
  integer, parameter :: nGC_16668 = 2125
  integer, parameter :: nGC_16669 = 2126
  integer, parameter :: nGC_9108 = 2127
  integer, parameter :: nGC_9109 = 2128
  integer, parameter :: nGC_16480 = 2129
  integer, parameter :: nGC_13804 = 2130
  integer, parameter :: nGC_18050 = 2131
  integer, parameter :: nGC_21813 = 2132
  integer, parameter :: nGC_8767 = 2133
  integer, parameter :: nGC_8766 = 2134
  integer, parameter :: nGC_8817 = 2135
  integer, parameter :: nGC_8816 = 2136
  integer, parameter :: nGC_8811 = 2137
  integer, parameter :: nGC_8810 = 2138
  integer, parameter :: nGC_16718 = 2139
  integer, parameter :: nGC_8761 = 2140
  integer, parameter :: nGC_8812 = 2141
  integer, parameter :: nGC_15728 = 2142
  integer, parameter :: nGC_14748 = 2143
  integer, parameter :: nGC_18189 = 2144
  integer, parameter :: nGC_13753 = 2145
  integer, parameter :: nGC_13751 = 2146
  integer, parameter :: nGC_TS_GC_39_Hl = 2147
  integer, parameter :: nGC_14522 = 2148
  integer, parameter :: nGC_13995 = 2149
  integer, parameter :: nGC_13625 = 2150
  integer, parameter :: nGC_13624 = 2151
  integer, parameter :: nGC_13623 = 2152
  integer, parameter :: nGC_13622 = 2153
  integer, parameter :: nGC_13621 = 2154
  integer, parameter :: nGC_14250 = 2155
  integer, parameter :: nGC_18521 = 2156
  integer, parameter :: nGC_8718 = 2157
  integer, parameter :: nGC_8719 = 2158
  integer, parameter :: nGC_18525 = 2159
  integer, parameter :: nGC_12979 = 2160
  integer, parameter :: nGC_8712 = 2161
  integer, parameter :: nGC_8713 = 2162
  integer, parameter :: nGC_12976 = 2163
  integer, parameter :: nGC_8711 = 2164
  integer, parameter :: nGC_8717 = 2165
  integer, parameter :: nGC_8714 = 2166
  integer, parameter :: nGC_19138 = 2167
  integer, parameter :: nGC_8882 = 2168
  integer, parameter :: nGC_8883 = 2169
  integer, parameter :: nGC_8880 = 2170
  integer, parameter :: nGC_8881 = 2171
  integer, parameter :: nGC_8886 = 2172
  integer, parameter :: nGC_8887 = 2173
  integer, parameter :: nGC_8884 = 2174
  integer, parameter :: nGC_8885 = 2175
  integer, parameter :: nGC_8888 = 2176
  integer, parameter :: nGC_8889 = 2177
  integer, parameter :: nGC_12718 = 2178
  integer, parameter :: nGC_13370 = 2179
  integer, parameter :: nGC_13373 = 2180
  integer, parameter :: nGC_13372 = 2181
  integer, parameter :: nGC_9449 = 2182
  integer, parameter :: nGC_9448 = 2183
  integer, parameter :: nGC_9444 = 2184
  integer, parameter :: nGC_9447 = 2185
  integer, parameter :: nGC_13177 = 2186
  integer, parameter :: nGC_9440 = 2187
  integer, parameter :: nGC_9443 = 2188
  integer, parameter :: nGC_12804 = 2189
  integer, parameter :: nGC_12809 = 2190
  integer, parameter :: nGC_9049 = 2191
  integer, parameter :: nGC_9048 = 2192
  integer, parameter :: nGC_TS_GC_104_Hl = 2193
  integer, parameter :: nGC_9041 = 2194
  integer, parameter :: nGC_9040 = 2195
  integer, parameter :: nGC_9042 = 2196
  integer, parameter :: nGC_9045 = 2197
  integer, parameter :: nGC_9044 = 2198
  integer, parameter :: nGC_16279 = 2199
  integer, parameter :: nGC_17870 = 2200
  integer, parameter :: nGC_9131 = 2201
  integer, parameter :: nGC_9130 = 2202
  integer, parameter :: nGC_9133 = 2203
  integer, parameter :: nGC_9132 = 2204
  integer, parameter :: nGC_9135 = 2205
  integer, parameter :: nGC_9134 = 2206
  integer, parameter :: nGC_9137 = 2207
  integer, parameter :: nGC_9136 = 2208
  integer, parameter :: nGC_9139 = 2209
  integer, parameter :: nGC_9138 = 2210
  integer, parameter :: nGC_19349 = 2211
  integer, parameter :: nGC_TS_GC_13_Hl = 2212
  integer, parameter :: nGC_30784 = 2213
  integer, parameter :: nGC_25410 = 2214
  integer, parameter :: nGC_15737 = 2215
  integer, parameter :: nGC_15736 = 2216
  integer, parameter :: nGC_15733 = 2217
  integer, parameter :: nGC_9188 = 2218
  integer, parameter :: nGC_9189 = 2219
  integer, parameter :: nGC_18927 = 2220
  integer, parameter :: nGC_9187 = 2221
  integer, parameter :: nGC_14081 = 2222
  integer, parameter :: nGC_12968 = 2223
  integer, parameter :: nGC_12961 = 2224
  integer, parameter :: nGC_14396 = 2225
  integer, parameter :: nGC_14465 = 2226
  integer, parameter :: nGC_14466 = 2227
  integer, parameter :: nGC_14467 = 2228
  integer, parameter :: nGC_14390 = 2229
  integer, parameter :: nGC_14391 = 2230
  integer, parameter :: nGC_14468 = 2231
  integer, parameter :: nGC_21285 = 2232
  integer, parameter :: nGC_12707 = 2233
  integer, parameter :: nGC_12703 = 2234
  integer, parameter :: nGC_8879 = 2235
  integer, parameter :: nGC_8878 = 2236
  integer, parameter :: nGC_8877 = 2237
  integer, parameter :: nGC_8876 = 2238
  integer, parameter :: nGC_8875 = 2239
  integer, parameter :: nGC_8874 = 2240
  integer, parameter :: nGC_8873 = 2241
  integer, parameter :: nGC_8872 = 2242
  integer, parameter :: nGC_8871 = 2243
  integer, parameter :: nGC_9458 = 2244
  integer, parameter :: nGC_13147 = 2245
  integer, parameter :: nGC_13142 = 2246
  integer, parameter :: nGC_9457 = 2247
  integer, parameter :: nGC_9454 = 2248
  integer, parameter :: nGC_9455 = 2249
  integer, parameter :: nGC_1305 = 2250
  integer, parameter :: nGC_12813 = 2251
  integer, parameter :: nGC_13547 = 2252
  integer, parameter :: nGC_17287 = 2253
  integer, parameter :: nGC_8983 = 2254
  integer, parameter :: nGC_8982 = 2255
  integer, parameter :: nGC_8981 = 2256
  integer, parameter :: nGC_8980 = 2257
  integer, parameter :: nGC_17289 = 2258
  integer, parameter :: nGC_8986 = 2259
  integer, parameter :: nGC_8985 = 2260
  integer, parameter :: nGC_8984 = 2261
  integer, parameter :: nGC_9056 = 2262
  integer, parameter :: nGC_9057 = 2263
  integer, parameter :: nGC_9054 = 2264
  integer, parameter :: nGC_9055 = 2265
  integer, parameter :: nGC_9052 = 2266
  integer, parameter :: nGC_17046 = 2267
  integer, parameter :: nGC_18725 = 2268
  integer, parameter :: nGC_9051 = 2269
  integer, parameter :: nGC_24427 = 2270
  integer, parameter :: nGC_24426 = 2271
  integer, parameter :: nGC_9058 = 2272
  integer, parameter :: nGC_9059 = 2273
  integer, parameter :: nGC_15932 = 2274
  integer, parameter :: nGC_17860 = 2275
  integer, parameter :: nGC_17864 = 2276
  integer, parameter :: nGC_17867 = 2277
  integer, parameter :: nGC_17869 = 2278
  integer, parameter :: nGC_8941 = 2279
  integer, parameter :: nGC_8940 = 2280
  integer, parameter :: nGC_9463 = 2281
  integer, parameter :: nGC_13356 = 2282
  integer, parameter :: nGC_9172 = 2283
  integer, parameter :: nGC_9128 = 2284
  integer, parameter :: nGC_9129 = 2285
  integer, parameter :: nGC_9126 = 2286
  integer, parameter :: nGC_9127 = 2287
  integer, parameter :: nGC_9124 = 2288
  integer, parameter :: nGC_9125 = 2289
  integer, parameter :: nGC_9122 = 2290
  integer, parameter :: nGC_9123 = 2291
  integer, parameter :: nGC_9120 = 2292
  integer, parameter :: nGC_9121 = 2293
  integer, parameter :: nGC_8965 = 2294
  integer, parameter :: nGC_16028 = 2295
  integer, parameter :: nGC_TS_GC_121_Hh = 2296
  integer, parameter :: nGC_16025 = 2297
  integer, parameter :: nGC_30154 = 2298
  integer, parameter :: nGC_16804 = 2299
  integer, parameter :: nGC_16805 = 2300
  integer, parameter :: nGC_16806 = 2301
  integer, parameter :: nGC_16807 = 2302
  integer, parameter :: nGC_8833 = 2303
  integer, parameter :: nGC_15383 = 2304
  integer, parameter :: nGC_8784 = 2305
  integer, parameter :: nGC_8831 = 2306
  integer, parameter :: nGC_15389 = 2307
  integer, parameter :: nGC_15636 = 2308
  integer, parameter :: nGC_15637 = 2309
  integer, parameter :: nGC_8780 = 2310
  integer, parameter :: nGC_8783 = 2311
  integer, parameter :: nGC_8782 = 2312
  integer, parameter :: nGC_17209 = 2313
  integer, parameter :: nGC_18090 = 2314
  integer, parameter :: nGC_18093 = 2315
  integer, parameter :: nGC_18094 = 2316
  integer, parameter :: nGC_13976 = 2317
  integer, parameter :: nGC_14655 = 2318
  integer, parameter :: nGC_15250 = 2319
  integer, parameter :: nGC_15251 = 2320
  integer, parameter :: nGC_15252 = 2321
  integer, parameter :: nGC_15253 = 2322
  integer, parameter :: nGC_15254 = 2323
  integer, parameter :: nGC_21853 = 2324
  integer, parameter :: nGC_14078 = 2325
  integer, parameter :: nGC_14075 = 2326
  integer, parameter :: nGC_14385 = 2327
  integer, parameter :: nGC_14384 = 2328
  integer, parameter :: nGC_14387 = 2329
  integer, parameter :: nGC_14386 = 2330
  integer, parameter :: nGC_TS_GC_128_Hl = 2331
  integer, parameter :: nGC_13777 = 2332
  integer, parameter :: nGC_8868 = 2333
  integer, parameter :: nGC_8869 = 2334
  integer, parameter :: nGC_8864 = 2335
  integer, parameter :: nGC_8865 = 2336
  integer, parameter :: nGC_8866 = 2337
  integer, parameter :: nGC_8867 = 2338
  integer, parameter :: nGC_8860 = 2339
  integer, parameter :: nGC_8861 = 2340
  integer, parameter :: nGC_8862 = 2341
  integer, parameter :: nGC_8863 = 2342
  integer, parameter :: nGC_13150 = 2343
  integer, parameter :: nGC_12826 = 2344
  integer, parameter :: nGC_13556 = 2345
  integer, parameter :: nGC_13551 = 2346
  integer, parameter :: nGC_12828 = 2347
  integer, parameter :: nGC_13552 = 2348
  integer, parameter :: nGC_20091 = 2349
  integer, parameter :: nGC_8998 = 2350
  integer, parameter :: nGC_8999 = 2351
  integer, parameter :: nGC_8990 = 2352
  integer, parameter :: nGC_8991 = 2353
  integer, parameter :: nGC_8992 = 2354
  integer, parameter :: nGC_8993 = 2355
  integer, parameter :: nGC_8994 = 2356
  integer, parameter :: nGC_8995 = 2357
  integer, parameter :: nGC_8996 = 2358
  integer, parameter :: nGC_8997 = 2359
  integer, parameter :: nGC_9023 = 2360
  integer, parameter :: nGC_9022 = 2361
  integer, parameter :: nGC_9021 = 2362
  integer, parameter :: nGC_9020 = 2363
  integer, parameter :: nGC_9027 = 2364
  integer, parameter :: nGC_9026 = 2365
  integer, parameter :: nGC_9025 = 2366
  integer, parameter :: nGC_9024 = 2367
  integer, parameter :: nGC_9029 = 2368
  integer, parameter :: nGC_9028 = 2369
  integer, parameter :: nGC_12737 = 2370
  integer, parameter :: nGC_12735 = 2371
  integer, parameter :: nGC_TS_GC_103_Hl = 2372
  integer, parameter :: nGC_TS_GC_103_Hh = 2373
  integer, parameter :: nGC_19936 = 2374
  integer, parameter :: nGC_16254 = 2375
  integer, parameter :: nGC_17646 = 2376
  integer, parameter :: nGC_17388 = 2377
  integer, parameter :: nGC_16253 = 2378
  integer, parameter :: nGC_16252 = 2379
  integer, parameter :: nGC_17384 = 2380
  integer, parameter :: nGC_9481 = 2381
  integer, parameter :: nGC_9485 = 2382
  integer, parameter :: nGC_9339 = 2383
  integer, parameter :: nGC_9486 = 2384
  integer, parameter :: nGC_9337 = 2385
  integer, parameter :: nGC_9488 = 2386
  integer, parameter :: nGC_9333 = 2387
  integer, parameter :: nGC_9332 = 2388
  integer, parameter :: nGC_9330 = 2389
  integer, parameter :: nGC_9159 = 2390
  integer, parameter :: nGC_9158 = 2391
  integer, parameter :: nGC_9153 = 2392
  integer, parameter :: nGC_9152 = 2393
  integer, parameter :: nGC_9151 = 2394
  integer, parameter :: nGC_9150 = 2395
  integer, parameter :: nGC_9157 = 2396
  integer, parameter :: nGC_9156 = 2397
  integer, parameter :: nGC_9155 = 2398
  integer, parameter :: nGC_9154 = 2399
  integer, parameter :: nGC_TS_GC_130_Hl = 2400
  integer, parameter :: nGC_TS_GC_112_Hh = 2401
  integer, parameter :: nGC_30450 = 2402
  integer, parameter :: nGC_TS_GC_9_Hl = 2403
  integer, parameter :: nGC_TS_GC_9_Hh = 2404
  integer, parameter :: nGC_15401 = 2405
  integer, parameter :: nGC_15402 = 2406
  integer, parameter :: nGC_15249 = 2407
  integer, parameter :: nGC_15241 = 2408
  integer, parameter :: nGC_15711 = 2409
  integer, parameter :: nGC_15712 = 2410
  integer, parameter :: nGC_TS_GC_180_Hh = 2411
  integer, parameter :: nGC_13017 = 2412
  integer, parameter :: nGC_12947 = 2413
  integer, parameter :: nGC_12946 = 2414
  integer, parameter :: nGC_13497 = 2415
  integer, parameter :: nGC_12948 = 2416
  integer, parameter :: nGC_13492 = 2417
  integer, parameter :: nGC_8859 = 2418
  integer, parameter :: nGC_8858 = 2419
  integer, parameter :: nGC_8851 = 2420
  integer, parameter :: nGC_8850 = 2421
  integer, parameter :: nGC_8853 = 2422
  integer, parameter :: nGC_8852 = 2423
  integer, parameter :: nGC_8855 = 2424
  integer, parameter :: nGC_8854 = 2425
  integer, parameter :: nGC_8857 = 2426
  integer, parameter :: nGC_8856 = 2427
  integer, parameter :: nGC_TS_GC_106_Hh = 2428
  integer, parameter :: nGC_12834 = 2429
  integer, parameter :: nGC_12837 = 2430
  integer, parameter :: nGC_TS_GC_106_Hl = 2431
  integer, parameter :: nGC_13839 = 2432
  integer, parameter :: nGC_17212 = 2433
  integer, parameter :: nGC_13238 = 2434
  integer, parameter :: nGC_18700 = 2435
  integer, parameter :: nGC_9030 = 2436
  integer, parameter :: nGC_9031 = 2437
  integer, parameter :: nGC_9033 = 2438
  integer, parameter :: nGC_9034 = 2439
  integer, parameter :: nGC_9035 = 2440
  integer, parameter :: nGC_9037 = 2441
  integer, parameter :: nGC_9039 = 2442
  integer, parameter :: nGC_12724 = 2443
  integer, parameter :: nGC_17211 = 2444
  integer, parameter :: nGC_9328 = 2445
  integer, parameter :: nGC_9329 = 2446
  integer, parameter :: nGC_9325 = 2447
  integer, parameter :: nGC_9492 = 2448
  integer, parameter :: nGC_9493 = 2449
  integer, parameter :: nGC_9490 = 2450
  integer, parameter :: nGC_9323 = 2451
  integer, parameter :: nGC_16626 = 2452
  integer, parameter :: nGC_9148 = 2453
  integer, parameter :: nGC_9149 = 2454
  integer, parameter :: nGC_9142 = 2455
  integer, parameter :: nGC_9143 = 2456
  integer, parameter :: nGC_9144 = 2457
  integer, parameter :: nGC_9145 = 2458
  integer, parameter :: nGC_9146 = 2459
  integer, parameter :: nGC_9147 = 2460
  integer, parameter :: nGC_15659 = 2461
  integer, parameter :: nGC_14671 = 2462
  integer, parameter :: nGC_14672 = 2463
  integer, parameter :: nGC_14674 = 2464
  integer, parameter :: nGC_13009 = 2465
  integer, parameter :: nGC_13008 = 2466
  integer, parameter :: nGC_15504 = 2467
  integer, parameter :: nGC_15507 = 2468
  integer, parameter :: nGC_TS_GC_23_Hl = 2469
  integer, parameter :: nGC_8911 = 2470
  integer, parameter :: nGC_32751 = 2471
  integer, parameter :: nGC_8913 = 2472
  integer, parameter :: nGC_13718 = 2473
  integer, parameter :: nGC_12993 = 2474
  integer, parameter :: nGC_13135 = 2475
  integer, parameter :: nGC_12845 = 2476
  integer, parameter :: nGC_12846 = 2477
  integer, parameter :: nGC_12841 = 2478
  integer, parameter :: nGC_13820 = 2479
  integer, parameter :: nGC_13828 = 2480
  integer, parameter :: nGC_14298 = 2481
  integer, parameter :: nGC_12663 = 2482
  integer, parameter :: nGC_12669 = 2483
  integer, parameter :: nGC_TS_GC_133_Hh = 2484
  integer, parameter :: nGC_9009 = 2485
  integer, parameter :: nGC_9008 = 2486
  integer, parameter :: nGC_9005 = 2487
  integer, parameter :: nGC_9006 = 2488
  integer, parameter :: nGC_9000 = 2489
  integer, parameter :: nGC_9003 = 2490
  integer, parameter :: nGC_9002 = 2491
  integer, parameter :: nGC_8846 = 2492
  integer, parameter :: nGC_8847 = 2493
  integer, parameter :: nGC_8844 = 2494
  integer, parameter :: nGC_8845 = 2495
  integer, parameter :: nGC_8842 = 2496
  integer, parameter :: nGC_8843 = 2497
  integer, parameter :: nGC_8840 = 2498
  integer, parameter :: nGC_8841 = 2499
  integer, parameter :: nGC_TS_GC_113_Hl = 2500
  integer, parameter :: nGC_8848 = 2501
  integer, parameter :: nGC_8849 = 2502
  integer, parameter :: nGC_17121 = 2503
  integer, parameter :: nGC_17650 = 2504
  integer, parameter :: nGC_17651 = 2505
  integer, parameter :: nGC_9050 = 2506
  integer, parameter :: nGC_29824 = 2507
  integer, parameter :: nGC_29827 = 2508
  integer, parameter :: nGC_9319 = 2509
  integer, parameter :: nGC_9318 = 2510
  integer, parameter :: nGC_9311 = 2511
  integer, parameter :: nGC_9312 = 2512
  integer, parameter :: nGC_9314 = 2513
  integer, parameter :: nGC_14301 = 2514
  integer, parameter :: nGC_9175 = 2515
  integer, parameter :: nGC_9174 = 2516
  integer, parameter :: nGC_9177 = 2517
  integer, parameter :: nGC_9176 = 2518
  integer, parameter :: nGC_9173 = 2519
  integer, parameter :: nGC_16637 = 2520
  integer, parameter :: nGC_9179 = 2521
  integer, parameter :: nGC_9178 = 2522
  integer, parameter :: nGC_17234 = 2523
  integer, parameter :: nGC_17232 = 2524
  integer, parameter :: nGC_17233 = 2525
  integer, parameter :: nGC_31182 = 2526
  integer, parameter :: nGC_16520 = 2527
  integer, parameter :: nGC_16831 = 2528
  integer, parameter :: nGC_17832 = 2529
  integer, parameter :: nGC_17833 = 2530
  integer, parameter :: nGC_29488 = 2531
  integer, parameter :: nGC_29317 = 2532
  integer, parameter :: nGC_9340 = 2533
  integer, parameter :: nGC_21024 = 2534
  integer, parameter :: nGC_14846 = 2535
  integer, parameter :: nGC_14847 = 2536
  integer, parameter :: nGC_14845 = 2537
  integer, parameter :: nGC_9320 = 2538
  integer, parameter :: nGC_15640 = 2539
  integer, parameter :: nGC_15085 = 2540
  integer, parameter :: nGC_9491 = 2541
  integer, parameter :: nGC_15461 = 2542
  integer, parameter :: nGC_1163 = 2543
  integer, parameter :: nGC_18282 = 2544
  integer, parameter :: nGC_18283 = 2545
  integer, parameter :: nGC_14464 = 2546
  integer, parameter :: nGC_15263 = 2547
  integer, parameter :: nGC_14026 = 2548
  integer, parameter :: nGC_32749 = 2549
  integer, parameter :: nGC_14010 = 2550
  integer, parameter :: nGC_13720 = 2551
  integer, parameter :: nGC_13725 = 2552
  integer, parameter :: nGC_12981 = 2553
  integer, parameter :: nGC_12980 = 2554
  integer, parameter :: nGC_12983 = 2555
  integer, parameter :: nGC_12982 = 2556
  integer, parameter :: nGC_13103 = 2557
  integer, parameter :: nGC_13453 = 2558
  integer, parameter :: nGC_13454 = 2559
  integer, parameter :: nGC_13456 = 2560
  integer, parameter :: nGC_13856 = 2561
  integer, parameter :: nGC_13857 = 2562
  integer, parameter :: nGC_13850 = 2563
  integer, parameter :: nGC_13858 = 2564
  integer, parameter :: nGC_15881 = 2565
  integer, parameter :: nGC_8949 = 2566
  integer, parameter :: nGC_8948 = 2567
  integer, parameter :: nGC_8947 = 2568
  integer, parameter :: nGC_8946 = 2569
  integer, parameter :: nGC_8945 = 2570
  integer, parameter :: nGC_8943 = 2571
  integer, parameter :: nGC_8942 = 2572
  integer, parameter :: nGC_12678 = 2573
  integer, parameter :: nGC_9018 = 2574
  integer, parameter :: nGC_9010 = 2575
  integer, parameter :: nGC_9011 = 2576
  integer, parameter :: nGC_9016 = 2577
  integer, parameter :: nGC_8785 = 2578
  integer, parameter :: nGC_8832 = 2579
  integer, parameter :: nGC_8787 = 2580
  integer, parameter :: nGC_8786 = 2581
  integer, parameter :: nGC_8781 = 2582
  integer, parameter :: nGC_8836 = 2583
  integer, parameter :: nGC_8835 = 2584
  integer, parameter :: nGC_8834 = 2585
  integer, parameter :: nGC_8839 = 2586
  integer, parameter :: nGC_8838 = 2587
  integer, parameter :: nGC_9453 = 2588
  integer, parameter :: nGC_9306 = 2589
  integer, parameter :: nGC_17647 = 2590
  integer, parameter :: nGC_9305 = 2591
  integer, parameter :: nGC_17643 = 2592
  integer, parameter :: nGC_9301 = 2593
  integer, parameter :: nGC_17649 = 2594
  integer, parameter :: nGC_17648 = 2595
  integer, parameter :: nGC_9162 = 2596
  integer, parameter :: nGC_9163 = 2597
  integer, parameter :: nGC_9160 = 2598
  integer, parameter :: nGC_9161 = 2599
  integer, parameter :: nGC_9166 = 2600
  integer, parameter :: nGC_9167 = 2601
  integer, parameter :: nGC_9164 = 2602
  integer, parameter :: nGC_9165 = 2603
  integer, parameter :: nGC_9168 = 2604
  integer, parameter :: nGC_9169 = 2605
  integer, parameter :: nGC_17917 = 2606
  integer, parameter :: nGC_17916 = 2607
  integer, parameter :: nGC_17918 = 2608
  integer, parameter :: nGC_29499 = 2609
  integer, parameter :: nGC_19983 = 2610
  integer, parameter :: nGC_16519 = 2611
  integer, parameter :: nGC_8802 = 2612
  integer, parameter :: nGC_29304 = 2613
  integer, parameter :: nGC_8775 = 2614
  integer, parameter :: nGC_8776 = 2615
  integer, parameter :: nGC_8777 = 2616
  integer, parameter :: nGC_14937 = 2617
  integer, parameter :: nGC_8772 = 2618
  integer, parameter :: nGC_8773 = 2619
  integer, parameter :: nGC_15180 = 2620
  integer, parameter :: nGC_15071 = 2621
  integer, parameter :: nGC_15072 = 2622
  integer, parameter :: nGC_9351 = 2623
  integer, parameter :: nGC_8896 = 2624
  integer, parameter :: nGC_9350 = 2625
  integer, parameter :: nGC_16419 = 2626
  integer, parameter :: nGC_13744 = 2627
  integer, parameter :: nGC_8791 = 2628
  integer, parameter :: nGC_12742 = 2629
  integer, parameter :: nGC_29695 = 2630
  integer, parameter :: nGC_8727 = 2631
  integer, parameter :: nGC_14749 = 2632
  integer, parameter :: nGC_9229 = 2633
  integer, parameter :: nGC_14538 = 2634
  integer, parameter :: nGC_14943 = 2635
  integer, parameter :: nGC_8902 = 2636
  integer, parameter :: nGC_16228 = 2637
  integer, parameter :: nGC_16229 = 2638
  integer, parameter :: nGC_17404 = 2639
  integer, parameter :: nGC_14745 = 2640
  integer, parameter :: nGC_8822 = 2641
  integer, parameter :: nGC_18188 = 2642
  integer, parameter :: nGC_19351 = 2643
  integer, parameter :: nGC_30492 = 2644
  integer, parameter :: nGC_19352 = 2645
  integer, parameter :: nGC_14349 = 2646
  integer, parameter :: nGC_8924 = 2647
  integer, parameter :: nGC_29901 = 2648
  integer, parameter :: nGC_30158 = 2649
  integer, parameter :: nGC_12919 = 2650
  integer, parameter :: nGC_14244 = 2651
  integer, parameter :: nGC_32524 = 2652
  integer, parameter :: nGC_13698 = 2653
  integer, parameter :: nGC_15734 = 2654
  integer, parameter :: nGC_13719 = 2655
  integer, parameter :: nGC_15882 = 2656
  integer, parameter :: nGC_14688 = 2657
  integer, parameter :: nGC_14322 = 2658
  integer, parameter :: nGC_13440 = 2659
  integer, parameter :: nGC_13696 = 2660
  integer, parameter :: nGC_13697 = 2661
  integer, parameter :: nGC_12679 = 2662
  integer, parameter :: nGC_13695 = 2663
  integer, parameter :: nGC_9195 = 2664
  integer, parameter :: nGC_13977 = 2665
  integer, parameter :: nGC_17569 = 2666
  integer, parameter :: nGC_29948 = 2667
  integer, parameter :: nGC_8870 = 2668
  integer, parameter :: nGC_8909 = 2669
  integer, parameter :: nGC_13359 = 2670
  integer, parameter :: nGC_18730 = 2671
  integer, parameter :: nGC_16544 = 2672
  integer, parameter :: nGC_13917 = 2673
  integer, parameter :: nGC_9064 = 2674
  integer, parameter :: nGC_12867 = 2675
  integer, parameter :: nGC_9257 = 2676
  integer, parameter :: nGC_9063 = 2677
  integer, parameter :: nGC_15042 = 2678
  integer, parameter :: nGC_19040 = 2679
  integer, parameter :: nGC_9062 = 2680
  integer, parameter :: nGC_9092 = 2681
  integer, parameter :: nGC_15481 = 2682
  integer, parameter :: nGC_9090 = 2683
  integer, parameter :: nGC_8939 = 2684
  integer, parameter :: nGC_13842 = 2685
  integer, parameter :: nGC_13841 = 2686
  integer, parameter :: nGC_13840 = 2687
  integer, parameter :: nGC_17403 = 2688
  integer, parameter :: nGC_17402 = 2689
  integer, parameter :: nGC_13023 = 2690
  integer, parameter :: nGC_8931 = 2691
  integer, parameter :: nGC_15441 = 2692
  integer, parameter :: nGC_16638 = 2693
  integer, parameter :: nGC_13849 = 2694
  integer, parameter :: nGC_15442 = 2695
  integer, parameter :: nGC_19975 = 2696
  integer, parameter :: nGC_20356 = 2697
  integer, parameter :: nGC_12765 = 2698
  integer, parameter :: nGC_18120 = 2699
  integer, parameter :: nGC_14251 = 2700
  integer, parameter :: nGC_16659 = 2701
  integer, parameter :: nGC_12884 = 2702
  integer, parameter :: nGC_12885 = 2703
  integer, parameter :: nGC_12886 = 2704
  integer, parameter :: nGC_8953 = 2705
  integer, parameter :: nGC_13201 = 2706
  integer, parameter :: nGC_13202 = 2707
  integer, parameter :: nGC_13209 = 2708
  integer, parameter :: nGC_14497 = 2709
  integer, parameter :: nGC_12874 = 2710
  integer, parameter :: nGC_32493 = 2711
  integer, parameter :: nGC_15975 = 2712
  integer, parameter :: nGC_15976 = 2713
  integer, parameter :: nGC_14842 = 2714
  integer, parameter :: nGC_19641 = 2715
  integer, parameter :: nGC_19640 = 2716
  integer, parameter :: nGC_8716 = 2717
  integer, parameter :: nGC_8715 = 2718
  integer, parameter :: nGC_8820 = 2719
  integer, parameter :: nGC_8821 = 2720
  integer, parameter :: nGC_8790 = 2721
  integer, parameter :: nGC_8823 = 2722
  integer, parameter :: nGC_13058 = 2723
  integer, parameter :: nGC_8825 = 2724
  integer, parameter :: nGC_8827 = 2725
  integer, parameter :: nGC_8829 = 2726
  integer, parameter :: nGC_15304 = 2727
  integer, parameter :: nGC_13057 = 2728
  integer, parameter :: nGC_13050 = 2729
  integer, parameter :: nGC_14555 = 2730
  integer, parameter :: nGC_14556 = 2731
  integer, parameter :: nGC_8973 = 2732
  integer, parameter :: nGC_8969 = 2733
  integer, parameter :: nGC_8968 = 2734
  integer, parameter :: nGC_12899 = 2735
  integer, parameter :: nGC_14302 = 2736
  integer, parameter :: nGC_16420 = 2737
  integer, parameter :: nGC_12698 = 2738
  integer, parameter :: nGC_16848 = 2739
  integer, parameter :: nGC_16849 = 2740
  integer, parameter :: nGC_13628 = 2741
  integer, parameter :: nGC_17492 = 2742
  integer, parameter :: nGC_18745 = 2743
  integer, parameter :: nGC_8932 = 2744
  integer, parameter :: nGC_17897 = 2745
  integer, parameter :: nGC_20570 = 2746
  integer, parameter :: nGC_8933 = 2747
  integer, parameter :: nGC_17401 = 2748
  integer, parameter :: nGC_13192 = 2749
  integer, parameter :: nGC_16296 = 2750
  integer, parameter :: nGC_14861 = 2751
  integer, parameter :: nGC_18284 = 2752
  integer, parameter :: nGC_8903 = 2753
  integer, parameter :: nGC_13136 = 2754
  integer, parameter :: nGC_16112 = 2755
  integer, parameter :: nGC_12965 = 2756
  integer, parameter :: nGC_12964 = 2757
  integer, parameter :: nGC_12746 = 2758
  integer, parameter :: nGC_15384 = 2759
  integer, parameter :: nGC_19639 = 2760
  integer, parameter :: nGC_8819 = 2761
  integer, parameter :: nGC_13805 = 2762
  integer, parameter :: nGC_26314 = 2763
  integer, parameter :: nGC_8815 = 2764
  integer, parameter :: nGC_8814 = 2765
  integer, parameter :: nGC_13026 = 2766
  integer, parameter :: nGC_13043 = 2767
  integer, parameter :: nGC_13042 = 2768
  integer, parameter :: nGC_13381 = 2769
  integer, parameter :: nGC_31307 = 2770
  integer, parameter :: nGC_20237 = 2771
  integer, parameter :: nGC_15995 = 2772
  integer, parameter :: nGC_19385 = 2773
  integer, parameter :: nGC_20578 = 2774
  integer, parameter :: nGC_31866 = 2775
  integer, parameter :: nGC_14982 = 2776
  integer, parameter :: nGC_12762 = 2777
  integer, parameter :: nGC_24432 = 2778
  integer, parameter :: nGC_25415 = 2779
  integer, parameter :: nGC_13303 = 2780
  integer, parameter :: nGC_13305 = 2781
  integer, parameter :: nGC_13306 = 2782
  integer, parameter :: nGC_9065 = 2783
  integer, parameter :: nGC_13890 = 2784
  integer, parameter :: nGC_16108 = 2785
  integer, parameter :: nGC_15858 = 2786
  integer, parameter :: nGC_15859 = 2787
  integer, parameter :: nGC_9197 = 2788
  integer, parameter :: nGC_9196 = 2789
  integer, parameter :: nGC_16107 = 2790
  integer, parameter :: nGC_9194 = 2791
  integer, parameter :: nGC_9193 = 2792
  integer, parameter :: nGC_18937 = 2793
  integer, parameter :: nGC_9191 = 2794
  integer, parameter :: nGC_9190 = 2795
  integer, parameter :: nGC_12659 = 2796
  integer, parameter :: nGC_8779 = 2797
  integer, parameter :: nGC_9209 = 2798
  integer, parameter :: nGC_9208 = 2799
  integer, parameter :: nGC_28952 = 2800
  integer, parameter :: nGC_14787 = 2801
  integer, parameter :: nGC_9204 = 2802
  integer, parameter :: nGC_9203 = 2803
  integer, parameter :: nGC_9202 = 2804
  integer, parameter :: nGC_13629 = 2805
  integer, parameter :: nGC_9200 = 2806
  integer, parameter :: nGC_30337 = 2807
  integer, parameter :: nGC_14687 = 2808
  integer, parameter :: nGC_14471 = 2809
  integer, parameter :: nGC_8778 = 2810
  integer, parameter :: nGC_8899 = 2811
  integer, parameter :: nGC_29260 = 2812
  integer, parameter :: nGC_14204 = 2813
  integer, parameter :: nGC_13525 = 2814
  integer, parameter :: nGC_13526 = 2815
  integer, parameter :: nGC_13527 = 2816
  integer, parameter :: nGC_13797 = 2817
  integer, parameter :: nGC_26427 = 2818
  integer, parameter :: nGC_13470 = 2819
  integer, parameter :: nGC_13983 = 2820
  integer, parameter :: nGC_13313 = 2821
  integer, parameter :: nGC_32077 = 2822
  integer, parameter :: nGC_12997 = 2823
  integer, parameter :: nGC_17871 = 2824
  integer, parameter :: nGC_17288 = 2825
  integer, parameter :: nGC_14844 = 2826
  integer, parameter :: nGC_18929 = 2827
  integer, parameter :: nGC_18928 = 2828
  integer, parameter :: nGC_23324 = 2829
  integer, parameter :: nGC_14673 = 2830
  integer, parameter :: nGC_18926 = 2831
  integer, parameter :: nGC_9180 = 2832
  integer, parameter :: nGC_9181 = 2833
  integer, parameter :: nGC_9182 = 2834
  integer, parameter :: nGC_9183 = 2835
  integer, parameter :: nGC_9104 = 2836
  integer, parameter :: nGC_14472 = 2837
  integer, parameter :: nGC_8934 = 2838
  integer, parameter :: nGC_9218 = 2839
  integer, parameter :: nGC_9219 = 2840
  integer, parameter :: nGC_9214 = 2841
  integer, parameter :: nGC_9215 = 2842
  integer, parameter :: nGC_9216 = 2843
  integer, parameter :: nGC_9217 = 2844
  integer, parameter :: nGC_9210 = 2845
  integer, parameter :: nGC_9211 = 2846
  integer, parameter :: nGC_9212 = 2847
  integer, parameter :: nGC_9213 = 2848
  integer, parameter :: nGC_15508 = 2849
  integer, parameter :: nGC_13564 = 2850
  integer, parameter :: nGC_13752 = 2851
  integer, parameter :: nGC_14190 = 2852
  integer, parameter :: nGC_14083 = 2853
  integer, parameter :: nGC_18049 = 2854
  integer, parameter :: nGC_17872 = 2855
  integer, parameter :: nGC_15735 = 2856
  integer, parameter :: nGC_14214 = 2857
  integer, parameter :: nGC_13329 = 2858
  integer, parameter :: nGC_13010 = 2859
  integer, parameter :: nGC_16087 = 2860
  integer, parameter :: nGC_31206 = 2861
  integer, parameter :: nGC_15830 = 2862
  integer, parameter :: nGC_15831 = 2863
  integer, parameter :: nGC_14927 = 2864
  integer, parameter :: nGC_13461 = 2865
  integer, parameter :: nGC_13281 = 2866
  integer, parameter :: nGC_18811 = 2867
  integer, parameter :: nGC_9228 = 2868
  integer, parameter :: nGC_8907 = 2869
  integer, parameter :: nGC_8905 = 2870
  integer, parameter :: nGC_30438 = 2871
  integer, parameter :: nGC_9221 = 2872
  integer, parameter :: nGC_9220 = 2873
  integer, parameter :: nGC_9223 = 2874
  integer, parameter :: nGC_9222 = 2875
  integer, parameter :: nGC_29762 = 2876
  integer, parameter :: nGC_29512 = 2877
  integer, parameter :: nGC_16050 = 2878
  integer, parameter :: nGC_12751 = 2879
  integer, parameter :: nGC_31066 = 2880
  integer, parameter :: nGC_12755 = 2881
  integer, parameter :: nGC_16808 = 2882
  integer, parameter :: nGC_13330 = 2883
  integer, parameter :: nGC_13332 = 2884
  integer, parameter :: nGC_16251 = 2885
  integer, parameter :: nGC_13255 = 2886
  integer, parameter :: nGC_29043 = 2887
  integer, parameter :: nGC_9236 = 2888
  integer, parameter :: nGC_9234 = 2889
  integer, parameter :: nGC_9235 = 2890
  integer, parameter :: nGC_9232 = 2891
  integer, parameter :: nGC_9233 = 2892
  integer, parameter :: nGC_9230 = 2893
  integer, parameter :: nGC_9231 = 2894
  integer, parameter :: nGC_8728 = 2895
  integer, parameter :: nGC_9238 = 2896
  integer, parameter :: nGC_9239 = 2897
  integer, parameter :: nGC_14507 = 2898
  integer, parameter :: nGC_15642 = 2899
  integer, parameter :: nGC_29844 = 2900
  integer, parameter :: nGC_17570 = 2901
  integer, parameter :: nGC_14752 = 2902
  integer, parameter :: nGC_14753 = 2903
  integer, parameter :: nGC_12925 = 2904
  integer, parameter :: nGC_16159 = 2905
  integer, parameter :: nGC_15068 = 2906
  integer, parameter :: nGC_13644 = 2907
  integer, parameter :: nGC_14508 = 2908
  integer, parameter :: nGC_13740 = 2909
  integer, parameter :: nGC_14082 = 2910
  integer, parameter :: nGC_18938 = 2911
  integer, parameter :: nGC_23325 = 2912
  integer, parameter :: nGC_31481 = 2913
  integer, parameter :: nGC_15643 = 2914
  integer, parameter :: nGC_30629 = 2915
  integer, parameter :: nGC_15070 = 2916
  integer, parameter :: nGC_30597 = 2917
  integer, parameter :: nGC_13331 = 2918
  integer, parameter :: nGC_29477 = 2919
  integer, parameter :: nGC_15069 = 2920
  integer, parameter :: nGC_20579 = 2921
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
