!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_8228) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8229) = -3d0*cima*sb**4d0
    coupl(nGC_8222) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8223) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3* &
                      sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1 + &
                      cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa* &
                      vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_8220) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 + &
                      l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_8221) = cb**2d0*cima*sa*vev1
    coupl(nGC_8226) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8227) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8224) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8225) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_7907) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_7908) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8316) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
    coupl(nGC_8317) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8314) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca*l3*&
                      sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*vev2 + &
                      cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**2d0*l5*sa* &
                      vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_8315) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
    coupl(nGC_8312) = -ca*cima*sb**2d0*vev1
    coupl(nGC_8313) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_8310) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0  &
                       + l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_8311) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + ca&
                      *l1*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_8318) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8488) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8487) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8002) = -ca**2d0*cb*cima*sb
    coupl(nGC_8003) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb**&
                      2d0 - cb*sa**2d0*sb)
    coupl(nGC_8000) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8001) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**2d0 - ca&
                      **2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0*l5*sb**  &
                      2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0* &
                      l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5*sa**2d0 - l1&
                      *sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4*sa**2d0*sb**  &
                      2d0 - l5*sa**2d0*sb**2d0)
    coupl(nGC_8006) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*cb&
                      *l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*ca*&
                      cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 +  &
                      l5*sa**2d0*sb**2d0)
    coupl(nGC_8007) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8556) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_8557) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb**  &
                      2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb*vev2  &
                       - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4*sb**  &
                      2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**&
                      2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*vev2 &
                       + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**&
                      2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_8558) = -cb*cima*sa*sb*vev2
    coupl(nGC_8559) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*vev2 &
                       + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8008) = -cb**2d0*cima*sb**2d0
    coupl(nGC_8009) = -cb**2d0*cima*sb**2d0
    coupl(nGC_8110) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0*&
                      cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5*sb - &
                      4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*l1*sa** &
                      2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb + 2d0*cb&
                      *l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8111) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8112) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0*&
                      cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa + 2d0*&
                      ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb + &
                      cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8114) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**2d0)
    coupl(nGC_8115) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8178) = 2d0*cb**3d0*cima*sb
    coupl(nGC_8179) = -2d0*cb*cima*sb**3d0
    coupl(nGC_8176) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0&
                      *l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 -  &
                      6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb &
                      **2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0  &
                       + l5*sb**4d0)
    coupl(nGC_8170) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8171) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_7909) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_349) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_347) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_343) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*cb*&
                     l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1 -  &
                     ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                     vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 + l4*sa&
                     *sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_8604) = cb*cima
    coupl(nGC_8605) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_168) = sqrt(2d0)*cb*ym1/2d0 + sqrt(2d0)*sb*ym2/2d0
    coupl(nGC_169) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
    coupl(nGC_162) = -cb*cima*ym2 + cima*sb*ym1
    coupl(nGC_163) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
    coupl(nGC_160) = sqrt(2d0)*cb*ye1/2d0 + sqrt(2d0)*sb*ye2/2d0
    coupl(nGC_166) = -cb*cima*ym1 - cima*sb*ym2
    coupl(nGC_167) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
    coupl(nGC_164) = sqrt(2d0)*cb*ym2/2d0 - sqrt(2d0)*sb*ym1/2d0
    coupl(nGC_165) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
    coupl(nGC_8608) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
    coupl(nGC_8609) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_8257) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8704) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_7973) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0 + ca&
                      **2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5*sb**  &
                      2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0* &
                      l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l2&
                      *sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**2d0*sb**  &
                      2d0 + l5*sa**2d0*sb**2d0)
    coupl(nGC_7972) = ca*cb**2d0*cima*sa
    coupl(nGC_7971) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_7970) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0 &
                       - 2d0*cb*sa**2d0*sb)
    coupl(nGC_7977) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0  &
                       - 2d0*cb*sa**2d0*sb)
    coupl(nGC_7976) = -ca*cb**2d0*cima*sa
    coupl(nGC_7975) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*cb&
                      *l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*ca*&
                      cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 +  &
                      l5*sa**2d0*sb**2d0)
    coupl(nGC_7974) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8701) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_7979) = ca*cima*sa*sb**2d0
    coupl(nGC_8252) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0*ca &
                      **3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*sa* &
                      vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*vev2 + &
                      7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 + 7d0*ca*&
                      l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 + 7d0*ca*l5*sa**&
                      2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3*sa**3d0*vev2 -   &
                      2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*vev2)
    coupl(nGC_8363) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
    coupl(nGC_8362) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8361) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_8360) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8367) = -cima*sb
    coupl(nGC_8366) = -cima*(cb*yup1 + sb*yup2)
    coupl(nGC_8365) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8364) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8369) = cima*(cb*yd13x3 + sb*yb2)
    coupl(nGC_8368) = cb*cima
    coupl(nGC_MHL) = -cMHL**2d0*cima
    coupl(nGC_MHH) = -cMHH**2d0*cima
    coupl(nGC_8569) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_8568) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_8565) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_8564) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*l3* &
                      sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*sb &
                      **2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb* &
                      l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5*&
                      sa*sb**2d0*vev2)
    coupl(nGC_8567) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
    coupl(nGC_8566) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_8561) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*l5*&
                      sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
    coupl(nGC_8560) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb* &
                      l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
    coupl(nGC_8563) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_8562) = ca*cb*cima*sb*vev1
    coupl(nGC_8586) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_8585) = cima*sa*sb**2d0*vev1
    coupl(nGC_8584) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa -  &
                      cb**2d0*l5*sa + l1*sa*sb**2d0)
    coupl(nGC_8582) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*  &
                      vev1 - 2d0*cb*sa*sb*vev2)
    coupl(nGC_8581) = -ca*cb**2d0*cima*vev2
    coupl(nGC_8580) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb* &
                      l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*&
                      sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb&
                      *l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5&
                      *sa*sb**2d0*vev2)
    coupl(nGC_8589) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8588) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8489) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
    coupl(nGC_8486) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8109) = -ca*cb*cima*sa*sb
    coupl(nGC_8108) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8102) = -ca*cb*cima*sa*sb
    coupl(nGC_8101) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
    coupl(nGC_8100) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
    coupl(nGC_8105) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb**&
                      2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*sa  &
                       + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb &
                      **2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 - 2d0&
                      *ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8483) = sqrt(2d0)*cb/2d0
    coupl(nGC_8481) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
    coupl(nGC_8617) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8616) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8615) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8614) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8611) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_8610) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
    coupl(nGC_8618) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8550) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
    coupl(nGC_8551) = sqrt(2d0)*cb/2d0
    coupl(nGC_8552) = sqrt(2d0)*sb/2d0
    coupl(nGC_8553) = sqrt(2d0)*sb/2d0
    coupl(nGC_8554) = sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
    coupl(nGC_8555) = sqrt(2d0)*cb/2d0
    coupl(nGC_8004) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8005) = cb*cima*sa**2d0*sb
    coupl(nGC_8177) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_593) = cima/(2d0*cMW)
    coupl(nGC_597) = -cima/(2d0*cMW)
    coupl(nGC_359) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5*sb*&
                     vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb*l4*sa*&
                     sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
    coupl(nGC_355) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*sb&
                     **2d0)
    coupl(nGC_357) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*l5&
                     *sa*sb)
    coupl(nGC_351) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_179) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
    coupl(nGC_178) = cb*cima*yt2 - cima*sb*yt1
    coupl(nGC_171) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
    coupl(nGC_170) = -cb*cima*ys2 + cima*sb*yd12x2
    coupl(nGC_173) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
    coupl(nGC_172) = sqrt(2d0)*cb*ys2/2d0 - sqrt(2d0)*sb*yd12x2/2d0
    coupl(nGC_175) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
    coupl(nGC_174) = -cb*cima*yd12x2 - cima*sb*ys2
    coupl(nGC_177) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
    coupl(nGC_176) = sqrt(2d0)*cb*yd12x2/2d0 + sqrt(2d0)*sb*ys2/2d0
    coupl(nGC_135) = -sqrt(2d0)*cb*yc1/2d0 - sqrt(2d0)*sb*yc2/2d0
    coupl(nGC_7961) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb -   &
                      4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*l3*sa**&
                      2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
    coupl(nGC_7962) = -ca**2d0*cb*cima*sb
    coupl(nGC_7964) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_7965) = cb*cima*sa**2d0*sb
    coupl(nGC_7966) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0* &
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_7968) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                      cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0* &
                      ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 &
                       + l5*sa**2d0*sb**2d0)
    coupl(nGC_7969) = -ca*cima*sa*sb**2d0
    coupl(nGC_8370) = cima*sb
    coupl(nGC_8371) = -cb*cima
    coupl(nGC_8372) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_8373) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_8374) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_8375) = cima*(cb*yc2 - sb*yc1)
    coupl(nGC_8376) = cb*cima
    coupl(nGC_8377) = cima*sb
    coupl(nGC_8378) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_8379) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_138) = -cb*cima*yd13x3 - cima*sb*yb2
    coupl(nGC_8578) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
    coupl(nGC_8579) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_8572) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8573) = sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
    coupl(nGC_8570) = -sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
    coupl(nGC_8571) = sqrt(2d0)*cb/2d0
    coupl(nGC_8576) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8577) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8575) = sqrt(2d0)*sb/2d0
    coupl(nGC_8594) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*&
                      sw)
    coupl(nGC_8595) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(4d0*cMZ*cw*&
                      sw)
    coupl(nGC_8596) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw* &
                      sw**2d0)
    coupl(nGC_8597) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw &
                      **2d0*sw)
    coupl(nGC_8590) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8591) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8592) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8593) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw* &
                      sw)
    coupl(nGC_8598) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*&
                      sw)
    coupl(nGC_8118) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_99) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima* &
                    ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) + cima&
                    *cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa** &
                    2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_98) = -cMW*cb**2d0*cima*cw*ee/(2d0*sw) + cMW*cb**2d0*cima*ee*sw/(&
                    2d0*cw) - cMW*cima*cw*ee*sb**2d0/(2d0*sw) + cMW*cima*ee*sb &
                    **2d0*sw/(2d0*cw)
    coupl(nGC_97) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw - &
                    cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/cw
    coupl(nGC_96) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0*cw  &
                    ) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(2d0* &
                    cw)
    coupl(nGC_95) = -cMZ*ca*cb*cima*cw*ee/(2d0*sw) - cMZ*ca*cb*cima*ee*sw/(2d0*&
                    cw) - cMZ*cima*cw*ee*sa*sb/(2d0*sw) - cMZ*cima*ee*sa*sb*sw &
                    /(2d0*cw)
    coupl(nGC_8113) = -cb**2d0*cima*sa**2d0
    coupl(nGC_93) = -cMZ*ca*cima*cw*ee*sb/(2d0*sw) - cMZ*ca*cima*ee*sb*sw/(2d0*&
                    cw) + cMZ*cb*cima*cw*ee*sa/(2d0*sw) + cMZ*cb*cima*ee*sa*sw &
                    /(2d0*cw)
    coupl(nGC_92) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee*sa/(&
                    2d0*sw) - cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_91) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee*sa &
                    /(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_90) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_75) = -cMW*cb**2d0*ee/(2d0*sw) - cMW*ee*sb**2d0/(2d0*sw)
    coupl(nGC_74) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_77) = cMZ*cb**2d0*cima*ee/(2d0*sw) + cMZ*cima*ee*sb**2d0/(2d0*sw)
    coupl(nGC_76) = cMW*cb**2d0*ee/(2d0*sw) + cMW*ee*sb**2d0/(2d0*sw)
    coupl(nGC_71) = -cMW*ca*cb*cima*ee/(2d0*sw) - cMW*cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_70) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0*sw)
    coupl(nGC_73) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_72) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
    coupl(nGC_79) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_78) = -cima*ee**2d0/sw**2d0
    coupl(nGC_8606) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
    coupl(nGC_8607) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8600) = -sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
    coupl(nGC_8601) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8602) = -cima*(cb*yt1 + sb*yt2)
    coupl(nGC_8603) = -cima*sb
    coupl(nGC_8174) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8175) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8173) = -2d0*cb**3d0*cima*sb
    coupl(nGC_8078) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_369) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_363) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca*cb*&
                     l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*vev1 +  &
                     ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0*l3*sa*  &
                     vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*vev1 + l2*sa&
                     *sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
    coupl(nGC_365) = -cb*cima*sa*sb*vev2
    coupl(nGC_367) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_144) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
    coupl(nGC_145) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
    coupl(nGC_146) = -cb*cima*ydo2 + cima*sb*ydo1
    coupl(nGC_147) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
    coupl(nGC_140) = sqrt(2d0)*cb*yd13x3/2d0 + sqrt(2d0)*sb*yb2/2d0
    coupl(nGC_141) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
    coupl(nGC_142) = -cb*cima*yb2 + cima*sb*yd13x3
    coupl(nGC_143) = sqrt(2d0)*cb*yb2/2d0 - sqrt(2d0)*sb*yd13x3/2d0
    coupl(nGC_148) = sqrt(2d0)*cb*ydo2/2d0 - sqrt(2d0)*sb*ydo1/2d0
    coupl(nGC_149) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
    coupl(nGC_MI) = -cima
    coupl(nGC_7959) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**2d0&
                      /(cw**2d0*sw**2d0)
    coupl(nGC_7958) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw &
                      **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_7957) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw&
                      **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_7956) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb -   &
                      4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*l3*sa**&
                      2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
    coupl(nGC_7951) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0* &
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_7950) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_7953) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_7952) = -ca*cb**2d0*cima*sa
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_8349) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8348) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8345) = sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
    coupl(nGC_8344) = sqrt(2d0)*sb/2d0
    coupl(nGC_8347) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8346) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_8340) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8343) = sqrt(2d0)*cb/2d0
    coupl(nGC_8342) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8299) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
    coupl(nGC_8298) = cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_8443) = cb*cima
    coupl(nGC_8293) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_8292) = -cb*cima*sa*sb*vev1
    coupl(nGC_8291) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - ca&
                      *l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
    coupl(nGC_8297) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
    coupl(nGC_8296) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
    coupl(nGC_8337) = -cb*cima
    coupl(nGC_8446) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_8447) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_8125) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**2d0*&
                      cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa - 2d0*&
                      ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb - &
                      cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_8124) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8127) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**2d0)
    coupl(nGC_8126) = -ca**2d0*cima*sb**2d0
    coupl(nGC_8121) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
    coupl(nGC_8123) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8122) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_80) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_81) = -cima*cw*ee/sw
    coupl(nGC_84) = cima*ee*sw/(3d0*cw)
    coupl(nGC_85) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_86) = cima*ee*sw/cw
    coupl(nGC_87) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_67) = -cMW*ca*cima*ee*sb/(2d0*sw) + cMW*cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_64) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_65) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_62) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**2d0/(&
                    2d0*sw**2d0)
    coupl(nGC_60) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*cb&
                    **2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0* &
                    cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
    coupl(nGC_61) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0/(&
                    2d0*sw**2d0)
    coupl(nGC_68) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_69) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_8631) = 2d0*cima*ee**2d0
    coupl(nGC_8630) = cima*ee
    coupl(nGC_8633) = -cb*cima
    coupl(nGC_8635) = -cima*(cb*ys2 - sb*yd12x2)
    coupl(nGC_8634) = -cima*sb
    coupl(nGC_8637) = sqrt(2d0)*cb/2d0
    coupl(nGC_8636) = sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
    coupl(nGC_8639) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_8638) = sqrt(2d0)*sb/2d0
    coupl(nGC_89) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_100) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*cima*&
                     ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +    &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee**2d0*&
                     sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_377) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - ca*&
                     l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
    coupl(nGC_375) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa - &
                     cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
    coupl(nGC_373) = ca*cb*cima*sb*vev1
    coupl(nGC_371) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_379) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*cb&
                     *l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1 - &
                     ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                     vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 + l4*sa&
                     *sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
    coupl(nGC_7990) = cima*(cb*ym1 + sb*ym2)
    coupl(nGC_153) = -sqrt(2d0)*ca*cima*ye2/2d0 + sqrt(2d0)*cima*sa*ye1/2d0
    coupl(nGC_152) = sqrt(2d0)*cb*ydo1/2d0 + sqrt(2d0)*sb*ydo2/2d0
    coupl(nGC_151) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
    coupl(nGC_150) = -cb*cima*ydo1 - cima*sb*ydo2
    coupl(nGC_157) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
    coupl(nGC_156) = sqrt(2d0)*cb*ye2/2d0 - sqrt(2d0)*sb*ye1/2d0
    coupl(nGC_155) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
    coupl(nGC_154) = -cb*cima*ye2 + cima*sb*ye1
    coupl(nGC_159) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
    coupl(nGC_158) = -cb*cima*ye1 - cima*sb*ye2
    coupl(nGC_8384) = -cima*sb
    coupl(nGC_7948) = cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_8439) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_7942) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_7943) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_7940) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_8386) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_7946) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
    coupl(nGC_7947) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_7944) = ca*cb**2d0*cima*sa
    coupl(nGC_7945) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +   &
                      4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3*sa**&
                      2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_8437) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_8358) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8359) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_8388) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8352) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
    coupl(nGC_8353) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_8350) = -cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_8351) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
    coupl(nGC_8356) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8357) = cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_8354) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
    coupl(nGC_8355) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_8434) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8432) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8430) = -sqrt(2d0)*sb/2d0
    coupl(nGC_1285) = -coupl(nGC_68)
    coupl(nGC_8288) = -ca*cb*cima*sb*vev2
    coupl(nGC_8280) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8281) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_8282) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8283) = -cb*cima
    coupl(nGC_8284) = cima*(cb*ydo1 + sb*ydo2)
    coupl(nGC_8285) = cima*sb
    coupl(nGC_8286) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8287) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca* &
                      cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2&
                       + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**2d0*l3* &
                      sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb*vev2 -  &
                      l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
    coupl(nGC_8510) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8133) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8130) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca*&
                      cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca*&
                      l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 - ca*&
                      l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8131) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8137) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8134) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8135) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_53) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l2&
                    *sb**4d0
    coupl(nGC_52) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l1*sb**4d0
    coupl(nGC_51) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l1*sb**4d0
    coupl(nGC_50) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l1&
                    *sb**4d0
    coupl(nGC_57) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*sb&
                    **2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3* &
                    sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*cima*l5&
                    *sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
    coupl(nGC_56) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima* &
                    l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0*cima&
                    *l5*sb**2d0 - cima*l3*sb**4d0
    coupl(nGC_55) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l2*sb**4d0
    coupl(nGC_54) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l2*sb**4d0
    coupl(nGC_59) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 - 3d0*&
                    cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0 + 4d0&
                    *cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**2d0 +   &
                    4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb &
                    **4d0 - cima*l5*sb**4d0
    coupl(nGC_58) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima* &
                    l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3*&
                    sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb**2d0&
                     - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
    coupl(nGC_8626) = -cima*(cb*ye2 - sb*ye1)
    coupl(nGC_8627) = -cima*sb
    coupl(nGC_8624) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
    coupl(nGC_8625) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8620) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_8659) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8658) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_196) = cb*cima*yup1 + cima*sb*yup2
    coupl(nGC_190) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
    coupl(nGC_419) = -sqrt(2d0)*cb/2d0
    coupl(nGC_417) = -sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
    coupl(nGC_415) = -sqrt(2d0)*sb/2d0
    coupl(nGC_411) = cima*gs
    coupl(nGC_94) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa*sb &
                    /(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
    coupl(nGC_7991) = cima*sb
    coupl(nGC_7993) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_7992) = -cb*cima
    coupl(nGC_7995) = -cb*cima*sa**2d0*sb
    coupl(nGC_7994) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +   &
                      4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3*sa**&
                      2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_7997) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_7996) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_7999) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_7998) = ca**2d0*cb*cima*sb
    coupl(nGC_8381) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8380) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8383) = -cb*cima
    coupl(nGC_8382) = -cima*(cb*ytau2 - sb*ytau1)
    coupl(nGC_8387) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8438) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_8389) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
