!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_8435) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
    coupl(nGC_8433) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8431) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
    coupl(nGC_48) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/  &
                    2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb**2d0&
                    *l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_49) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0/ &
                    2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**2d0&
                    *l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_44) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb**&
                    3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima*l1*sb&
                    **3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**3d0 -  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_45) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb** &
                    3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima*l2*sb&
                    **3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**3d0 +  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_46) = -3d0*cb**3d0*cima*l2*sb + 3d0*cb**3d0*cima*l3*sb + 3d0*cb**&
                    3d0*cima*l4*sb + 3d0*cb**3d0*cima*l5*sb + 3d0*cb*cima*l1*sb&
                    **3d0 - 3d0*cb*cima*l3*sb**3d0 - 3d0*cb*cima*l4*sb**3d0 -  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_47) = 3d0*cb**3d0*cima*l1*sb - 3d0*cb**3d0*cima*l3*sb - 3d0*cb** &
                    3d0*cima*l4*sb - 3d0*cb**3d0*cima*l5*sb - 3d0*cb*cima*l2*sb&
                    **3d0 + 3d0*cb*cima*l3*sb**3d0 + 3d0*cb*cima*l4*sb**3d0 +  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_40) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb**3d0&
                    /2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0*l5* &
                    sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_41) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**  &
                    3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0* &
                    l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_42) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima*l4*&
                    sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima*l3* &
                    sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
    coupl(nGC_43) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4* &
                    sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima*l3* &
                    sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
    coupl(nGC_8653) = -ee*(cb**2d0 + sb**2d0)/(4d0*cMW*sw)
    coupl(nGC_8652) = cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8650) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8657) = -2d0*cima*sb**4d0
    coupl(nGC_8656) = -2d0*cb**4d0*cima
    coupl(nGC_8655) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8654) = -cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_8480) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_8341) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8436) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_161) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
    coupl(nGC_405) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_407) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca*&
                     vev2 - sa*vev1)/(cw**2d0*sw**3d0)
    coupl(nGC_401) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2 &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_403) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev2 - sa*vev1)/(cw**3d0*sw**2d0)
    coupl(nGC_8690) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4  &
                       + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - l5&
                      *sa**2d0)
    coupl(nGC_125) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*vev2 &
                     /(2d0*sw**2d0)
    coupl(nGC_7935) = -cb**2d0*cima*sb**2d0
    coupl(nGC_8120) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
    coupl(nGC_123) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*sb&
                     *vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*vev1/  &
                     2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 + l5*sb&
                     **3d0*vev2/2d0
    coupl(nGC_88) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_82) = cima*cw*ee/sw
    coupl(nGC_83) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_7988) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_7989) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*l3*&
                      sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5*sb &
                      **2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 + cb* &
                      l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l5*&
                      sa*sb**2d0*vev1)
    coupl(nGC_7986) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb* &
                      l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
    coupl(nGC_7987) = -cb*cima*sa*sb*vev1
    coupl(nGC_7984) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*vev1 &
                       - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_7985) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*l5&
                      *sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
    coupl(nGC_7982) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb** &
                      2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*vev1  &
                       - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*sb**  &
                      2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**&
                      2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5*sa*vev1 &
                       + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**&
                      2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
    coupl(nGC_7983) = -ca*cb*cima*sb*vev2
    coupl(nGC_7980) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**2d0 - ca&
                      **2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0*l5*sb**  &
                      2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0* &
                      l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5*sa**2d0 - l1&
                      *sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4*sa**2d0*sb**  &
                      2d0 - l5*sa**2d0*sb**2d0)
    coupl(nGC_7981) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8428) = cima*sb
    coupl(nGC_8429) = -cb*cima
    coupl(nGC_8398) = -cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_8399) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
    coupl(nGC_8426) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8420) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**  &
                      2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_8422) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0* &
                      l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**  &
                      2d0)
    coupl(nGC_39) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_38) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_31) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_30) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_33) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_32) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_35) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_34) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_37) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca*cb*&
                    cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*&
                    sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb + cb&
                    **2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
    coupl(nGC_36) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 &
                     + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/  &
                    2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb&
                    *cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*cima&
                    *l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa &
                    **2d0*sb**2d0/2d0
    coupl(nGC_8648) = 2d0*cima*gs**2d0
    coupl(nGC_66) = ca*cima*ee**2d0*sb/(2d0*sw) - cb*cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_8333) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5* &
                      sa**2d0)
    coupl(nGC_63) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_8622) = -2d0*cima*ee/3d0
    coupl(nGC_7978) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_329) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_325) = -cb**2d0*cima*sa*vev2
    coupl(nGC_327) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_323) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca* &
                     cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2 &
                      + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5*sa&
                     *vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 + l4* &
                     sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_188) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/2d0
    coupl(nGC_189) = -cb*cima*ytau1 - cima*sb*ytau2
    coupl(nGC_181) = cb*cima*yt1 + cima*sb*yt2
    coupl(nGC_183) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
    coupl(nGC_184) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/2d0
    coupl(nGC_185) = -cb*cima*ytau2 + cima*sb*ytau1
    coupl(nGC_186) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
    coupl(nGC_8632) = -gs
    coupl(nGC_1559) = -coupl(nGC_91)
    coupl(nGC_8512) = -sqrt(2d0)*cb/2d0
    coupl(nGC_431) = sqrt(2d0)*cb/2d0
    coupl(nGC_433) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
    coupl(nGC_435) = -sqrt(2d0)*sb/2d0
    coupl(nGC_611) = -coupl(nGC_96)
    coupl(nGC_8099) = -ca*cb*cima*sa*sb
    coupl(nGC_8098) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb + ca*&
                      cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa  &
                       - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3*sa*sb &
                      **2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8095) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_8094) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**2d0&
                      /(cw**2d0*sw**2d0)
    coupl(nGC_8097) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8096) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_8091) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8090) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
    coupl(nGC_8093) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw &
                      **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_8092) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                      **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_8708) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw &
                      )/(cw*sw)
    coupl(nGC_8259) = -3d0*cima*sb**4d0
    coupl(nGC_8258) = -3d0*cb**4d0*cima
    coupl(nGC_8705) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8256) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8255) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8706) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw*&
                      sw**2d0)
    coupl(nGC_8253) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8700) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_8703) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_8250) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*l4&
                       - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**2d0)
    coupl(nGC_8419) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**  &
                      2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_8418) = -3d0*ca**2d0*cima*sa*vev2
    coupl(nGC_8411) = -cima*ee*sw/cw**2d0
    coupl(nGC_8410) = cima*ee/cw
    coupl(nGC_8413) = -cima*(cb*yb2 - sb*yd13x3)
    coupl(nGC_8412) = cima*ee*sw/cw
    coupl(nGC_8415) = -cima*sb
    coupl(nGC_8414) = -cb*cima
    coupl(nGC_8417) = -3d0*ca*cima*sa**2d0*vev1
    coupl(nGC_8416) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**  &
                      2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_28) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb&
                    *cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*cima* &
                    l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb  &
                     - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_29) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*&
                    cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*cima*l5&
                    *sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                    cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - cb*cima*l5*&
                    sa**2d0*sb
    coupl(nGC_22) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*&
                    cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb**2d0 &
                     - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb - cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_23) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0&
                    *cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb**2d0&
                     + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_20) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_21) = cMW*cb**2d0*cima*ee + cMW*cima*ee*sb**2d0
    coupl(nGC_26) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb**&
                    2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*cima*l5&
                    *sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*  &
                    cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_27) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*&
                    cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb**2d0 &
                     + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb + cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_24) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0&
                    *cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb**2d0&
                     - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb - cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_25) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca*cb &
                    **2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0*cima*&
                    l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*&
                    cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_8675) = sqrt(2d0)*cb/2d0
    coupl(nGC_8674) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8677) = ee*(cb**2d0 + sb**2d0)/(4d0*cMW*sw)
    coupl(nGC_8676) = -cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8671) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8670) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8673) = -sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
    coupl(nGC_8672) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca**4d0&
                      *l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**2d0 -  &
                      6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0 - 6d0*ca &
                      **2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 + l4*sa**4d0  &
                       + l5*sa**4d0)
    coupl(nGC_8679) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8077) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8076) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**  &
                      2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3* &
                      sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8075) = -ca**2d0*cima*sb**2d0
    coupl(nGC_8074) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8073) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8072) = -cb**2d0*cima*sa**2d0
    coupl(nGC_8071) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb** &
                      2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5* &
                      sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_8070) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8079) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_MHC) = -cMHC**2d0*cima
    coupl(nGC_8322) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8157) = -cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_8409) = ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_339) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*sb&
                     *vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb*l4*sa&
                     *sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_333) = -ca*cima*sb**2d0*vev1
    coupl(nGC_331) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_337) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*&
                     sb**2d0)
    coupl(nGC_335) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*l5&
                     *sa*sb)
    coupl(nGC_197) = -sqrt(2d0)*cb*yup1/2d0 - sqrt(2d0)*sb*yup2/2d0
    coupl(nGC_195) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
    coupl(nGC_194) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
    coupl(nGC_193) = cb*cima*yup2 - cima*sb*yup1
    coupl(nGC_192) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
    coupl(nGC_191) = sqrt(2d0)*cb*ytau1/2d0 + sqrt(2d0)*sb*ytau2/2d0
    coupl(nGC_198) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
    coupl(nGC_427) = sqrt(2d0)*cb/2d0
    coupl(nGC_425) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
    coupl(nGC_423) = sqrt(2d0)*sb/2d0
    coupl(nGC_8587) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb**  &
                      2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1  &
                       + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb**&
                      2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
    coupl(nGC_601) = 1d0/(2d0*cMZ)
    coupl(nGC_8254) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8583) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - ca&
                      *l5*sb**2d0 + 2d0*cb*l5*sa*sb)
    coupl(nGC_105) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 - &
                     3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*vev2 &
                      - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**2d0*  &
                     vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa**3d0* &
                     vev2
    coupl(nGC_8678) = cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_8251) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2* &
                      sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa**  &
                      2d0)
    coupl(nGC_8088) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb**&
                      2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*l3* &
                      sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_8089) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8082) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8083) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb** &
                      2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*l5* &
                      sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
    coupl(nGC_8080) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8081) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8086) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8087) = -cb**2d0*cima*sa**2d0
    coupl(nGC_8084) = -ca**2d0*cima*sb**2d0
    coupl(nGC_8085) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8248) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**  &
                      2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_8249) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**  &
                      2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_8244) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
    coupl(nGC_8245) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**  &
                      2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_8246) = 3d0*ca**2d0*cima*sa*vev1
    coupl(nGC_8247) = -3d0*ca*cima*sa**2d0*vev2
    coupl(nGC_8240) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
    coupl(nGC_8241) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_8242) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8243) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
    coupl(nGC_8406) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8407) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_8404) = -cb*cima
    coupl(nGC_8405) = -cima*sb
    coupl(nGC_8402) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
    coupl(nGC_8403) = -cima*(cb*ym2 - sb*ym1)
    coupl(nGC_8400) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
    coupl(nGC_8401) = -cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_8408) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8484) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_17) = cb**2d0*cima*ee + cima*ee*sb**2d0
    coupl(nGC_16) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
    coupl(nGC_15) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_14) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_13) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 - 3d0*&
                    ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0 + 4d0&
                    *ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**2d0 +   &
                    4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 - cima*l4*sa &
                    **4d0 - cima*l5*sa**4d0
    coupl(nGC_12) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l2*sa**4d0
    coupl(nGC_11) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l1*sa**4d0
    coupl(nGC_10) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca** &
                    3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima*l2*sa&
                    **3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**3d0 +  &
                    3d0*ca*cima*l5*sa**3d0
    coupl(nGC_19) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_18) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
    coupl(nGC_8660) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - cb&
                      **2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*sb**&
                      2d0)
    coupl(nGC_8661) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
    coupl(nGC_8666) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0*cw*&
                      sw)
    coupl(nGC_8667) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8664) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw* &
                      sw**2d0)
    coupl(nGC_8665) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw &
                      **2d0*sw)
    coupl(nGC_8668) = 3d0*ca*cima*sa**3d0
    coupl(nGC_8669) = -3d0*ca**3d0*cima*sa
    coupl(nGC_8064) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8065) = -ca**2d0*cb**2d0*cima
    coupl(nGC_8066) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca* &
                      cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca*&
                      l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 - ca*&
                      l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8067) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8060) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8061) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0* &
                      cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa + 2d0*&
                      ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb + &
                      cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8062) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8063) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**2d0)
    coupl(nGC_8068) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8069) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
    coupl(nGC_8103) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0*&
                      cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0*l5*sa + &
                      2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - cb*l1*sa** &
                      2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb)
    coupl(nGC_8129) = -cb**2d0*cima*sa**2d0
    coupl(nGC_8485) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
    coupl(nGC_8128) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8117) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca*cb&
                      **2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l1&
                      *sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 + ca*l5&
                      *sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8482) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8613) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8612) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_8279) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8278) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8271) = -ca*cb**2d0*cima*vev1
    coupl(nGC_8270) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - ca&
                      *l5*sb**2d0 + 2d0*cb*l5*sa*sb)
    coupl(nGC_8275) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8274) = -sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
    coupl(nGC_8276) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8619) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_187) = sqrt(2d0)*cb*ytau2/2d0 - sqrt(2d0)*sb*ytau1/2d0
    coupl(nGC_8183) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
    coupl(nGC_8182) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*&
                      l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                      6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb &
                      **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0  &
                       - l5*sb**4d0)
    coupl(nGC_8181) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8180) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8187) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
    coupl(nGC_8186) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
    coupl(nGC_8185) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_8184) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8189) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8188) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
    coupl(nGC_8473) = 3d0*cb*cima*sb**3d0
    coupl(nGC_8472) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8471) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
    coupl(nGC_8470) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8477) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0&
                      *l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 -  &
                      6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb &
                      **2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0  &
                       + l5*sb**4d0)
    coupl(nGC_8476) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8475) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8474) = -3d0*cb**3d0*cima*sb
    coupl(nGC_8699) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**4d0*&
                      l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 +   &
                      6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0 + 6d0*ca &
                      **2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 - l4*sa**4d0  &
                       - l5*sa**4d0)
    coupl(nGC_8698) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8697) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8696) = -3d0*ca*cima*sa**3d0
    coupl(nGC_8695) = 3d0*ca**3d0*cima*sa
    coupl(nGC_8694) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8693) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
    coupl(nGC_8692) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8691) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8051) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb**  &
                      2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5* &
                      sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_8050) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8053) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_8052) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8055) = -ca**2d0*cb**2d0*cima
    coupl(nGC_8054) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_8509) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8508) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
    coupl(nGC_8507) = cima*sb
    coupl(nGC_8506) = cb*cima
    coupl(nGC_8505) = cima*(cb*yup2 - sb*yup1)
    coupl(nGC_8504) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_8503) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_8502) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_8501) = -cima*cw*ee/sw
    coupl(nGC_8500) = -cima*ee/sw
    coupl(nGC_8543) = cima*ee*(cb**2d0 + sb**2d0)/(4d0*cMZ*sw)
    coupl(nGC_8542) = -cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8541) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8540) = sqrt(2d0)*sb/2d0
    coupl(nGC_8547) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
    coupl(nGC_8546) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_8545) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_8544) = cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_8119) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_663) = -coupl(nGC_69)
    coupl(nGC_8018) = -cb*cima*sa**2d0*sb
    coupl(nGC_1151) = -coupl(nGC_64)
    coupl(nGC_711) = -coupl(nGC_63)
    coupl(nGC_8449) = sqrt(2d0)*cb/2d0
    coupl(nGC_1159) = -coupl(nGC_83)/2d0
    coupl(nGC_8424) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
    coupl(nGC_8425) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8427) = cima*(cb*ytau1 + sb*ytau2)
    coupl(nGC_8421) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1* &
                      sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa**  &
                      2d0)
    coupl(nGC_8423) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*ca&
                      **3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*sa* &
                      vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*vev1 - &
                      7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 + 7d0*ca*&
                      l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 + 7d0*ca*l5*sa**&
                      2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3*sa**3d0*vev1 +   &
                      2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*vev1)
    coupl(nGC_8266) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*&
                      l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5*&
                      sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 + cb&
                      *l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l5&
                      *sa*sb**2d0*vev1)
    coupl(nGC_8267) = -cima*sa*sb**2d0*vev2
    coupl(nGC_8264) = ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_8265) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_8262) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 -  &
                      cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*sb&
                      **2d0)
    coupl(nGC_8263) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_8260) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8261) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8268) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa* &
                      vev2 + 2d0*cb*sa*sb*vev1)
    coupl(nGC_8269) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa - &
                      cb**2d0*l5*sa + l2*sa*sb**2d0)
    coupl(nGC_126) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/(2d0&
                     *sw)
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_8190) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8192) = 3d0*cb**3d0*cima*sb
    coupl(nGC_8193) = -3d0*cb*cima*sb**3d0
    coupl(nGC_8194) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8195) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8196) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*&
                      l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                      6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb &
                      **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0  &
                       - l5*sb**4d0)
    coupl(nGC_8197) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8198) = -cima*sb**4d0
    coupl(nGC_8199) = -cb**4d0*cima
    coupl(nGC_8460) = cb**2d0*cima*sa*vev1
    coupl(nGC_8461) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_8462) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5*sb&
                      *vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb*l4* &
                      sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_8463) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*&
                      sw)
    coupl(nGC_8464) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*&
                      sw)
    coupl(nGC_8465) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(4d0*cMZ*cw*&
                      sw)
    coupl(nGC_8466) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw* &
                      sw**2d0)
    coupl(nGC_8467) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw &
                      **2d0*sw)
    coupl(nGC_8468) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw* &
                      sw)
    coupl(nGC_8469) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_7949) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_8688) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8689) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8684) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4 -  &
                      ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + l5*sa&
                      **2d0)
    coupl(nGC_8685) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8686) = -3d0*cima*sa**4d0
    coupl(nGC_8687) = -3d0*ca**4d0*cima
    coupl(nGC_8680) = -3d0*ca**4d0*cima
    coupl(nGC_8681) = -3d0*cima*sa**4d0
    coupl(nGC_8682) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8683) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8518) = -cima*(cb*ydo2 - sb*ydo1)
    coupl(nGC_8519) = -cb*cima
    coupl(nGC_8048) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8049) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
    coupl(nGC_8514) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8515) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8516) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
    coupl(nGC_8517) = -cima*sb
    coupl(nGC_8042) = -ca**2d0*cb**2d0*cima
    coupl(nGC_8511) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
    coupl(nGC_8040) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8513) = sqrt(2d0)*sb/2d0
    coupl(nGC_7941) = -ca*cima*sa*sb**2d0
    coupl(nGC_8116) = -ca**2d0*cima*sb**2d0
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_8649) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
    coupl(nGC_8640) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca* &
                      cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2&
                       + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5* &
                      sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 +  &
                      l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_8641) = -cima*sa*sb**2d0*vev2
    coupl(nGC_8642) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8643) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2*sa*&
                      sb**2d0)
    coupl(nGC_8644) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb* &
                      l5*sa*sb)
    coupl(nGC_8645) = -ca*cb**2d0*cima*vev1
    coupl(nGC_8646) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8647) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5* &
                      sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb*l4&
                      *sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
    coupl(nGC_389) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev1 + sa*vev2)/(cw**3d0*sw**2d0)
    coupl(nGC_383) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2  &
                     )/(cw**2d0*sw**2d0)
    coupl(nGC_387) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_385) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_8022) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                      cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0* &
                      ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 &
                       + l5*sa**2d0*sb**2d0)
    coupl(nGC_8651) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_127) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/(2d0&
                     *sw)
    coupl(nGC_124) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*vev1 &
                     /(2d0*sw**2d0)
    coupl(nGC_122) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4*sb*&
                     vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*vev1/2d0&
                      - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 - l5*sb** &
                     3d0*vev2/2d0
    coupl(nGC_120) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb* &
                     cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb&
                     *vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*vev2 &
                      - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima&
                     *l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*sa*sb**  &
                     2d0*vev2
    coupl(nGC_121) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cima* &
                     l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*cima*l5&
                     *sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*sb**2d0&
                     *vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_128) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_129) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0) +   &
                     cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_8027) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_8213) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8212) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8211) = -2d0*cb**4d0*cima
    coupl(nGC_8210) = -2d0*cima*sb**4d0
    coupl(nGC_8217) = -ca*cima*sb**2d0*vev2
    coupl(nGC_8216) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*&
                      l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*&
                      sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb&
                      *l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5&
                      *sa*sb**2d0*vev2)
    coupl(nGC_8215) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8214) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 + &
                      cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - l5*sb&
                      **2d0)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
