!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl3()
    coupl(nGC_8219) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + ca&
                      *l2*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_8218) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa*sb*&
                      vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8662) = sqrt(2d0)*sb/2d0
    coupl(nGC_353) = cima*sa*sb**2d0*vev1
    coupl(nGC_345) = -ca*cb**2d0*cima*vev2
    coupl(nGC_879) = -coupl(nGC_72)
    coupl(nGC_7939) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_7938) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_7937) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7936) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_I) = cima
    coupl(nGC_7934) = -cb**2d0*cima*sb**2d0
    coupl(nGC_7933) = -cima*(cb**4d0 + sb**4d0)
    coupl(nGC_7932) = sqrt(2d0)*sb/2d0
    coupl(nGC_7931) = sqrt(2d0)*cb/2d0
    coupl(nGC_7930) = sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
    coupl(nGC_8459) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*&
                      sb**2d0)
    coupl(nGC_8458) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb - cb* &
                      l5*sa*sb)
    coupl(nGC_8329) = -3d0*ca**3d0*cima*vev1
    coupl(nGC_8328) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_8327) = sqrt(2d0)*sb/2d0
    coupl(nGC_8454) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8325) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8323) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
    coupl(nGC_8450) = sqrt(2d0)*sb/2d0
    coupl(nGC_657) = -coupl(nGC_194)
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = cima*gs
    coupl(nGC_6) = -gs
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_9) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca** &
                   3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1*sa &
                   **3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0 -   &
                   3d0*ca*cima*l5*sa**3d0
    coupl(nGC_8) = cima*gs**2d0
    coupl(nGC_8529) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_8455) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                      cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1&
                       - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5* &
                      sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 +  &
                      l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_8039) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_8038) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
    coupl(nGC_8663) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8326) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
    coupl(nGC_8033) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                      **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_8523) = cima*ee*(cb**2d0 + sb**2d0)/(2d0*cMW)
    coupl(nGC_8522) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8525) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0&
                      *cw**2d0*sw)
    coupl(nGC_8036) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
    coupl(nGC_8527) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(4d0*cMW&
                      *cw*sw)
    coupl(nGC_8526) = cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*&
                      cw*sw**2d0)
    coupl(nGC_8324) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
    coupl(nGC_8451) = -cima*(cb*yc1 + sb*yc2)
    coupl(nGC_8289) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_8321) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8320) = -2d0*cima*(cb**4d0 + sb**4d0)
    coupl(nGC_8107) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa* &
                      sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_3105) = -2d0*coupl(nGC_8)
    coupl(nGC_8147) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0*l5*&
                      vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*vev2 - &
                      2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 + 3d0*ca*&
                      l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 - 2d0*ca*l4*sa**&
                      2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa**3d0*vev2 + l4*&
                      sa**3d0*vev2 + l5*sa**3d0*vev2)
    coupl(nGC_8146) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5* &
                      sa**2d0)
    coupl(nGC_8145) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*sa&
                      **2d0)
    coupl(nGC_8144) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_8149) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8148) = sqrt(2d0)*sb/2d0
    coupl(nGC_8106) = -ca*cb*cima*sa*sb
    coupl(nGC_8104) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8628) = -cb*cima
    coupl(nGC_399) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                     **2d0)
    coupl(nGC_391) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_8629) = -cima*ee
    coupl(nGC_393) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca*&
                     vev1 + sa*vev2)/(cw**2d0*sw**3d0)
    coupl(nGC_397) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(cw**2d0*sw**2d0)
    coupl(nGC_8445) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_MHA) = -cMHA**2d0*cima
    coupl(nGC_8031) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8132) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8136) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8037) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_4) = cima*ee
    coupl(nGC_643) = -coupl(nGC_3)
    coupl(nGC_134) = cb*cima*yc1 + cima*sb*yc2
    coupl(nGC_137) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
    coupl(nGC_136) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
    coupl(nGC_131) = cb*cima*yc2 - cima*sb*yc1
    coupl(nGC_130) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
    coupl(nGC_133) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
    coupl(nGC_132) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
    coupl(nGC_139) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
    coupl(nGC_8138) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8139) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8200) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8201) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8202) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 + &
                      cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - l5*sb&
                      **2d0)
    coupl(nGC_8203) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_8204) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_8205) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8206) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8207) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8208) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8209) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8319) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8528) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0&
                      *cw*sw)
    coupl(nGC_8621) = cima*ee/3d0
    coupl(nGC_7928) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_7929) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_8032) = sqrt(2d0)*cb/2d0
    coupl(nGC_7924) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_7925) = cima*ee*sw/(3d0*cw)
    coupl(nGC_7926) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
    coupl(nGC_7927) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_7920) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_7921) = 2d0*cima*ee**2d0/sw
    coupl(nGC_7922) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_7923) = cima*ee/(3d0*cw)
    coupl(nGC_8448) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
    coupl(nGC_8030) = -sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
    coupl(nGC_8338) = cima*sb
    coupl(nGC_8339) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_8442) = cima*(cb*yt2 - sb*yt1)
    coupl(nGC_8335) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*l5&
                      *vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*vev1  &
                       - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 - 3d0*&
                      ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 + 2d0*ca*l4* &
                      sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa**3d0*vev1  &
                       + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
    coupl(nGC_8440) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8441) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
    coupl(nGC_8330) = -3d0*cima*sa**3d0*vev2
    coupl(nGC_8331) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_8444) = cima*sb
    coupl(nGC_8524) = cMW*cima*ee*(cb**2d0 + sb**2d0)
    coupl(nGC_8035) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + sw &
                      )**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_8034) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw &
                      **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_8536) = -cima*ee*(ca*cb + sa*sb)/(4d0*cMW*sw)
    coupl(nGC_8537) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8534) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_8535) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8532) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8533) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8530) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8531) = -cima*ee*(ca*sb - cb*sa)/(4d0*cMW*sw)
    coupl(nGC_8538) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8539) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
    coupl(nGC_8028) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8029) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb** &
                      2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3* &
                      sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8020) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8021) = ca**2d0*cb*cima*sb
    coupl(nGC_8023) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8024) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb**&
                      2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*l5* &
                      sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
    coupl(nGC_8025) = -ca**2d0*cb**2d0*cima
    coupl(nGC_8026) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_8154) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8155) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8156) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0*l5 &
                       + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - 6d0*&
                      cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb**2d0&
                      *l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0 + l5* &
                      sb**4d0)
    coupl(nGC_8150) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
    coupl(nGC_8151) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8152) = cb*cima*sb**3d0
    coupl(nGC_8153) = -cb**3d0*cima*sb
    coupl(nGC_8158) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
    coupl(nGC_8159) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
    coupl(nGC_7963) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8172) = 2d0*cb*cima*sb**3d0
    coupl(nGC_3331) = -coupl(nGC_94)
    coupl(nGC_8457) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_3111) = 2d0*coupl(nGC_8)
    coupl(nGC_8456) = -ca*cima*sb**2d0*vev2
    coupl(nGC_3063) = -coupl(nGC_179)
    coupl(nGC_7955) = ca*cima*sa*sb**2d0
    coupl(nGC_8453) = cb*cima
    coupl(nGC_8143) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_8142) = -3d0*ca**3d0*cima*vev2
    coupl(nGC_8141) = 3d0*cima*sa**3d0*vev1
    coupl(nGC_8140) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_7954) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8332) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_8452) = -cima*sb
    coupl(nGC_8623) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8047) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8273) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb** &
                      2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2  &
                       + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*sa*sb**&
                      2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
    coupl(nGC_8272) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_8277) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_8290) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                       - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
    coupl(nGC_8045) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8334) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2* &
                      sa**2d0)
    coupl(nGC_101) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*cima*&
                     ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +    &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee**2d0*&
                     sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_102) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/(2d0&
                     *cw)
    coupl(nGC_103) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0*   &
                     cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0* &
                     cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca**  &
                     2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 + 2d0*ca&
                     *cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*vev2 + 2d0*&
                     ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*vev1 + cima*l4* &
                     sa**3d0*vev1 + cima*l5*sa**3d0*vev1
    coupl(nGC_104) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 + &
                     3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*vev1 &
                      - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**2d0*  &
                     vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa**3d0* &
                     vev1
    coupl(nGC_106) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0*   &
                     cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0* &
                     cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca**  &
                     2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 + 2d0*ca&
                     *cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*vev1 + 2d0*&
                     ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*vev2 - cima*l4* &
                     sa**3d0*vev2 - cima*l5*sa**3d0*vev2
    coupl(nGC_107) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/(2d0&
                     *cw)
    coupl(nGC_108) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*cima* &
                     l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*vev2&
                      + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_109) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cima* &
                     l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*cima*l5&
                     *sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*sb**2d0&
                     *vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_8239) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - cb&
                      **2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*sb**&
                      2d0)
    coupl(nGC_8238) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8235) = -cb**4d0*cima
    coupl(nGC_8234) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8237) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8236) = -cima*sb**4d0
    coupl(nGC_8231) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8230) = -3d0*cb**4d0*cima
    coupl(nGC_8233) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4  &
                       + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - l5&
                      *sb**2d0)
    coupl(nGC_8232) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8043) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**2d0)
    coupl(nGC_180) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
    coupl(nGC_8707) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw)
    coupl(nGC_182) = -sqrt(2d0)*cb*yt1/2d0 - sqrt(2d0)*sb*yt2/2d0
    coupl(nGC_8295) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_7919) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
    coupl(nGC_7918) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_7911) = cima*ee/sw
    coupl(nGC_7910) = -cima*cw*ee/sw**2d0
    coupl(nGC_7913) = cima*ee*(cb**2d0 + sb**2d0)
    coupl(nGC_7912) = cima*cw*ee/sw
    coupl(nGC_7915) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_7914) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_7917) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_7916) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
    coupl(nGC_8309) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa*sb*&
                      vev1 + sa*sb**2d0*vev2)
    coupl(nGC_8308) = -cb**2d0*cima*sa*vev2
    coupl(nGC_8294) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca*&
                      cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2&
                       + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5* &
                      sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 +  &
                      l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
    coupl(nGC_8041) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**2d0&
                      *cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa - 2d0&
                      *ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb  &
                       - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_8301) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8300) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_8303) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_8302) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8305) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8304) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_8307) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb&
                      *l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5&
                      *sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 +  &
                      cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + &
                      l5*sa*sb**2d0*vev1)
    coupl(nGC_8306) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_8491) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8490) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
    coupl(nGC_8493) = sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
    coupl(nGC_8492) = sqrt(2d0)*cb/2d0
    coupl(nGC_8495) = sqrt(2d0)*cb/2d0
    coupl(nGC_8494) = sqrt(2d0)*sb/2d0
    coupl(nGC_8497) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8496) = -sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
    coupl(nGC_8499) = cima*cw*ee/sw**2d0
    coupl(nGC_8498) = sqrt(2d0)*cb/2d0
    coupl(nGC_8046) = -2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca* &
                      cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca*&
                      l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 + ca*&
                      l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8521) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8015) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
    coupl(nGC_8014) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8017) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0 + ca&
                      **2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5*sb**  &
                      2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0* &
                      l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l2&
                      *sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**2d0*sb**  &
                      2d0 + l5*sa**2d0*sb**2d0)
    coupl(nGC_8016) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8011) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_8010) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_8013) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8012) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8549) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_8548) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_8019) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb** &
                      2d0 - cb*sa**2d0*sb)
    coupl(nGC_8396) = sqrt(2d0)*cb/2d0
    coupl(nGC_8702) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8397) = -sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
    coupl(nGC_8161) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
    coupl(nGC_8160) = cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_8163) = cb**3d0*cima*sb
    coupl(nGC_8162) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8165) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8164) = -cb*cima*sb**3d0
    coupl(nGC_8167) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5  &
                       - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + 6d0*&
                      cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb**2d0&
                      *l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 - l5* &
                      sb**4d0)
    coupl(nGC_8166) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8169) = sqrt(2d0)*sb/2d0
    coupl(nGC_8168) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
    coupl(nGC_8394) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8336) = cima*(cb*ye1 + sb*ye2)
    coupl(nGC_7960) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8395) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8520) = -sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
    coupl(nGC_8479) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_8392) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8478) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3109) = -coupl(nGC_8)
    coupl(nGC_8385) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_8574) = sqrt(2d0)*cb/2d0
    coupl(nGC_8393) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
    coupl(nGC_8390) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_8191) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_4075) = -coupl(nGC_92)
    coupl(nGC_8391) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_8044) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_7967) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8057) = cima*sb
    coupl(nGC_8056) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb** &
                      2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*l3* &
                      sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_8059) = cima*(cb*yd12x2 + sb*ys2)
    coupl(nGC_753) = -coupl(nGC_81)
    coupl(nGC_8599) = sqrt(2d0)*cb/2d0
    coupl(nGC_8058) = -cb*cima
    coupl(nGC_119) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0&
                      - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima&
                     *l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb** &
                     2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 - cb&
                     *cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 - cima*l4*sa* &
                     sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_118) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*cima* &
                     l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*vev1&
                      - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_117) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 - ca*&
                     cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca*cima* &
                     l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*cima* &
                     l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima*l5*sa* &
                     sb*vev1 - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_116) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*cima* &
                     l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1&
                      - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_115) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*sb&
                     *vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*vev2/  &
                     2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 - l5*sb&
                     **3d0*vev1/2d0
    coupl(nGC_114) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4*sb*&
                     vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*vev2/2d0&
                      - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 + l5*sb** &
                     3d0*vev1/2d0
    coupl(nGC_113) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 - ca*&
                     cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca*cima* &
                     l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*cima* &
                     l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima*l5*sa* &
                     sb*vev2 + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_112) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb* &
                     cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb&
                     *vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*vev1 &
                      - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima&
                     *l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*sa*sb**  &
                     2d0*vev1
    coupl(nGC_111) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0&
                      + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima&
                     *l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb** &
                     2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 - cb&
                     *cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima*l4*sa* &
                     sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_110) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*cima* &
                     l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2&
                      + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_807) = -coupl(nGC_6)
    coupl(nGC_693) = -2d0*coupl(nGC_78)
    coupl(nGC_913) = -coupl(nGC_82)
    coupl(nGC_1269) = -2d0*coupl(nGC_79)
    coupl(nGC_4633) = -coupl(nGC_17)
    coupl(nGC_795) = -2d0*coupl(nGC_5)
    coupl(nGC_1305) = -coupl(nGC_132)
    coupl(nGC_1163) = -coupl(nGC_4)
  end subroutine fill_couplings_mdl3
end module fill_couplings3
