!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_16536) = coupl(nGC_85)*dZcR_QCD2
    coupl(nGC_16539) = coupl(nGC_88)*dZcL_QCD2
    coupl(nGC_16280) = coupl(nGC_145)*dZHlHh_QED2/2d0 + coupl(nGC_149)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9442)
    coupl(nGC_16281) = coupl(nGC_16277) + coupl(nGC_16280)
    coupl(nGC_14919) = coupl(nGC_129)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9484) = coupl(nGC_8570)*db_QED2 + coupl(nGC_8571)*dye2_QED3 +    &
                      coupl(nGC_8572)*dye1_QED3
    coupl(nGC_15654) = coupl(nGC_I)*dZG0Ha_QED2/2d0
    coupl(nGC_15655) = coupl(nGC_I)*dZHaG0_QED2/2d0
    coupl(nGC_9408) = coupl(nGC_8517)*dydo2_QED3 + coupl(nGC_8518)*db_QED2 +   &
                      coupl(nGC_8519)*dydo1_QED3
    coupl(nGC_9032) = coupl(nGC_7)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9036) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_14670) = coupl(nGC_84)*dZsR_QCD2
    coupl(nGC_13007) = coupl(nGC_145)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_13006) = coupl(nGC_145)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_15505) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
    coupl(nGC_15506) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12829) = coupl(nGC_172)*dZHaG0_QED2/2d0 + coupl(nGC_176)*        &
                       dZsL_QED2/2d0 + coupl(nGC_176)*dZsR_QED2/2d0 + coupl(   &
                       nGC_9434)
    coupl(nGC_8912) = coupl(nGC_146)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_13713) = coupl(nGC_192)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_13712) = coupl(nGC_192)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12996) = coupl(nGC_137)*dZHh_QED2/2d0 + coupl(nGC_141)*          &
                       dZHlHh_QED2/2d0 + coupl(nGC_9446)
    coupl(nGC_12994) = coupl(nGC_137)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_12995) = coupl(nGC_12994) + coupl(nGC_9445)
    coupl(nGC_13131) = coupl(nGC_62)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13827) = coupl(nGC_32)*dZGMinus
    coupl(nGC_17016) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_17017) = coupl(nGC_TS_GC_64_Hh) + coupl(nGC_TS_GC_68_Hl)
    coupl(nGC_9004) = coupl(nGC_130)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9007) = coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9001) = coupl(nGC_141)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_12975) = coupl(nGC_132)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_9310) = coupl(nGC_8082)*dl3_QED4 + coupl(nGC_8083)*db_QED2 +     &
                      coupl(nGC_8084)*dl2_QED4 + coupl(nGC_8085)*dl5_QED4 +    &
                      coupl(nGC_8086)*dl4_QED4 + coupl(nGC_8087)*dl1_QED4 +    &
                      coupl(nGC_8088)*da_QED2
    coupl(nGC_9313) = coupl(nGC_8070)*dl3_QED4 + coupl(nGC_8071)*db_QED2 +     &
                      coupl(nGC_8072)*dl2_QED4 + coupl(nGC_8073)*dl5_QED4 +    &
                      coupl(nGC_8074)*dl4_QED4 + coupl(nGC_8075)*dl1_QED4 +    &
                      coupl(nGC_8076)*da_QED2
    coupl(nGC_9317) = coupl(nGC_8097)*dl3_QED4 + coupl(nGC_8098)*db_QED2 +     &
                      coupl(nGC_8099)*dl2_QED4 + coupl(nGC_8100)*dl5_QED4 +    &
                      coupl(nGC_8101)*dl4_QED4 + coupl(nGC_8102)*dl1_QED4 +    &
                      coupl(nGC_8103)*da_QED2
    coupl(nGC_9316) = coupl(nGC_8205)*db_QED2 + coupl(nGC_8206)*dl5_QED4 +     &
                      coupl(nGC_8207)*dl4_QED4 + coupl(nGC_8208)*da_QED2
    coupl(nGC_14931) = coupl(nGC_152)*dZG0/2d0
    coupl(nGC_9171) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl(   &
                      nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(nGC_146 &
                      )*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174) + coupl(&
                      nGC_178)*coupl(nGC_181) + coupl(nGC_193)*coupl(nGC_196   &
                      ))/(32d0*pi**2d0*Nc)
    coupl(nGC_9170) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)*coupl(  &
                      nGC_134) - coupl(nGC_138)*coupl(nGC_142) - coupl(nGC_146 &
                      )*coupl(nGC_150) - coupl(nGC_170)*coupl(nGC_174) - coupl(&
                      nGC_178)*coupl(nGC_181) - coupl(nGC_193)*coupl(nGC_196   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16634) = coupl(nGC_91)*dZG0/2d0
    coupl(nGC_17230) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_17231) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
    coupl(nGC_17830) = coupl(nGC_64)*dZGMinus/2d0
    coupl(nGC_16177) = coupl(nGC_134)*dZGMinus/2d0
    coupl(nGC_9496) = coupl(nGC_8275)*dyc1_QED1_QCD2 + coupl(nGC_8276)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9497) = coupl(nGC_415)*dyt2_QED1_QCD2 + coupl(nGC_419)*          &
                      dyt1_QED1_QCD2
    coupl(nGC_9494) = coupl(nGC_8449)*dyc1_QED1_QCD2 + coupl(nGC_8450)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9327) = coupl(nGC_7993)*dl3_QED4 + coupl(nGC_7994)*db_QED2 +     &
                      coupl(nGC_7995)*dl2_QED4 + coupl(nGC_7996)*dl5_QED4 +    &
                      coupl(nGC_7997)*dl4_QED4 + coupl(nGC_7998)*dl1_QED4 +    &
                      coupl(nGC_7999)*da_QED2
    coupl(nGC_14843) = coupl(nGC_198)*dZuL_QED2/2d0 + coupl(nGC_198)*dZuR_QED2/&
                       2d0 + coupl(nGC_9489)
    coupl(nGC_14840) = coupl(nGC_198)*dZG0/2d0
    coupl(nGC_15641) = coupl(nGC_7)*dZuR_QCD2
    coupl(nGC_9322) = coupl(nGC_8694)*dl3_QED4 + coupl(nGC_8695)*dl1_QED4 +    &
                      coupl(nGC_8696)*dl2_QED4 + coupl(nGC_8697)*dl5_QED4 +    &
                      coupl(nGC_8698)*dl4_QED4 + coupl(nGC_8699)*da_QED2
    coupl(nGC_15084) = coupl(nGC_96)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_12963) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/2d0
    coupl(nGC_18280) = coupl(nGC_173)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_18281) = coupl(nGC_173)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_12962) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/2d0
    coupl(nGC_9019) = coupl(nGC_177)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
    coupl(nGC_14606) = coupl(nGC_28)*dZHa_QED2/2d0 + coupl(nGC_28)*dZHl_QED2 + &
                       coupl(nGC_31)*dZHaG0_QED2/2d0 + coupl(nGC_37)*          &
                       dZHhHl_QED2 + coupl(nGC_39)*dZG0Ha_QED2/2d0 + coupl(    &
                       nGC_9331)
    coupl(nGC_14602) = coupl(nGC_28)*dZG0/2d0
    coupl(nGC_15264) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*          &
                       dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0  &
                        + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_9483)
    coupl(nGC_13033) = coupl(nGC_27)*dZHMinus_QED2/2d0 + coupl(nGC_27)*        &
                       dZHh_QED2 + coupl(nGC_32)*dZGMinusHMinus_QED2/2d0 +     &
                       coupl(nGC_34)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_36)*  &
                       dZHlHh_QED2 + coupl(nGC_9327)
    coupl(nGC_14463) = coupl(nGC_56)*dZG0
    coupl(nGC_19348) = coupl(nGC_85)*dZuR_QCD2
    coupl(nGC_13728) = coupl(nGC_18)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_19345) = coupl(nGC_88)*dZuL_QCD2
    coupl(nGC_12986) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_13450) = coupl(nGC_196)*dZGMinus/2d0
    coupl(nGC_13455) = coupl(nGC_146)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_150)*&
                       dZdR_QED2/2d0 + coupl(nGC_150)*dZuL_QED2/2d0 + coupl(   &
                       nGC_9408)
    coupl(nGC_12859) = coupl(nGC_9642) + coupl(nGC_TS_GC_192_Hl) + coupl(      &
                       nGC_TS_GC_195_Hh)
    coupl(nGC_12858) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_13855) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_8944) = coupl(nGC_148)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_13215) = 3d0*coupl(nGC_46)*dZHa_QED2/2d0 + coupl(nGC_52)*        &
                       dZHaG0_QED2/2d0 + 3d0*coupl(nGC_59)*dZG0Ha_QED2/2d0 +   &
                       coupl(nGC_9335)
    coupl(nGC_13212) = coupl(nGC_46)*dZG0/2d0
    coupl(nGC_9012) = (coupl(nGC_1559)*coupl(nGC_167)*coupl(nGC_89) - coupl(   &
                      nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_163)**2d0 -     &
                      coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(nGC_161)*coupl&
                      (nGC_167)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_4)**2d0 +  &
                      8d0*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89) + coupl(  &
                      nGC_162)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_163)*   &
                      coupl(nGC_3331)*coupl(nGC_89) + coupl(nGC_163)*coupl(    &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_166)*coupl(nGC_711)*   &
                      coupl(nGC_80) + coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_91&
                      ))/(32d0*pi**2d0)
    coupl(nGC_9013) = (coupl(nGC_1285)*coupl(nGC_162)*coupl(nGC_80) + coupl(   &
                      nGC_1559)*coupl(nGC_168)*coupl(nGC_86) - coupl(nGC_161)**&
                      3d0 - coupl(nGC_161)*coupl(nGC_164)**2d0 - coupl(nGC_161 &
                      )*coupl(nGC_165)**2d0 - coupl(nGC_161)*coupl(nGC_168)**  &
                      2d0 + 8d0*coupl(nGC_161)*coupl(nGC_4)**2d0 + 8d0*coupl(  &
                      nGC_161)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_164)*   &
                      coupl(nGC_3331)*coupl(nGC_86) + coupl(nGC_164)*coupl(    &
                      nGC_89)*coupl(nGC_94) + coupl(nGC_166)*coupl(nGC_64)*    &
                      coupl(nGC_80) + coupl(nGC_168)*coupl(nGC_89)*coupl(nGC_91&
                      ))/(32d0*pi**2d0)
    coupl(nGC_9014) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_1151)* &
                      coupl(nGC_174)*coupl(nGC_80) - coupl(nGC_130)*coupl(     &
                      nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(nGC_134)* &
                      coupl(nGC_174) - coupl(nGC_1559)*coupl(nGC_176)*coupl(   &
                      nGC_87) - coupl(nGC_169)**3d0 - coupl(nGC_169)*coupl(    &
                      nGC_172)**2d0 - coupl(nGC_169)*coupl(nGC_173)**2d0 -     &
                      coupl(nGC_169)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_169)* &
                      coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_170)*coupl(nGC_68&
                      )*coupl(nGC_80) - coupl(nGC_172)*coupl(nGC_3331)*coupl(  &
                      nGC_87) - coupl(nGC_172)*coupl(nGC_84)*coupl(nGC_94) -   &
                      coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_91))/(32d0*pi**2d0&
                      )
    coupl(nGC_9015) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*  &
                      coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(    &
                      nGC_134)*coupl(nGC_174) - coupl(nGC_1559)*coupl(nGC_175)*&
                      coupl(nGC_84) - coupl(nGC_169)**3d0 - coupl(nGC_169)*    &
                      coupl(nGC_171)**2d0 - coupl(nGC_169)*coupl(nGC_173)**2d0 &
                       - coupl(nGC_169)*coupl(nGC_175)**2d0 + 8d0*coupl(nGC_169&
                      )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_170)*coupl(    &
                      nGC_663)*coupl(nGC_80) - coupl(nGC_171)*coupl(nGC_3331)* &
                      coupl(nGC_84) - coupl(nGC_171)*coupl(nGC_87)*coupl(nGC_94&
                      ) - coupl(nGC_174)*coupl(nGC_63)*coupl(nGC_80) - coupl(  &
                      nGC_175)*coupl(nGC_87)*coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_9459) = coupl(nGC_8148)*dyd12x2_QED1_QCD2 + coupl(nGC_8149)*     &
                      dys2_QED1_QCD2
    coupl(nGC_8837) = (coupl(nGC_1285)*coupl(nGC_188)*coupl(nGC_80) + coupl(   &
                      nGC_17)*coupl(nGC_189)*coupl(nGC_4) + coupl(nGC_184)*    &
                      coupl(nGC_711)*coupl(nGC_80) + coupl(nGC_189)*coupl(     &
                      nGC_611)*coupl(nGC_90) + 8d0*coupl(nGC_189)*coupl(nGC_86 &
                      )*coupl(nGC_90) + coupl(nGC_189)*coupl(nGC_86)*coupl(    &
                      nGC_96) + coupl(nGC_191)*coupl(nGC_72)*coupl(nGC_80))/(  &
                      32d0*pi**2d0)
    coupl(nGC_9517) = coupl(nGC_431)*dyt2_QED1_QCD2 + coupl(nGC_435)*          &
                      dyt1_QED1_QCD2
    coupl(nGC_8789) = coupl(nGC_1)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(&
                      32d0*pi**2d0*Nc)
    coupl(nGC_8788) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)**2d0&
                       + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) + coupl(   &
                      nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl(nGC_143)*&
                      coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_84)**2d0 +   &
                      coupl(nGC_138)**2d0*coupl(nGC_2) + coupl(nGC_142)**2d0*  &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_13262) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_9450) = coupl(nGC_8691)*dys2_QED3 + coupl(nGC_8692)*dyd12x2_QED3 &
                       + coupl(nGC_8693)*da_QED2
    coupl(nGC_17645) = coupl(nGC_132)*dZHaG0_QED2/2d0
    coupl(nGC_9307) = coupl(nGC_7933)*dl3_QED4 + coupl(nGC_7934)*dl1_QED4 +    &
                      coupl(nGC_7935)*dl2_QED4 + coupl(nGC_7936)*dl5_QED4 +    &
                      coupl(nGC_7937)*dl4_QED4 + coupl(nGC_7938)*db_QED2
    coupl(nGC_9451) = coupl(nGC_8089)*dyd13x3_QED1_QCD2 + coupl(nGC_8091)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9302) = coupl(nGC_8685)*dl3_QED4 + coupl(nGC_8686)*dl1_QED4 +    &
                      coupl(nGC_8687)*dl2_QED4 + coupl(nGC_8688)*dl5_QED4 +    &
                      coupl(nGC_8689)*dl4_QED4 + coupl(nGC_8690)*da_QED2
    coupl(nGC_9303) = coupl(nGC_8197)*dl3_QED4 + coupl(nGC_8198)*dl1_QED4 +    &
                      coupl(nGC_8199)*dl2_QED4 + coupl(nGC_8200)*dl5_QED4 +    &
                      coupl(nGC_8201)*dl4_QED4 + coupl(nGC_8202)*db_QED2
    coupl(nGC_9300) = coupl(nGC_8228)*dl3_QED4 + coupl(nGC_8229)*dl1_QED4 +    &
                      coupl(nGC_8230)*dl2_QED4 + coupl(nGC_8231)*dl5_QED4 +    &
                      coupl(nGC_8232)*dl4_QED4 + coupl(nGC_8233)*db_QED2
    coupl(nGC_9456) = coupl(nGC_8325)*dydo2_QED3 + coupl(nGC_8326)*db_QED2 +   &
                      coupl(nGC_8327)*dydo1_QED3
    coupl(nGC_9308) = coupl(nGC_8111)*dl3_QED4 + coupl(nGC_8112)*db_QED2 +     &
                      coupl(nGC_8113)*dl2_QED4 + coupl(nGC_8114)*dl5_QED4 +    &
                      coupl(nGC_8115)*dl4_QED4 + coupl(nGC_8116)*dl1_QED4 +    &
                      coupl(nGC_8117)*da_QED2
    coupl(nGC_9309) = coupl(nGC_8124)*dl3_QED4 + coupl(nGC_8125)*db_QED2 +     &
                      coupl(nGC_8126)*dl2_QED4 + coupl(nGC_8127)*dl5_QED4 +    &
                      coupl(nGC_8128)*dl4_QED4 + coupl(nGC_8129)*dl1_QED4 +    &
                      coupl(nGC_8130)*da_QED2
    coupl(nGC_23318) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_23319) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_9017) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(  &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_1559)*&
                      coupl(nGC_182)*coupl(nGC_88) - coupl(nGC_177)**3d0 -     &
                      coupl(nGC_177)*coupl(nGC_180)**2d0 - coupl(nGC_177)*coupl&
                      (nGC_182)**2d0 + 8d0*coupl(nGC_177)*coupl(nGC_2)**2d0 -  &
                      coupl(nGC_177)*coupl(nGC_3063)**2d0 + 8d0*coupl(nGC_177)*&
                      coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_178)*coupl(nGC_69&
                      )*coupl(nGC_80) - coupl(nGC_181)*coupl(nGC_711)*coupl(   &
                      nGC_80) - coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_91) -   &
                      coupl(nGC_3063)*coupl(nGC_3331)*coupl(nGC_88) - coupl(   &
                      nGC_3063)*coupl(nGC_85)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_28948) = coupl(nGC_MW_GF)*dZGMinus/2d0
    coupl(nGC_17226) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_17229) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_17228) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_17913) = coupl(nGC_88)*dZtL_QCD2
    coupl(nGC_17915) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtR_QED2 +  &
                       coupl(nGC_9399)
    coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19980) = 3d0*coupl(nGC_47)*dZG0/2d0
    coupl(nGC_16514) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_17827) = coupl(nGC_68)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_16639) = -coupl(nGC_16634)
    coupl(nGC_9304) = coupl(nGC_8023)*dl3_QED4 + coupl(nGC_8024)*db_QED2 +     &
                      coupl(nGC_8025)*dl2_QED4 + coupl(nGC_8026)*dl5_QED4 +    &
                      coupl(nGC_8027)*dl4_QED4 + coupl(nGC_8028)*dl1_QED4 +    &
                      coupl(nGC_8029)*da_QED2
    coupl(nGC_8976) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145)** &
                      2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)*coupl(&
                      nGC_195) - coupl(nGC_146)*coupl(nGC_64)*coupl(nGC_80) -  &
                      coupl(nGC_148)**2d0*coupl(nGC_149) - coupl(nGC_148)*coupl&
                      (nGC_4075)*coupl(nGC_87) - coupl(nGC_148)*coupl(nGC_84)* &
                      coupl(nGC_92) - coupl(nGC_149)**3d0 - coupl(nGC_149)*    &
                      coupl(nGC_152)**2d0 + 8d0*coupl(nGC_149)*coupl(nGC_84)*  &
                      coupl(nGC_87) - coupl(nGC_150)*coupl(nGC_195)*coupl(     &
                      nGC_196) - coupl(nGC_150)*coupl(nGC_663)*coupl(nGC_80) - &
                      coupl(nGC_152)*coupl(nGC_3331)*coupl(nGC_87) - coupl(    &
                      nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_13543) = coupl(nGC_23)*dZGMinus
    coupl(nGC_8806) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*coupl(&
                      nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)*coupl(   &
                      nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_86)**2d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_8771) = (-2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) - 2d0&
                      *Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) - 2d0*Nc* &
                      coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) - 2d0*Nc*coupl&
                      (nGC_1)*coupl(nGC_170)*coupl(nGC_174) - 2d0*Nc*coupl(    &
                      nGC_1)*coupl(nGC_178)*coupl(nGC_181) - 2d0*Nc*coupl(nGC_1&
                      )*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*coupl(nGC_131)* &
                      coupl(nGC_134)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_138)*coupl&
                      (nGC_142)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_170)*coupl(     &
                      nGC_174)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_178)*coupl(     &
                      nGC_181)*coupl(nGC_2) + 2d0*Nc*coupl(nGC_193)*coupl(     &
                      nGC_196)*coupl(nGC_2) - 2d0*coupl(nGC_154)*coupl(nGC_158 &
                      )*coupl(nGC_4) - 2d0*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                      nGC_4) - 2d0*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_4   &
                      ) - 3d0*coupl(nGC_63)*coupl(nGC_643)*coupl(nGC_69) - 3d0*&
                      coupl(nGC_64)*coupl(nGC_643)*coupl(nGC_69))/(48d0*pi**2d0&
                      )
    coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9354) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dl2_QED4 + coupl(&
                      nGC_367)*dl3_QED4 + coupl(nGC_369)*dl5_QED4 + coupl(     &
                      nGC_371)*dl4_QED4 + coupl(nGC_373)*dl1_QED4 + coupl(     &
                      nGC_375)*dvev1_QED1 + coupl(nGC_377)*dvev2_QED1 + coupl( &
                      nGC_379)*da_QED2
    coupl(nGC_9321) = coupl(nGC_7939)*dl3_QED4 + coupl(nGC_7940)*db_QED2 +     &
                      coupl(nGC_7941)*dl2_QED4 + coupl(nGC_7942)*dl5_QED4 +    &
                      coupl(nGC_7943)*dl4_QED4 + coupl(nGC_7944)*dl1_QED4 +    &
                      coupl(nGC_7945)*da_QED2
    coupl(nGC_8989) = (-coupl(nGC_1151)*coupl(nGC_178)*coupl(nGC_80) - coupl(  &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(nGC_137)* &
                      coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**2d0*coupl&
                      (nGC_180) - coupl(nGC_179)**2d0*coupl(nGC_180) - coupl(  &
                      nGC_179)*coupl(nGC_4075)*coupl(nGC_85) - coupl(nGC_179)* &
                      coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_180)**3d0 - coupl&
                      (nGC_180)*coupl(nGC_183)**2d0 + 8d0*coupl(nGC_180)*coupl(&
                      nGC_2)**2d0 + 8d0*coupl(nGC_180)*coupl(nGC_85)*coupl(    &
                      nGC_88) - coupl(nGC_181)*coupl(nGC_69)*coupl(nGC_80) -   &
                      coupl(nGC_183)*coupl(nGC_3331)*coupl(nGC_85) - coupl(    &
                      nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_8988) = (-coupl(nGC_1285)*coupl(nGC_181)*coupl(nGC_80) - coupl(  &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(nGC_137)* &
                      coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**2d0*coupl&
                      (nGC_180) - coupl(nGC_178)*coupl(nGC_63)*coupl(nGC_80) - &
                      coupl(nGC_180)**3d0 - coupl(nGC_180)*coupl(nGC_182)**2d0 &
                       + 8d0*coupl(nGC_180)*coupl(nGC_2)**2d0 - coupl(nGC_180)*&
                      coupl(nGC_3063)**2d0 + 8d0*coupl(nGC_180)*coupl(nGC_85)* &
                      coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_3331)*coupl(    &
                      nGC_88) - coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_94) -   &
                      coupl(nGC_3063)*coupl(nGC_4075)*coupl(nGC_88) - coupl(   &
                      nGC_3063)*coupl(nGC_85)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_9353) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dl2_QED4 + coupl(&
                      nGC_347)*dl3_QED4 + coupl(nGC_349)*dl5_QED4 + coupl(     &
                      nGC_351)*dl4_QED4 + coupl(nGC_353)*dl1_QED4 + coupl(     &
                      nGC_355)*dvev1_QED1 + coupl(nGC_357)*dvev2_QED1 + coupl( &
                      nGC_359)*da_QED2
    coupl(nGC_8987) = coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_13735) = coupl(nGC_11)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_13)*      &
                       dZHhHl_QED2/2d0 + coupl(nGC_9)*dZHh_QED2/2d0 + 3d0*coupl&
                       (nGC_9)*dZHl_QED2/2d0 + coupl(nGC_9324)
    coupl(nGC_19350) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZuR_QED2 +  &
                       coupl(nGC_9399)
    coupl(nGC_13444) = coupl(nGC_150)*dZGMinus/2d0
    coupl(nGC_9053) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*coupl&
                      (nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*coupl(     &
                      nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_86) +  &
                      4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*coupl(nGC_80)**&
                      2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_90  &
                      ) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_12860) = coupl(nGC_12851) + coupl(nGC_12859)
    coupl(nGC_12861) = coupl(nGC_12852) + coupl(nGC_9643)
    coupl(nGC_13029) = coupl(nGC_27)*dZGMinus/2d0
    coupl(nGC_13020) = coupl(nGC_40)*dZGMinus/2d0
    coupl(nGC_9425) = coupl(nGC_8602)*db_QED2 + coupl(nGC_8603)*dyt1_QED3 +    &
                      coupl(nGC_8604)*dyt2_QED3
    coupl(nGC_9356) = coupl(nGC_8588)*dl4_QED4 + coupl(nGC_8589)*dl5_QED4 +    &
                      coupl(nGC_8590)*db_QED2 + coupl(nGC_8591)*dvev1_QED1 +   &
                      coupl(nGC_8592)*dvev2_QED1
    coupl(nGC_8958) = coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8959) = (-coupl(nGC_184)**2d0*coupl(nGC_187) + coupl(nGC_184)*   &
                      coupl(nGC_3331)*coupl(nGC_86) + coupl(nGC_184)*coupl(    &
                      nGC_89)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_72)*    &
                      coupl(nGC_80) - coupl(nGC_186)**2d0*coupl(nGC_187) + 8d0*&
                      coupl(nGC_186)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_186)*   &
                      coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_187)*coupl(      &
                      nGC_188)**2d0 - coupl(nGC_187)*coupl(nGC_190)**2d0 +     &
                      coupl(nGC_188)*coupl(nGC_4075)*coupl(nGC_86) + coupl(    &
                      nGC_188)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
    coupl(nGC_8954) = coupl(nGC_171)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8955) = (-coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_181) - coupl(  &
                      nGC_142)*coupl(nGC_144)*coupl(nGC_178) - coupl(nGC_177)**&
                      2d0*coupl(nGC_179) - coupl(nGC_177)*coupl(nGC_3331)*coupl&
                      (nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(nGC_94) -  &
                      coupl(nGC_178)*coupl(nGC_72)*coupl(nGC_80) - coupl(      &
                      nGC_179)*coupl(nGC_180)**2d0 - coupl(nGC_179)*coupl(     &
                      nGC_182)**2d0 - coupl(nGC_179)*coupl(nGC_3063)**2d0 -    &
                      coupl(nGC_180)*coupl(nGC_4075)*coupl(nGC_85) - coupl(    &
                      nGC_180)*coupl(nGC_88)*coupl(nGC_92) + 8d0*coupl(nGC_2)**&
                      2d0*coupl(nGC_3063) + 8d0*coupl(nGC_3063)*coupl(nGC_85)* &
                      coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_12882) = coupl(nGC_7)*dZcR_QED2
    coupl(nGC_8957) = (-coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_181) - coupl(  &
                      nGC_142)*coupl(nGC_143)*coupl(nGC_178) - coupl(nGC_177)**&
                      2d0*coupl(nGC_3063) - coupl(nGC_177)*coupl(nGC_3331)*    &
                      coupl(nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_94&
                      ) - coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_879) - coupl( &
                      nGC_179)**2d0*coupl(nGC_3063) + 8d0*coupl(nGC_179)*coupl(&
                      nGC_2)**2d0 + 8d0*coupl(nGC_179)*coupl(nGC_85)*coupl(    &
                      nGC_88) - coupl(nGC_180)**2d0*coupl(nGC_3063) - coupl(   &
                      nGC_180)*coupl(nGC_4075)*coupl(nGC_88) - coupl(nGC_180)* &
                      coupl(nGC_85)*coupl(nGC_92) - coupl(nGC_183)**2d0*coupl( &
                      nGC_3063))/(32d0*pi**2d0)
    coupl(nGC_8950) = (-coupl(nGC_161)**2d0*coupl(nGC_163) + coupl(nGC_161)*   &
                      coupl(nGC_3331)*coupl(nGC_89) + coupl(nGC_161)*coupl(    &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_162)*coupl(nGC_80)*    &
                      coupl(nGC_879) - coupl(nGC_163)*coupl(nGC_164)**2d0 -    &
                      coupl(nGC_163)*coupl(nGC_165)**2d0 - coupl(nGC_163)*coupl&
                      (nGC_168)**2d0 + 8d0*coupl(nGC_164)*coupl(nGC_4)**2d0 +  &
                      8d0*coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_89) + coupl(  &
                      nGC_165)*coupl(nGC_4075)*coupl(nGC_89) + coupl(nGC_165)* &
                      coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_13205) = coupl(nGC_65)*dZGMinus/2d0
    coupl(nGC_9421) = coupl(nGC_8451)*db_QED2 + coupl(nGC_8452)*dyc1_QED3 +    &
                      coupl(nGC_8453)*dyc2_QED3
    coupl(nGC_9420) = coupl(nGC_8367)*dyup1_QED1_QCD2 + coupl(nGC_8368)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_8824) = coupl(nGC_138)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8797) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*coupl(&
                      nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)*coupl(   &
                      nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_86)**2d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_8826) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8828) = coupl(nGC_134)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8798) = (coupl(nGC_161)**2d0*coupl(nGC_4) + coupl(nGC_163)*coupl(&
                      nGC_164)*coupl(nGC_4) + coupl(nGC_165)**2d0*coupl(nGC_4  &
                      ) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4) - 4d0*    &
                      coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4)**3d0  &
                       + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8799) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0* &
                      coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9372) = coupl(nGC_8323)*dsw_QED2 + coupl(nGC_8324)*dZee_QED2
    coupl(nGC_9371) = coupl(nGC_8339)*dsw_QED2 + coupl(nGC_8340)*db_QED2 +     &
                      coupl(nGC_8341)*dZee_QED2 + coupl(nGC_8342)*da_QED2
    coupl(nGC_9370) = coupl(nGC_8406)*dsw_QED2 + coupl(nGC_8407)*dZee_QED2
    coupl(nGC_9377) = coupl(nGC_8608)*dcw_QED2 + coupl(nGC_8609)*db_QED2 +     &
                      coupl(nGC_8610)*dsw_QED2 + coupl(nGC_8611)*dZee_QED2 +   &
                      coupl(nGC_8612)*da_QED2
    coupl(nGC_9376) = coupl(nGC_8706)*dsw_QED2 + coupl(nGC_8707)*dcw_QED2 +    &
                      coupl(nGC_8708)*dZee_QED2
    coupl(nGC_9375) = coupl(nGC_8183)*dsw_QED2 + coupl(nGC_8184)*dvev2_QED1 +  &
                      coupl(nGC_8185)*dvev1_QED1 + coupl(nGC_8186)*dZee_QED2 + &
                      coupl(nGC_8187)*da_QED2
    coupl(nGC_9374) = coupl(nGC_8240)*dsw_QED2 + coupl(nGC_8241)*dvev2_QED1 +  &
                      coupl(nGC_8242)*dvev1_QED1 + coupl(nGC_8243)*dZee_QED2 + &
                      coupl(nGC_8244)*da_QED2
    coupl(nGC_9379) = coupl(nGC_8664)*dsw_QED2 + coupl(nGC_8665)*dcw_QED2 +    &
                      coupl(nGC_8666)*dZee_QED2
    coupl(nGC_9378) = coupl(nGC_8545)*dcw_QED2 + coupl(nGC_8546)*db_QED2 +     &
                      coupl(nGC_8547)*dsw_QED2 + coupl(nGC_8548)*dZee_QED2 +   &
                      coupl(nGC_8549)*da_QED2
    coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12643) = coupl(nGC_49)*dZGMinus/2d0
    coupl(nGC_12640) = coupl(nGC_40)*dZG0Ha_QED2/2d0 + coupl(nGC_40)*          &
                       dZHlHh_QED2/2d0 + coupl(nGC_48)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_48)*dZHa_QED2/2d0 + coupl(nGC_48)*dZHh_QED2/  &
                       2d0 + coupl(nGC_9316)
    coupl(nGC_12646) = coupl(nGC_41)*dZG0Ha_QED2/2d0 + coupl(nGC_41)*          &
                       dZHlHh_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_49)*dZHa_QED2/2d0 + coupl(nGC_49)*dZHh_QED2/  &
                       2d0 + coupl(nGC_9315)
    coupl(nGC_12647) = coupl(nGC_64)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_16187) = coupl(nGC_170)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_174)*&
                       dZcL_QED2/2d0 + coupl(nGC_174)*dZsR_QED2/2d0 + coupl(   &
                       nGC_9412)
    coupl(nGC_16186) = coupl(nGC_131)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_134)*&
                       dZcR_QED2/2d0 + coupl(nGC_134)*dZsL_QED2/2d0 + coupl(   &
                       nGC_9409)
    coupl(nGC_16183) = coupl(nGC_174)*dZGMinus/2d0
    coupl(nGC_16189) = coupl(nGC_174)*dZcL_QCD2/2d0 + coupl(nGC_174)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9411)
    coupl(nGC_16188) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*dZsL_QCD2/&
                       2d0 + coupl(nGC_9410)
    coupl(nGC_15857) = coupl(nGC_7)*dZdL_QCD2
    coupl(nGC_15854) = coupl(nGC_7)*dZdR_QED2
    coupl(nGC_18936) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_18934) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_18935) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9207) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl(   &
                      nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(nGC_151 &
                      )*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176) + coupl(&
                      nGC_182)*coupl(nGC_183) + coupl(nGC_197)*coupl(nGC_198   &
                      ))/(16d0*pi**2d0*Nc)
    coupl(nGC_28951) = coupl(nGC_9656) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_9201) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)**2d0 +  &
                      80d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)*coupl(   &
                      nGC_136) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_136&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_141  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl&
                      (nGC_141)**2d0 + 20d0*Nc*cima*coupl(nGC_140)**2d0*coupl( &
                      nGC_141)**2d0 + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(  &
                      nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_145)**2d0*coupl(  &
                      nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_145)**  &
                      2d0*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**  &
                      2d0*coupl(nGC_175)**2d0 + 80d0*Nc*cima*coupl(nGC_169)**  &
                      2d0*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(  &
                      nGC_169)**2d0*coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_177)**2d0*coupl(nGC_182)**2d0 + 80d0*Nc*cima*coupl(  &
                      nGC_177)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*   &
                      cima*coupl(nGC_177)**2d0*coupl(nGC_183)**2d0 + 20d0*Nc*  &
                      cima*coupl(nGC_192)**2d0*coupl(nGC_197)**2d0 + 80d0*Nc*  &
                      cima*coupl(nGC_192)**2d0*coupl(nGC_197)*coupl(nGC_198) + &
                      20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_198)**2d0 +   &
                      6d0*cima*coupl(nGC_101)*coupl(nGC_99) - 5d0*cima*coupl(  &
                      nGC_1151)**2d0*coupl(nGC_879)**2d0 - 20d0*cima*coupl(    &
                      nGC_1151)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_879) -   &
                      10d0*cima*coupl(nGC_1285)*coupl(nGC_69)*coupl(nGC_72)*   &
                      coupl(nGC_879) + 20d0*cima*coupl(nGC_153)**2d0*coupl(    &
                      nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)**2d0*coupl(     &
                      nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_153)**2d0* &
                      coupl(nGC_160)**2d0 - 10d0*cima*coupl(nGC_1559)**2d0*    &
                      coupl(nGC_91)**2d0 - 20d0*cima*coupl(nGC_1559)*coupl(    &
                      nGC_3331)*coupl(nGC_91)*coupl(nGC_94) + 20d0*cima*coupl( &
                      nGC_161)**2d0*coupl(nGC_167)**2d0 + 80d0*cima*coupl(     &
                      nGC_161)**2d0*coupl(nGC_167)*coupl(nGC_168) + 20d0*cima* &
                      coupl(nGC_161)**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl&
                      (nGC_184)**2d0*coupl(nGC_190)**2d0 + 80d0*cima*coupl(    &
                      nGC_184)**2d0*coupl(nGC_190)*coupl(nGC_191) + 20d0*cima* &
                      coupl(nGC_184)**2d0*coupl(nGC_191)**2d0 - 10d0*cima*coupl&
                      (nGC_3331)**2d0*coupl(nGC_94)**2d0 + 12d0*cima*coupl(    &
                      nGC_61)*coupl(nGC_62) - 5d0*cima*coupl(nGC_63)**2d0*coupl&
                      (nGC_72)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(nGC_72 &
                      )**2d0 - 20d0*cima*coupl(nGC_64)*coupl(nGC_711)*coupl(   &
                      nGC_72)*coupl(nGC_879) - 10d0*cima*coupl(nGC_663)*coupl( &
                      nGC_68)*coupl(nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(   &
                      nGC_711)**2d0*coupl(nGC_879)**2d0 - 3d0*coupl(nGC_101)*  &
                      coupl(nGC_1559)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl(&
                      nGC_3331)*coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(       &
                      nGC_1559)*coupl(nGC_91) + 3d0*coupl(nGC_1151)*coupl(     &
                      nGC_43)*coupl(nGC_663) + 3d0*coupl(nGC_1151)*coupl(nGC_53&
                      )*coupl(nGC_63) - 3d0*coupl(nGC_1151)*coupl(nGC_62)*coupl&
                      (nGC_63) + 3d0*coupl(nGC_1285)*coupl(nGC_43)*coupl(      &
                      nGC_711) + 6d0*coupl(nGC_1285)*coupl(nGC_48)*coupl(nGC_72&
                      ) + 3d0*coupl(nGC_1285)*coupl(nGC_56)*coupl(nGC_69) - 3d0&
                      *coupl(nGC_1285)*coupl(nGC_62)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_13)*coupl(nGC_3331)*coupl(nGC_94) + 6d0*coupl(       &
                      nGC_1559)**2d0*coupl(nGC_39) + 6d0*coupl(nGC_1559)*coupl(&
                      nGC_25)*coupl(nGC_3331) + 6d0*coupl(nGC_1559)*coupl(     &
                      nGC_28)*coupl(nGC_3331) + 3d0*coupl(nGC_1559)*coupl(     &
                      nGC_47)*coupl(nGC_94) + 3d0*coupl(nGC_1559)*coupl(nGC_55 &
                      )*coupl(nGC_91) + 3d0*coupl(nGC_1559)*coupl(nGC_9)*coupl(&
                      nGC_94) - 3d0*coupl(nGC_1559)*coupl(nGC_91)*coupl(nGC_99 &
                      ) + 6d0*coupl(nGC_25)*coupl(nGC_91)*coupl(nGC_94) + 6d0* &
                      coupl(nGC_28)*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(   &
                      nGC_3331)**2d0*coupl(nGC_37) + 3d0*coupl(nGC_3331)*coupl(&
                      nGC_47)*coupl(nGC_91) + 3d0*coupl(nGC_3331)*coupl(nGC_59 &
                      )*coupl(nGC_94) + 3d0*coupl(nGC_3331)*coupl(nGC_9)*coupl(&
                      nGC_91) - 3d0*coupl(nGC_3331)*coupl(nGC_94)*coupl(nGC_99 &
                      ) + 6d0*coupl(nGC_35)*coupl(nGC_72)*coupl(nGC_879) + 6d0*&
                      coupl(nGC_37)*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_39)*    &
                      coupl(nGC_91)**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_63)*    &
                      coupl(nGC_68) + 3d0*coupl(nGC_43)*coupl(nGC_64)*coupl(   &
                      nGC_69) + 6d0*coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_879  &
                      ) + 6d0*coupl(nGC_49)*coupl(nGC_663)*coupl(nGC_72) + 6d0*&
                      coupl(nGC_49)*coupl(nGC_69)*coupl(nGC_879) + 3d0*coupl(  &
                      nGC_53)*coupl(nGC_64)*coupl(nGC_711) + 3d0*coupl(nGC_56)*&
                      coupl(nGC_663)*coupl(nGC_68) - 6d0*coupl(nGC_61)*coupl(  &
                      nGC_72)*coupl(nGC_879) - 3d0*coupl(nGC_62)*coupl(nGC_64)*&
                      coupl(nGC_711) - 3d0*coupl(nGC_62)*coupl(nGC_663)*coupl( &
                      nGC_68))/(96d0*pi**2d0)
    coupl(nGC_TS_GC_14_Hl) = -coupl(nGC_14)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16985) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_16984) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16986) = coupl(nGC_21)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16504) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_24309) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_14925) = coupl(nGC_166)*dZGMinus/2d0
    coupl(nGC_19929) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_18119) = coupl(nGC_101)*dZG0
    coupl(nGC_TS_GC_157_Hh) = -coupl(nGC_157)*dtHh_QED1/cMHH**2d0
    coupl(nGC_15067) = coupl(nGC_194)*dZuL_QED2/2d0 + coupl(nGC_194)*dZuR_QED2/&
                       2d0 + coupl(nGC_198)*dZG0Ha_QED2/2d0
    coupl(nGC_15065) = coupl(nGC_194)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_15064) = coupl(nGC_194)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
    coupl(nGC_15206) = dZHMinusGMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/2d0
    coupl(nGC_13692) = coupl(nGC_139)*dZG0/2d0
    coupl(nGC_19329) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_15443) = coupl(nGC_15438) + coupl(nGC_9645)
    coupl(nGC_13475) = coupl(nGC_26)*dZHlHh_QED2 + coupl(nGC_29)*dZG0Ha_QED2 + &
                       coupl(nGC_38)*dZHa_QED2 + coupl(nGC_38)*dZHh_QED2 +     &
                       coupl(nGC_9308)
    coupl(nGC_12877) = coupl(nGC_101)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_12870) = coupl(nGC_42)*dZGMinus/2d0
    coupl(nGC_12879) = coupl(nGC_7)*dZcL_QCD2
    coupl(nGC_12878) = coupl(nGC_7)*dZcL_QED2
    coupl(nGC_14550) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_12898) = coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_188)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9482)
    coupl(nGC_8961) = (-coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_193) - coupl(  &
                      nGC_147)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192)**&
                      2d0*coupl(nGC_194) - coupl(nGC_192)*coupl(nGC_3331)*coupl&
                      (nGC_85) - coupl(nGC_192)*coupl(nGC_88)*coupl(nGC_94) -  &
                      coupl(nGC_193)*coupl(nGC_72)*coupl(nGC_80) - coupl(      &
                      nGC_194)*coupl(nGC_195)**2d0 - coupl(nGC_194)*coupl(     &
                      nGC_197)**2d0 - coupl(nGC_194)*coupl(nGC_657)**2d0 -     &
                      coupl(nGC_195)*coupl(nGC_4075)*coupl(nGC_85) - coupl(    &
                      nGC_195)*coupl(nGC_88)*coupl(nGC_92) + 8d0*coupl(nGC_2)**&
                      2d0*coupl(nGC_657) + 8d0*coupl(nGC_657)*coupl(nGC_85)*   &
                      coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_8960) = (-coupl(nGC_184)**2d0*coupl(nGC_186) + coupl(nGC_184)*   &
                      coupl(nGC_3331)*coupl(nGC_89) + coupl(nGC_184)*coupl(    &
                      nGC_86)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_80)*    &
                      coupl(nGC_879) - coupl(nGC_186)*coupl(nGC_187)**2d0 -    &
                      coupl(nGC_186)*coupl(nGC_188)**2d0 - coupl(nGC_186)*coupl&
                      (nGC_191)**2d0 + 8d0*coupl(nGC_187)*coupl(nGC_4)**2d0 +  &
                      8d0*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) + coupl(  &
                      nGC_188)*coupl(nGC_4075)*coupl(nGC_89) + coupl(nGC_188)* &
                      coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8963) = (-coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_193) - coupl(  &
                      nGC_148)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192)**&
                      2d0*coupl(nGC_657) - coupl(nGC_192)*coupl(nGC_3331)*coupl&
                      (nGC_88) - coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_94) -  &
                      coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_879) - coupl(     &
                      nGC_194)**2d0*coupl(nGC_657) + 8d0*coupl(nGC_194)*coupl( &
                      nGC_2)**2d0 + 8d0*coupl(nGC_194)*coupl(nGC_85)*coupl(    &
                      nGC_88) - coupl(nGC_195)**2d0*coupl(nGC_657) - coupl(    &
                      nGC_195)*coupl(nGC_4075)*coupl(nGC_88) - coupl(nGC_195)* &
                      coupl(nGC_85)*coupl(nGC_92) - coupl(nGC_198)**2d0*coupl( &
                      nGC_657))/(32d0*pi**2d0)
    coupl(nGC_8962) = coupl(nGC_657)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_12897) = coupl(nGC_184)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8964) = coupl(nGC_194)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8967) = (24d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_141)**2d0 + 24d0*Nc&
                      *cMC*coupl(nGC_130)**2d0*coupl(nGC_133) + 24d0*Nc*cMD*   &
                      coupl(nGC_145)**2d0*coupl(nGC_149) + 24d0*Nc*cMS*coupl(  &
                      nGC_169)**2d0*coupl(nGC_173) + 24d0*Nc*cMT*coupl(nGC_177 &
                      )**2d0*coupl(nGC_180) + 24d0*Nc*cMU*coupl(nGC_192)**2d0* &
                      coupl(nGC_195) + 24d0*cME*coupl(nGC_153)**2d0*coupl(     &
                      nGC_157) + 24d0*cMM*coupl(nGC_161)**2d0*coupl(nGC_165) + &
                      24d0*cMTA*coupl(nGC_184)**2d0*coupl(nGC_188) + 4d0*cima* &
                      coupl(nGC_125)*coupl(nGC_61) + 2d0*cima*coupl(nGC_129)*  &
                      coupl(nGC_99) + coupl(nGC_108)*coupl(nGC_1151)*coupl(    &
                      nGC_68) + coupl(nGC_108)*coupl(nGC_1285)*coupl(nGC_64) + &
                      coupl(nGC_108)*coupl(nGC_63)*coupl(nGC_663) + coupl(     &
                      nGC_108)*coupl(nGC_69)*coupl(nGC_711) + coupl(nGC_109)*  &
                      coupl(nGC_1559)*coupl(nGC_94) + coupl(nGC_109)*coupl(    &
                      nGC_3331)*coupl(nGC_91) + coupl(nGC_110)*coupl(nGC_1151)*&
                      coupl(nGC_69) + coupl(nGC_110)*coupl(nGC_1285)*coupl(    &
                      nGC_63) + coupl(nGC_110)*coupl(nGC_64)*coupl(nGC_663) +  &
                      coupl(nGC_110)*coupl(nGC_68)*coupl(nGC_711) + coupl(     &
                      nGC_111)*coupl(nGC_1151)*coupl(nGC_663) + coupl(nGC_111)*&
                      coupl(nGC_1285)*coupl(nGC_711) + coupl(nGC_111)*coupl(   &
                      nGC_63)*coupl(nGC_68) + coupl(nGC_111)*coupl(nGC_64)*    &
                      coupl(nGC_69) + coupl(nGC_112)*coupl(nGC_1559)*coupl(    &
                      nGC_94) + coupl(nGC_112)*coupl(nGC_3331)*coupl(nGC_91) + &
                      coupl(nGC_113)*coupl(nGC_3331)*coupl(nGC_92) + coupl(    &
                      nGC_113)*coupl(nGC_4075)*coupl(nGC_94) + coupl(nGC_1151)*&
                      coupl(nGC_116)*coupl(nGC_63) + 2d0*coupl(nGC_1151)*coupl(&
                      nGC_119)*coupl(nGC_711) - coupl(nGC_1151)*coupl(nGC_124)*&
                      coupl(nGC_68) - coupl(nGC_1151)*coupl(nGC_124)*coupl(    &
                      nGC_69) - coupl(nGC_1151)*coupl(nGC_125)*coupl(nGC_63) + &
                      coupl(nGC_116)*coupl(nGC_64)*coupl(nGC_711) + coupl(     &
                      nGC_117)*coupl(nGC_1559)*coupl(nGC_91) + coupl(nGC_118)* &
                      coupl(nGC_1285)*coupl(nGC_69) + coupl(nGC_118)*coupl(    &
                      nGC_663)*coupl(nGC_68) + coupl(nGC_119)*coupl(nGC_1285)**&
                      2d0 + 2d0*coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_64) +   &
                      coupl(nGC_119)*coupl(nGC_663)**2d0 + coupl(nGC_119)*coupl&
                      (nGC_68)**2d0 + coupl(nGC_119)*coupl(nGC_69)**2d0 + coupl&
                      (nGC_120)*coupl(nGC_1559)*coupl(nGC_92) + 2d0*coupl(     &
                      nGC_120)*coupl(nGC_3331)*coupl(nGC_94) + coupl(nGC_120)* &
                      coupl(nGC_4075)*coupl(nGC_91) + coupl(nGC_121)*coupl(    &
                      nGC_3331)*coupl(nGC_94) - coupl(nGC_124)*coupl(nGC_1285)*&
                      coupl(nGC_63) - coupl(nGC_124)*coupl(nGC_1285)*coupl(    &
                      nGC_64) - coupl(nGC_124)*coupl(nGC_63)*coupl(nGC_663) -  &
                      coupl(nGC_124)*coupl(nGC_64)*coupl(nGC_663) - coupl(     &
                      nGC_124)*coupl(nGC_68)*coupl(nGC_711) - coupl(nGC_124)*  &
                      coupl(nGC_69)*coupl(nGC_711) - coupl(nGC_125)*coupl(     &
                      nGC_1285)*coupl(nGC_69) - coupl(nGC_125)*coupl(nGC_64)*  &
                      coupl(nGC_711) - coupl(nGC_125)*coupl(nGC_663)*coupl(    &
                      nGC_68) - coupl(nGC_128)*coupl(nGC_1559)*coupl(nGC_94) - &
                      coupl(nGC_128)*coupl(nGC_3331)*coupl(nGC_91) - coupl(    &
                      nGC_128)*coupl(nGC_3331)*coupl(nGC_92) - coupl(nGC_128)* &
                      coupl(nGC_4075)*coupl(nGC_94) - coupl(nGC_129)*coupl(    &
                      nGC_1559)*coupl(nGC_91) - coupl(nGC_129)*coupl(nGC_3331)*&
                      coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_8966) = (24d0*Nc*cMB*coupl(nGC_137)**2d0*coupl(nGC_141) + 24d0*Nc&
                      *cMC*coupl(nGC_130)*coupl(nGC_133)**2d0 + 24d0*Nc*cMD*   &
                      coupl(nGC_145)*coupl(nGC_149)**2d0 + 24d0*Nc*cMS*coupl(  &
                      nGC_169)*coupl(nGC_173)**2d0 + 24d0*Nc*cMT*coupl(nGC_177 &
                      )*coupl(nGC_180)**2d0 + 24d0*Nc*cMU*coupl(nGC_192)*coupl(&
                      nGC_195)**2d0 + 24d0*cME*coupl(nGC_153)*coupl(nGC_157)** &
                      2d0 + 24d0*cMM*coupl(nGC_161)*coupl(nGC_165)**2d0 + 24d0*&
                      cMTA*coupl(nGC_184)*coupl(nGC_188)**2d0 + 4d0*cima*coupl(&
                      nGC_124)*coupl(nGC_61) + 2d0*cima*coupl(nGC_128)*coupl(  &
                      nGC_99) + coupl(nGC_108)*coupl(nGC_1285)*coupl(nGC_69) + &
                      coupl(nGC_108)*coupl(nGC_663)*coupl(nGC_68) + coupl(     &
                      nGC_109)*coupl(nGC_3331)*coupl(nGC_94) + coupl(nGC_110)* &
                      coupl(nGC_1151)*coupl(nGC_63) + coupl(nGC_110)*coupl(    &
                      nGC_64)*coupl(nGC_711) + 2d0*coupl(nGC_111)*coupl(       &
                      nGC_1151)*coupl(nGC_711) + coupl(nGC_111)*coupl(nGC_1285 &
                      )**2d0 + 2d0*coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_64   &
                      ) + coupl(nGC_111)*coupl(nGC_663)**2d0 + coupl(nGC_111)* &
                      coupl(nGC_68)**2d0 + coupl(nGC_111)*coupl(nGC_69)**2d0 + &
                      coupl(nGC_112)*coupl(nGC_1559)*coupl(nGC_92) + 2d0*coupl(&
                      nGC_112)*coupl(nGC_3331)*coupl(nGC_94) + coupl(nGC_112)* &
                      coupl(nGC_4075)*coupl(nGC_91) + coupl(nGC_113)*coupl(    &
                      nGC_4075)*coupl(nGC_92) + coupl(nGC_1151)*coupl(nGC_116)*&
                      coupl(nGC_68) + coupl(nGC_1151)*coupl(nGC_118)*coupl(    &
                      nGC_69) + coupl(nGC_1151)*coupl(nGC_119)*coupl(nGC_1285  &
                      ) - coupl(nGC_1151)*coupl(nGC_124)*coupl(nGC_63) - coupl(&
                      nGC_1151)*coupl(nGC_125)*coupl(nGC_68) - coupl(nGC_1151)*&
                      coupl(nGC_125)*coupl(nGC_69) + coupl(nGC_116)*coupl(     &
                      nGC_1285)*coupl(nGC_64) + coupl(nGC_116)*coupl(nGC_63)*  &
                      coupl(nGC_663) + coupl(nGC_116)*coupl(nGC_69)*coupl(     &
                      nGC_711) + coupl(nGC_117)*coupl(nGC_1559)*coupl(nGC_94   &
                      ) + coupl(nGC_117)*coupl(nGC_3331)*coupl(nGC_91) + coupl(&
                      nGC_118)*coupl(nGC_1285)*coupl(nGC_63) + coupl(nGC_118)* &
                      coupl(nGC_64)*coupl(nGC_663) + coupl(nGC_118)*coupl(     &
                      nGC_68)*coupl(nGC_711) + coupl(nGC_119)*coupl(nGC_63)*   &
                      coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_64)*coupl(nGC_68&
                      ) + coupl(nGC_119)*coupl(nGC_663)*coupl(nGC_711) + coupl(&
                      nGC_120)*coupl(nGC_3331)*coupl(nGC_92) + coupl(nGC_120)* &
                      coupl(nGC_4075)*coupl(nGC_94) + coupl(nGC_121)*coupl(    &
                      nGC_3331)*coupl(nGC_92) + coupl(nGC_121)*coupl(nGC_4075)*&
                      coupl(nGC_94) - coupl(nGC_124)*coupl(nGC_1285)*coupl(    &
                      nGC_69) - coupl(nGC_124)*coupl(nGC_64)*coupl(nGC_711) -  &
                      coupl(nGC_124)*coupl(nGC_663)*coupl(nGC_68) - coupl(     &
                      nGC_125)*coupl(nGC_1285)*coupl(nGC_63) - coupl(nGC_125)* &
                      coupl(nGC_1285)*coupl(nGC_64) - coupl(nGC_125)*coupl(    &
                      nGC_63)*coupl(nGC_663) - coupl(nGC_125)*coupl(nGC_64)*   &
                      coupl(nGC_663) - coupl(nGC_125)*coupl(nGC_68)*coupl(     &
                      nGC_711) - coupl(nGC_125)*coupl(nGC_69)*coupl(nGC_711) - &
                      coupl(nGC_128)*coupl(nGC_3331)*coupl(nGC_94) - coupl(    &
                      nGC_128)*coupl(nGC_4075)*coupl(nGC_92) - coupl(nGC_129)* &
                      coupl(nGC_1559)*coupl(nGC_94) - coupl(nGC_129)*coupl(    &
                      nGC_3331)*coupl(nGC_91) - coupl(nGC_129)*coupl(nGC_3331)*&
                      coupl(nGC_92) - coupl(nGC_129)*coupl(nGC_4075)*coupl(    &
                      nGC_94))/(32d0*pi**2d0)
    coupl(nGC_18744) = coupl(nGC_187)*dZHaG0_QED2/2d0 + coupl(nGC_191)*        &
                       dZtauMinusL_QED2/2d0 + coupl(nGC_191)*dZtauMinusR_QED2/ &
                       2d0 + coupl(nGC_9476)
    coupl(nGC_13277) = coupl(nGC_43)*(2d0*dZG0 + dZGMinus)/2d0
    coupl(nGC_13271) = coupl(nGC_83)*dZAZ_QED2
    coupl(nGC_13272) = coupl(nGC_79)*dZWMinus_QED2 + coupl(nGC_79)*dZZ_QED2 +  &
                       coupl(nGC_9293)
    coupl(nGC_13273) = -coupl(nGC_13271)/2d0 + coupl(nGC_13272)
    coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
    coupl(nGC_8818) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) +   &
                      4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) + 4d0*&
                      Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) - 4d0*Nc* &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) + coupl(     &
                      nGC_1151)*coupl(nGC_72)*coupl(nGC_94) + coupl(nGC_1285)* &
                      coupl(nGC_4075)*coupl(nGC_879) + coupl(nGC_1285)*coupl(  &
                      nGC_72)*coupl(nGC_91) + 4d0*coupl(nGC_154)*coupl(nGC_158 &
                      )*coupl(nGC_86) - 4d0*coupl(nGC_154)*coupl(nGC_158)*coupl&
                      (nGC_90) + 4d0*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_86&
                      ) - 4d0*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_90) + 4d0&
                      *coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86) - 4d0*coupl(&
                      nGC_185)*coupl(nGC_189)*coupl(nGC_90) + coupl(nGC_3331)* &
                      coupl(nGC_711)*coupl(nGC_879) - 6d0*coupl(nGC_63)*coupl( &
                      nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_64)*coupl(nGC_68)* &
                      coupl(nGC_82))/(96d0*pi**2d0)
    coupl(nGC_8769) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8768) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(nGC_88&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8765) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(nGC_88&
                      ))/(8d0*pi**2d0)
    coupl(nGC_13848) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +    &
                       coupl(nGC_9289)
    coupl(nGC_8763) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(nGC_87&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8762) = cima*(-coupl(nGC_80)**2d0 - coupl(nGC_90)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_8813) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142  &
                      ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(      &
                      nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*coupl&
                      (nGC_183) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_178)*    &
                      coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*coupl(nGC_178 &
                      )*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                      nGC_181)*coupl(nGC_182) + 2d0*Nc*cMC*coupl(nGC_131)*coupl&
                      (nGC_134)*coupl(nGC_135) + 2d0*Nc*cMC*coupl(nGC_131)*    &
                      coupl(nGC_134)*coupl(nGC_136) + 2d0*Nc*cMC*coupl(nGC_131 &
                      )*coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMC*coupl(      &
                      nGC_134)*coupl(nGC_170)*coupl(nGC_176) + 2d0*Nc*cMC*coupl&
                      (nGC_135)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*    &
                      coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMD&
                      *coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_151) + 2d0*Nc*  &
                      cMD*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc&
                      *cMD*coupl(nGC_146)*coupl(nGC_196)*coupl(nGC_197) + 2d0* &
                      Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 2d0&
                      *Nc*cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) +   &
                      2d0*Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                      ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(      &
                      nGC_175) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl&
                      (nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_136)*    &
                      coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(nGC_135 &
                      )*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*coupl(      &
                      nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(nGC_170)*coupl&
                      (nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*coupl(nGC_138)*    &
                      coupl(nGC_139)*coupl(nGC_178) + 2d0*Nc*cMT*coupl(nGC_138 &
                      )*coupl(nGC_142)*coupl(nGC_182) + 2d0*Nc*cMT*coupl(      &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_183) + 2d0*Nc*cMT*coupl&
                      (nGC_140)*coupl(nGC_142)*coupl(nGC_181) + 2d0*Nc*cMT*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_182) + 2d0*Nc*cMT&
                      *coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_183) + 2d0*Nc*  &
                      cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_197) + 2d0*Nc&
                      *cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_198) + 2d0* &
                      Nc*cMU*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196) + 2d0&
                      *Nc*cMU*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193) +   &
                      2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197   &
                      ) + 2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(      &
                      nGC_198) + 2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(  &
                      nGC_159) + 2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(  &
                      nGC_160) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(  &
                      nGC_167) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(  &
                      nGC_168) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_190) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_19) + 4d0*  &
                      cima*coupl(nGC_126)*coupl(nGC_73) - coupl(nGC_102)*coupl(&
                      nGC_1559)*coupl(nGC_63) - coupl(nGC_102)*coupl(nGC_3331)*&
                      coupl(nGC_68) - coupl(nGC_102)*coupl(nGC_879)*coupl(     &
                      nGC_96) - coupl(nGC_107)*coupl(nGC_64)*coupl(nGC_94) -   &
                      coupl(nGC_107)*coupl(nGC_68)*coupl(nGC_91) + coupl(      &
                      nGC_108)*coupl(nGC_1285)*coupl(nGC_879) + coupl(nGC_109)*&
                      coupl(nGC_68)*coupl(nGC_879) + coupl(nGC_111)*coupl(     &
                      nGC_1285)*coupl(nGC_72) + coupl(nGC_111)*coupl(nGC_3331)*&
                      coupl(nGC_611) + coupl(nGC_111)*coupl(nGC_611)*coupl(    &
                      nGC_94) + coupl(nGC_112)*coupl(nGC_68)*coupl(nGC_72) +   &
                      coupl(nGC_115)*coupl(nGC_17)**2d0 + coupl(nGC_115)*coupl(&
                      nGC_72)**2d0 + coupl(nGC_115)*coupl(nGC_96)**2d0 + coupl(&
                      nGC_1151)*coupl(nGC_116)*coupl(nGC_879) + coupl(nGC_117)*&
                      coupl(nGC_64)*coupl(nGC_879) + coupl(nGC_119)*coupl(     &
                      nGC_1559)*coupl(nGC_611) + coupl(nGC_119)*coupl(nGC_611)*&
                      coupl(nGC_91) + coupl(nGC_119)*coupl(nGC_711)*coupl(     &
                      nGC_72) + coupl(nGC_120)*coupl(nGC_63)*coupl(nGC_72) -   &
                      coupl(nGC_126)*coupl(nGC_17)*coupl(nGC_879))/(32d0*pi**  &
                      2d0)
    coupl(nGC_8760) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 -  &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
    coupl(nGC_15994) = coupl(nGC_92)*dZZA_QED2/2d0
    coupl(nGC_13309) = coupl(nGC_94)*dZG0/2d0
    coupl(nGC_13300) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_13302) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
    coupl(nGC_13304) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
    coupl(nGC_9360) = coupl(nGC_8408)*dsw_QED2 + coupl(nGC_8409)*dZee_QED2
    coupl(nGC_9361) = coupl(nGC_8391)*dsw_QED2 + coupl(nGC_8392)*db_QED2 +     &
                      coupl(nGC_8393)*dZee_QED2 + coupl(nGC_8394)*da_QED2
    coupl(nGC_9362) = coupl(nGC_8359)*dsw_QED2 + coupl(nGC_8360)*db_QED2 +     &
                      coupl(nGC_8361)*dZee_QED2 + coupl(nGC_8362)*da_QED2
    coupl(nGC_9363) = coupl(nGC_8355)*dsw_QED2 + coupl(nGC_8356)*db_QED2 +     &
                      coupl(nGC_8357)*dZee_QED2 + coupl(nGC_8358)*da_QED2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
