!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_9364) = coupl(nGC_8350)*dvev2_QED1 + coupl(nGC_8351)*dsw_QED2 +  &
                      coupl(nGC_8352)*db_QED2 + coupl(nGC_8353)*dvev1_QED1 +   &
                      coupl(nGC_8354)*dZee_QED2
    coupl(nGC_9365) = coupl(nGC_8295)*dvev2_QED1 + coupl(nGC_8296)*dsw_QED2 +  &
                      coupl(nGC_8297)*db_QED2 + coupl(nGC_8298)*dvev1_QED1 +   &
                      coupl(nGC_8299)*dZee_QED2
    coupl(nGC_9366) = coupl(nGC_8389)*dsw_QED2 + coupl(nGC_8390)*dZee_QED2
    coupl(nGC_9367) = coupl(nGC_8385)*dsw_QED2 + coupl(nGC_8386)*db_QED2 +     &
                      coupl(nGC_8387)*dZee_QED2 + coupl(nGC_8388)*da_QED2
    coupl(nGC_9368) = coupl(nGC_8346)*dsw_QED2 + coupl(nGC_8347)*db_QED2 +     &
                      coupl(nGC_8348)*dZee_QED2 + coupl(nGC_8349)*da_QED2
    coupl(nGC_9369) = coupl(nGC_8378)*dsw_QED2 + coupl(nGC_8379)*db_QED2 +     &
                      coupl(nGC_8380)*dZee_QED2 + coupl(nGC_8381)*da_QED2
    coupl(nGC_12655) = coupl(nGC_16)*dZGMinus/2d0
    coupl(nGC_12651) = coupl(nGC_64)*dZHhHl_QED2/2d0 + coupl(nGC_68)*          &
                       dZHMinus_QED2/2d0 + coupl(nGC_68)*dZHl_QED2/2d0 + coupl(&
                       nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9369)
    coupl(nGC_8956) = coupl(nGC_3063)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_12652) = -coupl(nGC_12647) + coupl(nGC_12651)
    coupl(nGC_12883) = coupl(nGC_7)*dZcR_QCD2
    coupl(nGC_8951) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_172) - coupl(nGC_131)*  &
                      coupl(nGC_132)*coupl(nGC_170) - coupl(nGC_132)*coupl(    &
                      nGC_134)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(     &
                      nGC_171) - coupl(nGC_169)*coupl(nGC_3331)*coupl(nGC_84   &
                      ) - coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_94) - coupl(  &
                      nGC_170)*coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_171)*   &
                      coupl(nGC_172)**2d0 - coupl(nGC_171)*coupl(nGC_173)**2d0 &
                       - coupl(nGC_171)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_172&
                      )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_173)*coupl(    &
                      nGC_4075)*coupl(nGC_84) - coupl(nGC_173)*coupl(nGC_87)*  &
                      coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8952) = coupl(nGC_172)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_15842) = coupl(nGC_91)*dZG0Ha_QED2/2d0 + coupl(nGC_92)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9377) + coupl(nGC_94)*      &
                       dZHa_QED2/2d0 + coupl(nGC_94)*dZHl_QED2/2d0 + coupl(    &
                       nGC_94)*dZZ_QED2/2d0
    coupl(nGC_9184) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(  &
                      nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                      coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174) + &
                      20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170 &
                      )*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                      (nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_137)** &
                      2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(  &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl(nGC_180) +  &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_180 &
                      )*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc*cima*coupl(nGC_146&
                      )*coupl(nGC_149)**2d0*coupl(nGC_150) + 20d0*Nc*cima*coupl&
                      (nGC_146)*coupl(nGC_149)*coupl(nGC_195)*coupl(nGC_196) + &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_195 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_193)*&
                      coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_149)*coupl(      &
                      nGC_150)*coupl(nGC_193)*coupl(nGC_195) + 20d0*Nc*cima*   &
                      coupl(nGC_170)*coupl(nGC_173)**2d0*coupl(nGC_174) + 20d0*&
                      Nc*cima*coupl(nGC_178)*coupl(nGC_180)**2d0*coupl(nGC_181 &
                      ) + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)**2d0*coupl&
                      (nGC_196) + 24d0*cima*coupl(nGC_15)*coupl(nGC_16) + 20d0*&
                      cima*coupl(nGC_154)*coupl(nGC_157)**2d0*coupl(nGC_158) + &
                      20d0*cima*coupl(nGC_162)*coupl(nGC_165)**2d0*coupl(      &
                      nGC_166) - 10d0*cima*coupl(nGC_17)**2d0*coupl(nGC_663)*  &
                      coupl(nGC_711) + 20d0*cima*coupl(nGC_185)*coupl(nGC_188  &
                      )**2d0*coupl(nGC_189) - 5d0*cima*coupl(nGC_3331)*coupl(  &
                      nGC_611)*coupl(nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(  &
                      nGC_3331)*coupl(nGC_72)*coupl(nGC_879)*coupl(nGC_92) -   &
                      5d0*cima*coupl(nGC_4075)*coupl(nGC_663)*coupl(nGC_72)*   &
                      coupl(nGC_96) - 5d0*cima*coupl(nGC_611)*coupl(nGC_69)*   &
                      coupl(nGC_879)*coupl(nGC_92) - 10d0*cima*coupl(nGC_63)*  &
                      coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_711) - 10d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_69  &
                      ) - 10d0*cima*coupl(nGC_64)**2d0*coupl(nGC_69)*coupl(    &
                      nGC_711) - 10d0*cima*coupl(nGC_64)*coupl(nGC_663)*coupl( &
                      nGC_68)*coupl(nGC_69) + 24d0*cima*coupl(nGC_66)*coupl(   &
                      nGC_70) - 10d0*cima*coupl(nGC_663)*coupl(nGC_711)*coupl( &
                      nGC_96)**2d0 - 5d0*cima*coupl(nGC_711)*coupl(nGC_879)*   &
                      coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_10)*coupl(   &
                      nGC_1151)*coupl(nGC_711) + 3d0*coupl(nGC_10)*coupl(      &
                      nGC_663)**2d0 + 3d0*coupl(nGC_1151)*coupl(nGC_1285)*coupl&
                      (nGC_60) + 3d0*coupl(nGC_1151)*coupl(nGC_13)*coupl(      &
                      nGC_663) + 3d0*coupl(nGC_1151)*coupl(nGC_44)*coupl(nGC_63&
                      ) + 3d0*coupl(nGC_12)*coupl(nGC_663)*coupl(nGC_711) + 3d0&
                      *coupl(nGC_1285)*coupl(nGC_45)*coupl(nGC_69) - 6d0*coupl(&
                      nGC_15)*coupl(nGC_3331)*coupl(nGC_72) - 6d0*coupl(nGC_15 &
                      )*coupl(nGC_663)*coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl(&
                      nGC_711)*coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_879 &
                      )*coupl(nGC_92) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_27) - &
                      6d0*coupl(nGC_17)*coupl(nGC_66)*coupl(nGC_663) - 6d0*    &
                      coupl(nGC_17)*coupl(nGC_70)*coupl(nGC_711) + 6d0*coupl(  &
                      nGC_22)*coupl(nGC_64)*coupl(nGC_711) + 6d0*coupl(nGC_23)*&
                      coupl(nGC_663)*coupl(nGC_69) + 6d0*coupl(nGC_27)*coupl(  &
                      nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_27)*coupl(nGC_68)* &
                      coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_96)**2d0 +   &
                      3d0*coupl(nGC_29)*coupl(nGC_72)*coupl(nGC_879) + 6d0*    &
                      coupl(nGC_32)*coupl(nGC_63)*coupl(nGC_663) + 6d0*coupl(  &
                      nGC_3331)*coupl(nGC_41)*coupl(nGC_611) + 3d0*coupl(      &
                      nGC_3331)*coupl(nGC_43)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_3331)*coupl(nGC_58)*coupl(nGC_92) + 6d0*coupl(nGC_34 &
                      )*coupl(nGC_69)*coupl(nGC_711) + 6d0*coupl(nGC_36)*coupl(&
                      nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_64)* &
                      coupl(nGC_69) + 3d0*coupl(nGC_4075)*coupl(nGC_42)*coupl( &
                      nGC_92) + 6d0*coupl(nGC_4075)*coupl(nGC_49)*coupl(nGC_611&
                      ) + 3d0*coupl(nGC_4075)*coupl(nGC_58)*coupl(nGC_94) + 6d0&
                      *coupl(nGC_41)*coupl(nGC_611)*coupl(nGC_94) + 6d0*coupl( &
                      nGC_41)*coupl(nGC_68)*coupl(nGC_879) + 3d0*coupl(nGC_44)*&
                      coupl(nGC_64)*coupl(nGC_711) + 3d0*coupl(nGC_45)*coupl(  &
                      nGC_663)*coupl(nGC_68) + 6d0*coupl(nGC_49)*coupl(nGC_611 &
                      )*coupl(nGC_92) + 6d0*coupl(nGC_49)*coupl(nGC_64)*coupl( &
                      nGC_72) + 3d0*coupl(nGC_57)*coupl(nGC_63)*coupl(nGC_69   &
                      ) + 3d0*coupl(nGC_57)*coupl(nGC_663)*coupl(nGC_711) + 3d0&
                      *coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_68) - 3d0*coupl(  &
                      nGC_61)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl(nGC_61)* &
                      coupl(nGC_64)*coupl(nGC_69))/(96d0*pi**2d0)
    coupl(nGC_9185) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_133&
                      )*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                      coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174) +  &
                      20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169 &
                      )*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)*coupl(    &
                      nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*cima*   &
                      coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl(      &
                      nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*   &
                      coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_177 &
                      )*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(      &
                      nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*   &
                      coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_195 &
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl(      &
                      nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*   &
                      coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195) +  &
                      10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_192 &
                      )*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl(      &
                      nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*   &
                      coupl(nGC_195)*coupl(nGC_196) - 5d0*cima*coupl(nGC_1151)*&
                      coupl(nGC_17)**2d0*coupl(nGC_711) - 5d0*cima*coupl(      &
                      nGC_1151)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 5d0&
                      *cima*coupl(nGC_1151)*coupl(nGC_64)*coupl(nGC_68)*coupl( &
                      nGC_69) - 5d0*cima*coupl(nGC_1151)*coupl(nGC_711)*coupl( &
                      nGC_96)**2d0 + 12d0*cima*coupl(nGC_14)*coupl(nGC_15) +   &
                      20d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_157)*  &
                      coupl(nGC_158) - 5d0*cima*coupl(nGC_1559)*coupl(nGC_72)* &
                      coupl(nGC_879)*coupl(nGC_92) + 12d0*cima*coupl(nGC_16)** &
                      2d0 + 20d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(     &
                      nGC_165)*coupl(nGC_166) - 5d0*cima*coupl(nGC_17)**2d0*   &
                      coupl(nGC_663)**2d0 + 20d0*cima*coupl(nGC_184)*coupl(    &
                      nGC_185)*coupl(nGC_188)*coupl(nGC_189) - 5d0*cima*coupl( &
                      nGC_3331)*coupl(nGC_611)*coupl(nGC_69)*coupl(nGC_72) -   &
                      5d0*cima*coupl(nGC_3331)*coupl(nGC_663)*coupl(nGC_72)*   &
                      coupl(nGC_96) - 5d0*cima*coupl(nGC_3331)*coupl(nGC_72)*  &
                      coupl(nGC_879)*coupl(nGC_94) - 5d0*cima*coupl(nGC_611)*  &
                      coupl(nGC_64)*coupl(nGC_879)*coupl(nGC_92) - 5d0*cima*   &
                      coupl(nGC_63)**2d0*coupl(nGC_663)*coupl(nGC_69) - 10d0*  &
                      cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_663)*coupl(   &
                      nGC_69) - 5d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                      nGC_69)*coupl(nGC_711) - 5d0*cima*coupl(nGC_64)**2d0*    &
                      coupl(nGC_663)*coupl(nGC_69) - 5d0*cima*coupl(nGC_64)*   &
                      coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_711) + 12d0*cima*  &
                      coupl(nGC_65)*coupl(nGC_66) - 5d0*cima*coupl(nGC_663)**  &
                      2d0*coupl(nGC_96)**2d0 + 12d0*cima*coupl(nGC_70)**2d0 -  &
                      5d0*cima*coupl(nGC_711)*coupl(nGC_879)*coupl(nGC_91)*    &
                      coupl(nGC_96) + 3d0*coupl(nGC_10)*coupl(nGC_663)*coupl(  &
                      nGC_711) + 3d0*coupl(nGC_1151)*coupl(nGC_13)*coupl(      &
                      nGC_711) - 3d0*coupl(nGC_1151)*coupl(nGC_15)*coupl(nGC_96&
                      ) - 3d0*coupl(nGC_1151)*coupl(nGC_17)*coupl(nGC_66) + 3d0&
                      *coupl(nGC_1151)*coupl(nGC_23)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_1151)*coupl(nGC_32)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1151)*coupl(nGC_44)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1151)*coupl(nGC_45)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1151)*coupl(nGC_57)*coupl(nGC_711) + 3d0*coupl(      &
                      nGC_1151)*coupl(nGC_60)*coupl(nGC_711) + 3d0*coupl(      &
                      nGC_1151)*coupl(nGC_663)*coupl(nGC_9) + 3d0*coupl(nGC_13 &
                      )*coupl(nGC_663)**2d0 - 3d0*coupl(nGC_14)*coupl(nGC_711)*&
                      coupl(nGC_96) - 3d0*coupl(nGC_14)*coupl(nGC_879)*coupl(  &
                      nGC_92) - 3d0*coupl(nGC_15)*coupl(nGC_1559)*coupl(nGC_72 &
                      ) + 3d0*coupl(nGC_1559)*coupl(nGC_41)*coupl(nGC_611) +   &
                      3d0*coupl(nGC_1559)*coupl(nGC_43)*coupl(nGC_94) + 3d0*   &
                      coupl(nGC_1559)*coupl(nGC_58)*coupl(nGC_92) - 3d0*coupl( &
                      nGC_16)*coupl(nGC_3331)*coupl(nGC_72) - 6d0*coupl(nGC_16 &
                      )*coupl(nGC_663)*coupl(nGC_96) - 3d0*coupl(nGC_16)*coupl(&
                      nGC_879)*coupl(nGC_94) + 3d0*coupl(nGC_17)**2d0*coupl(   &
                      nGC_36) - 3d0*coupl(nGC_17)*coupl(nGC_65)*coupl(nGC_711  &
                      ) - 6d0*coupl(nGC_17)*coupl(nGC_663)*coupl(nGC_70) + 3d0*&
                      coupl(nGC_22)*coupl(nGC_64)*coupl(nGC_663) + 3d0*coupl(  &
                      nGC_22)*coupl(nGC_69)*coupl(nGC_711) + 3d0*coupl(nGC_23)*&
                      coupl(nGC_63)*coupl(nGC_663) + 3d0*coupl(nGC_24)*coupl(  &
                      nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl(nGC_64)* &
                      coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(   &
                      nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_69   &
                      ) + 3d0*coupl(nGC_30)*coupl(nGC_64)*coupl(nGC_711) + 3d0*&
                      coupl(nGC_3331)*coupl(nGC_42)*coupl(nGC_92) + 3d0*coupl( &
                      nGC_3331)*coupl(nGC_48)*coupl(nGC_611) + 3d0*coupl(      &
                      nGC_3331)*coupl(nGC_49)*coupl(nGC_611) + 3d0*coupl(      &
                      nGC_3331)*coupl(nGC_58)*coupl(nGC_94) + 3d0*coupl(nGC_34 &
                      )*coupl(nGC_663)*coupl(nGC_69) + 3d0*coupl(nGC_35)*coupl(&
                      nGC_663)*coupl(nGC_69) + 6d0*coupl(nGC_36)*coupl(nGC_63)*&
                      coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(nGC_68)*coupl(   &
                      nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_96)**2d0 + 3d0*    &
                      coupl(nGC_37)*coupl(nGC_72)*coupl(nGC_879) + 3d0*coupl(  &
                      nGC_4075)*coupl(nGC_41)*coupl(nGC_611) + 3d0*coupl(nGC_41&
                      )*coupl(nGC_611)*coupl(nGC_91) + 3d0*coupl(nGC_41)*coupl(&
                      nGC_611)*coupl(nGC_92) + 3d0*coupl(nGC_41)*coupl(nGC_63)*&
                      coupl(nGC_879) + 3d0*coupl(nGC_41)*coupl(nGC_64)*coupl(  &
                      nGC_72) + 3d0*coupl(nGC_44)*coupl(nGC_68)*coupl(nGC_711  &
                      ) + 3d0*coupl(nGC_45)*coupl(nGC_69)*coupl(nGC_711) + 3d0*&
                      coupl(nGC_48)*coupl(nGC_611)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_48)*coupl(nGC_68)*coupl(nGC_879) + 3d0*coupl(nGC_49)*&
                      coupl(nGC_611)*coupl(nGC_94) + 3d0*coupl(nGC_49)*coupl(  &
                      nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_57)*coupl(nGC_69)**&
                      2d0 + 3d0*coupl(nGC_60)*coupl(nGC_68)**2d0)/(96d0*pi**2d0&
                      )
    coupl(nGC_9186) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(  &
                      nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_170&
                      )*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl( &
                      nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138&
                      )*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*&
                      cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_178)*coupl(   &
                      nGC_181) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*   &
                      coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150) + 20d0*Nc*   &
                      cima*coupl(nGC_145)**2d0*coupl(nGC_193)*coupl(nGC_196) + &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_192 &
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_150)*coupl(nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)**2d0 + 20d0*&
                      Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_170)*coupl(nGC_174 &
                      ) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_178)*coupl&
                      (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(      &
                      nGC_193)*coupl(nGC_196) - 10d0*cima*coupl(nGC_1151)*coupl&
                      (nGC_17)**2d0*coupl(nGC_663) - 5d0*cima*coupl(nGC_1151)* &
                      coupl(nGC_3331)*coupl(nGC_72)*coupl(nGC_96) - 10d0*cima* &
                      coupl(nGC_1151)*coupl(nGC_63)**2d0*coupl(nGC_69) - 10d0* &
                      cima*coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                      nGC_69) - 10d0*cima*coupl(nGC_1151)*coupl(nGC_663)*coupl(&
                      nGC_96)**2d0 + 24d0*cima*coupl(nGC_14)*coupl(nGC_16) +   &
                      20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_154)*coupl(      &
                      nGC_158) - 5d0*cima*coupl(nGC_1559)*coupl(nGC_611)*coupl(&
                      nGC_69)*coupl(nGC_72) - 10d0*cima*coupl(nGC_1559)*coupl( &
                      nGC_72)*coupl(nGC_879)*coupl(nGC_94) + 20d0*cima*coupl(  &
                      nGC_161)**2d0*coupl(nGC_162)*coupl(nGC_166) + 20d0*cima* &
                      coupl(nGC_184)**2d0*coupl(nGC_185)*coupl(nGC_189) - 5d0* &
                      cima*coupl(nGC_611)*coupl(nGC_64)*coupl(nGC_879)*coupl(  &
                      nGC_94) - 10d0*cima*coupl(nGC_63)*coupl(nGC_663)*coupl(  &
                      nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_64)*coupl(   &
                      nGC_663)*coupl(nGC_68)*coupl(nGC_69) + 24d0*cima*coupl(  &
                      nGC_65)*coupl(nGC_70) - 5d0*cima*coupl(nGC_663)*coupl(   &
                      nGC_879)*coupl(nGC_91)*coupl(nGC_96) + 3d0*coupl(nGC_11)*&
                      coupl(nGC_1151)*coupl(nGC_663) - 6d0*coupl(nGC_1151)*    &
                      coupl(nGC_16)*coupl(nGC_96) - 6d0*coupl(nGC_1151)*coupl( &
                      nGC_17)*coupl(nGC_70) + 6d0*coupl(nGC_1151)*coupl(nGC_23 &
                      )*coupl(nGC_63) + 6d0*coupl(nGC_1151)*coupl(nGC_35)*coupl&
                      (nGC_69) + 3d0*coupl(nGC_1151)*coupl(nGC_45)*coupl(nGC_63&
                      ) + 3d0*coupl(nGC_1151)*coupl(nGC_57)*coupl(nGC_663) +   &
                      3d0*coupl(nGC_1151)*coupl(nGC_711)*coupl(nGC_9) + 3d0*   &
                      coupl(nGC_1285)*coupl(nGC_44)*coupl(nGC_69) + 3d0*coupl( &
                      nGC_1285)*coupl(nGC_60)*coupl(nGC_711) + 3d0*coupl(nGC_13&
                      )*coupl(nGC_663)*coupl(nGC_711) - 6d0*coupl(nGC_14)*coupl&
                      (nGC_663)*coupl(nGC_96) - 6d0*coupl(nGC_14)*coupl(nGC_879&
                      )*coupl(nGC_94) - 6d0*coupl(nGC_1559)*coupl(nGC_16)*coupl&
                      (nGC_72) + 3d0*coupl(nGC_1559)*coupl(nGC_43)*coupl(nGC_91&
                      ) + 6d0*coupl(nGC_1559)*coupl(nGC_48)*coupl(nGC_611) +   &
                      3d0*coupl(nGC_1559)*coupl(nGC_58)*coupl(nGC_94) + 3d0*   &
                      coupl(nGC_17)**2d0*coupl(nGC_24) - 6d0*coupl(nGC_17)*    &
                      coupl(nGC_65)*coupl(nGC_663) + 6d0*coupl(nGC_22)*coupl(  &
                      nGC_663)*coupl(nGC_69) + 6d0*coupl(nGC_24)*coupl(nGC_63)*&
                      coupl(nGC_64) + 6d0*coupl(nGC_24)*coupl(nGC_68)*coupl(   &
                      nGC_69) + 3d0*coupl(nGC_24)*coupl(nGC_96)**2d0 + 3d0*    &
                      coupl(nGC_28)*coupl(nGC_72)*coupl(nGC_879) + 6d0*coupl(  &
                      nGC_30)*coupl(nGC_64)*coupl(nGC_663) + 6d0*coupl(nGC_3331&
                      )*coupl(nGC_41)*coupl(nGC_611) + 3d0*coupl(nGC_3331)*    &
                      coupl(nGC_42)*coupl(nGC_94) + 3d0*coupl(nGC_3331)*coupl( &
                      nGC_58)*coupl(nGC_91) + 6d0*coupl(nGC_36)*coupl(nGC_63)* &
                      coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(   &
                      nGC_69) + 6d0*coupl(nGC_41)*coupl(nGC_611)*coupl(nGC_94  &
                      ) + 6d0*coupl(nGC_41)*coupl(nGC_68)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_44)*coupl(nGC_663)*coupl(nGC_68) + 3d0*coupl(  &
                      nGC_45)*coupl(nGC_64)*coupl(nGC_711) + 6d0*coupl(nGC_48)*&
                      coupl(nGC_611)*coupl(nGC_91) + 6d0*coupl(nGC_48)*coupl(  &
                      nGC_63)*coupl(nGC_879) + 3d0*coupl(nGC_57)*coupl(nGC_64)*&
                      coupl(nGC_69) + 3d0*coupl(nGC_60)*coupl(nGC_63)*coupl(   &
                      nGC_68) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_69   &
                      ) - 3d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_69) + 3d0* &
                      coupl(nGC_663)**2d0*coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16088) = -coupl(nGC_12675)
    coupl(nGC_TS_GC_38_Hh) = -coupl(nGC_38)*dtHh_QED1/cMHH**2d0
    coupl(nGC_14954) = coupl(nGC_138)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_142)*&
                       dZHMinus_QED2/2d0 + coupl(nGC_142)*dZbR_QED2/2d0 + coupl&
                       (nGC_142)*dZtL_QED2/2d0 + coupl(nGC_9427)
    coupl(nGC_14955) = coupl(nGC_178)*dZHMinus_QED2/2d0 + coupl(nGC_178)*      &
                       dZbL_QED2/2d0 + coupl(nGC_178)*dZtR_QED2/2d0 + coupl(   &
                       nGC_181)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9425)
    coupl(nGC_14956) = coupl(nGC_142)*dZbR_QCD2/2d0 + coupl(nGC_142)*dZtL_QCD2/&
                       2d0 + coupl(nGC_9428)
    coupl(nGC_14957) = coupl(nGC_178)*dZbL_QCD2/2d0 + coupl(nGC_178)*dZtR_QCD2/&
                       2d0 + coupl(nGC_9426)
    coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16155) = coupl(nGC_112)*dZG0/2d0
    coupl(nGC_14836) = coupl(nGC_194)*dZHaG0_QED2/2d0
    coupl(nGC_14834) = coupl(nGC_197)*dZG0/2d0
    coupl(nGC_8792) = coupl(nGC_2)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(&
                      32d0*pi**2d0*Nc)
    coupl(nGC_8793) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)**2d0&
                       + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) + coupl(   &
                      nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl(nGC_151)*&
                      coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_87)**2d0 +   &
                      coupl(nGC_193)**2d0*coupl(nGC_2) + coupl(nGC_196)**2d0*  &
                      coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_643)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_15056) = coupl(nGC_9657) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_15057) = coupl(nGC_TS_GC_64_Hl) + coupl(nGC_TS_GC_69_Hh)
    coupl(nGC_15053) = coupl(nGC_MMW_GF)*dZGMinus/2d0
    coupl(nGC_8796) = (coupl(nGC_153)**2d0*coupl(nGC_4) + coupl(nGC_155)*coupl(&
                      nGC_156)*coupl(nGC_4) + coupl(nGC_157)**2d0*coupl(nGC_4  &
                      ) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4) - 4d0*    &
                      coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4)**3d0  &
                       + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_15058) = coupl(nGC_197)*dZG0Ha_QED2/2d0
    coupl(nGC_8794) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)**2d0&
                       + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) + coupl(   &
                      nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl(nGC_151)*&
                      coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84)**2d0 +   &
                      coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(nGC_150)**2d0*  &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_8795) = coupl(nGC_4)*(coupl(nGC_153)**2d0 + coupl(nGC_155)*coupl(&
                      nGC_156) + coupl(nGC_157)**2d0 + coupl(nGC_159)*coupl(   &
                      nGC_160) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_86)**2d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13686) = coupl(nGC_140)*dZG0/2d0
    coupl(nGC_14491) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9478)
    coupl(nGC_14492) = coupl(nGC_14490) + coupl(nGC_14491)
    coupl(nGC_14495) = coupl(nGC_20)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_19330) = -coupl(nGC_19329)
    coupl(nGC_15301) = coupl(nGC_I)*dZG0
    coupl(nGC_13466) = 3d0*coupl(nGC_10)*dZHh_QED2/2d0 + coupl(nGC_10)*        &
                       dZHl_QED2/2d0 + coupl(nGC_12)*dZHhHl_QED2/2d0 + 3d0*    &
                       coupl(nGC_13)*dZHlHh_QED2/2d0 + coupl(nGC_9322)
    coupl(nGC_14549) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_13046) = coupl(nGC_42)*dZG0/2d0
    coupl(nGC_13041) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/&
                       2d0
    coupl(nGC_13040) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/&
                       2d0
    coupl(nGC_9513) = coupl(nGC_8481)*db_QED2 + coupl(nGC_8482)*dyup1_QED3 +   &
                      coupl(nGC_8483)*dyup2_QED3
    coupl(nGC_9512) = coupl(nGC_8484)*dyt1_QED3 + coupl(nGC_8485)*da_QED2 +    &
                      coupl(nGC_8486)*dyt2_QED3
    coupl(nGC_9511) = coupl(nGC_8484)*dyt1_QED1_QCD2 + coupl(nGC_8486)*        &
                      dyt2_QED1_QCD2
    coupl(nGC_9510) = coupl(nGC_8439)*dyc1_QED3 + coupl(nGC_8440)*dyc2_QED3 +  &
                      coupl(nGC_8441)*da_QED2
    coupl(nGC_13263) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_9516) = coupl(nGC_8491)*dyc1_QED1_QCD2 + coupl(nGC_8492)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9515) = coupl(nGC_8490)*db_QED2 + coupl(nGC_8491)*dyc1_QED3 +    &
                      coupl(nGC_8492)*dyc2_QED3
    coupl(nGC_9514) = coupl(nGC_8482)*dyup1_QED1_QCD2 + coupl(nGC_8483)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_9519) = coupl(nGC_8523)*dMW2_QED2 + coupl(nGC_8524)*dZee_QED2
    coupl(nGC_9518) = coupl(nGC_431)*dyt2_QED3 + coupl(nGC_433)*db_QED2 + coupl&
                      (nGC_435)*dyt1_QED3
    coupl(nGC_12792) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_8808) = (coupl(nGC_1)*coupl(nGC_146)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_150)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +    &
                      coupl(nGC_192)**2d0*coupl(nGC_2) + coupl(nGC_194)*coupl( &
                      nGC_2)*coupl(nGC_657) + coupl(nGC_195)**2d0*coupl(nGC_2  &
                      ) + coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2) + 4d0*    &
                      coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88)**2d0  &
                       + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8809) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_196)**2d0 + coupl(nGC_192)**2d0*coupl(nGC_2) + coupl(&
                      nGC_194)*coupl(nGC_2)*coupl(nGC_657) + coupl(nGC_195)**  &
                      2d0*coupl(nGC_2) + coupl(nGC_197)*coupl(nGC_198)*coupl(  &
                      nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl( &
                      nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8774) = (-2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80) - &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_80) -   &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_80) -   &
                      2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_80) +   &
                      4d0*cima*coupl(nGC_107)*coupl(nGC_1159) + 4d0*cima*coupl(&
                      nGC_127)*coupl(nGC_5) + 6d0*coupl(nGC_107)*coupl(nGC_643 &
                      )*coupl(nGC_82) - coupl(nGC_124)*coupl(nGC_64)*coupl(    &
                      nGC_643) - coupl(nGC_125)*coupl(nGC_643)*coupl(nGC_69) - &
                      coupl(nGC_127)*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(   &
                      nGC_127)*coupl(nGC_3)*coupl(nGC_643) - coupl(nGC_127)*   &
                      coupl(nGC_82)*coupl(nGC_96))/(32d0*pi**2d0)
    coupl(nGC_8803) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)**2d0&
                       + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) + coupl(   &
                      nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl(nGC_175)*&
                      coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84)**2d0 +   &
                      coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(nGC_174)**2d0*  &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_8800) = (coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_166)**2d0* &
                      coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8801) = (coupl(nGC_185)**2d0*coupl(nGC_4) + coupl(nGC_189)**2d0* &
                      coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8770) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) + 2d0*&
                      Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) + 2d0*Nc*  &
                      coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) + 2d0*Nc*coupl&
                      (nGC_1)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*coupl(    &
                      nGC_1)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*coupl(nGC_1&
                      )*coupl(nGC_193)*coupl(nGC_196) - 2d0*Nc*coupl(nGC_131)* &
                      coupl(nGC_134)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_138)*coupl&
                      (nGC_142)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_146)*coupl(    &
                      nGC_150)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_170)*coupl(     &
                      nGC_174)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_178)*coupl(     &
                      nGC_181)*coupl(nGC_2) - 2d0*Nc*coupl(nGC_193)*coupl(     &
                      nGC_196)*coupl(nGC_2) + 2d0*coupl(nGC_154)*coupl(nGC_158 &
                      )*coupl(nGC_4) + 2d0*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                      nGC_4) + 2d0*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_4   &
                      ) - 3d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_68) - 3d0*  &
                      coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
    coupl(nGC_8807) = (coupl(nGC_184)**2d0*coupl(nGC_4) + coupl(nGC_186)*coupl(&
                      nGC_187)*coupl(nGC_4) + coupl(nGC_188)**2d0*coupl(nGC_4  &
                      ) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4) - 4d0*    &
                      coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4)**3d0  &
                       + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8804) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +    &
                      coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl( &
                      nGC_2)*coupl(nGC_3063) + coupl(nGC_180)**2d0*coupl(nGC_2 &
                      ) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) + 4d0*    &
                      coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88)**2d0  &
                       + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8805) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(  &
                      nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(&
                      nGC_179)*coupl(nGC_2)*coupl(nGC_3063) + coupl(nGC_180)** &
                      2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(  &
                      nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl( &
                      nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_68_Hh) = -coupl(nGC_68)*dtHh_QED1/cMHH**2d0
    coupl(nGC_18649) = -coupl(nGC_16428)
    coupl(nGC_13312) = coupl(nGC_91)*dZHlHh_QED2/2d0 + coupl(nGC_92)*          &
                       dZHaG0_QED2/2d0 + coupl(nGC_9377) + coupl(nGC_94)*      &
                       dZHh_QED2/2d0 + coupl(nGC_94)*dZZ_QED2/2d0
    coupl(nGC_13314) = -coupl(nGC_13309)
    coupl(nGC_9359) = coupl(nGC_7913)*dZee_QED2
    coupl(nGC_9358) = coupl(nGC_7916)*dZee_QED2
    coupl(nGC_9429) = coupl(nGC_8430)*dydo2_QED1_QCD2 + coupl(nGC_8432)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9355) = coupl(nGC_8556)*dl3_QED4 + coupl(nGC_8557)*db_QED2 +     &
                      coupl(nGC_8558)*dl2_QED4 + coupl(nGC_8559)*dl5_QED4 +    &
                      coupl(nGC_8560)*dvev2_QED1 + coupl(nGC_8561)*dvev1_QED1  &
                       + coupl(nGC_8562)*dl1_QED4 + coupl(nGC_8563)*dl4_QED4 + &
                      coupl(nGC_8564)*da_QED2
    coupl(nGC_9357) = coupl(nGC_8613)*dl4_QED4 + coupl(nGC_8614)*dl5_QED4 +    &
                      coupl(nGC_8615)*db_QED2 + coupl(nGC_8616)*dvev1_QED1 +   &
                      coupl(nGC_8617)*dvev2_QED1
    coupl(nGC_9424) = coupl(nGC_8057)*dyd12x2_QED3 + coupl(nGC_8058)*dys2_QED3 &
                       + coupl(nGC_8059)*db_QED2
    coupl(nGC_9423) = coupl(nGC_8057)*dyd12x2_QED1_QCD2 + coupl(nGC_8058)*     &
                      dys2_QED1_QCD2
    coupl(nGC_9422) = coupl(nGC_8452)*dyc1_QED1_QCD2 + coupl(nGC_8453)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_23323) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_9352) = coupl(nGC_8140)*dl3_QED4 + coupl(nGC_8141)*dl1_QED4 +    &
                      coupl(nGC_8142)*dl2_QED4 + coupl(nGC_8143)*dl5_QED4 +    &
                      coupl(nGC_8144)*dl4_QED4 + coupl(nGC_8145)*dvev1_QED1 +  &
                      coupl(nGC_8146)*dvev2_QED1 + coupl(nGC_8147)*da_QED2
    coupl(nGC_8977) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145)** &
                      2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)*coupl(&
                      nGC_195) - coupl(nGC_146)*coupl(nGC_711)*coupl(nGC_80) - &
                      coupl(nGC_147)**2d0*coupl(nGC_149) - coupl(nGC_147)*coupl&
                      (nGC_4075)*coupl(nGC_84) - coupl(nGC_147)*coupl(nGC_87)* &
                      coupl(nGC_92) - coupl(nGC_149)**3d0 - coupl(nGC_149)*    &
                      coupl(nGC_151)**2d0 + 8d0*coupl(nGC_149)*coupl(nGC_84)*  &
                      coupl(nGC_87) - coupl(nGC_150)*coupl(nGC_195)*coupl(     &
                      nGC_196) - coupl(nGC_150)*coupl(nGC_68)*coupl(nGC_80) -  &
                      coupl(nGC_151)*coupl(nGC_3331)*coupl(nGC_84) - coupl(    &
                      nGC_151)*coupl(nGC_87)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_8974) = (-coupl(nGC_1151)*coupl(nGC_131)*coupl(nGC_80) - coupl(  &
                      nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)*coupl(     &
                      nGC_170)*coupl(nGC_173) - coupl(nGC_132)**2d0*coupl(     &
                      nGC_133) - coupl(nGC_132)*coupl(nGC_4075)*coupl(nGC_85   &
                      ) - coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) - coupl(  &
                      nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_136)**2d0 + 8d0*&
                      coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_133)*   &
                      coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)*coupl(      &
                      nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(nGC_69)*  &
                      coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_3331)*coupl(    &
                      nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8975) = coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8972) = coupl(nGC_137)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8970) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_137)** &
                      3d0 - coupl(nGC_137)*coupl(nGC_140)**2d0 - coupl(nGC_137 &
                      )*coupl(nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_143)**  &
                      2d0 + 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) -   &
                      coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(    &
                      nGC_138)*coupl(nGC_663)*coupl(nGC_80) - coupl(nGC_140)*  &
                      coupl(nGC_3331)*coupl(nGC_87) - coupl(nGC_140)*coupl(    &
                      nGC_84)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_178)*   &
                      coupl(nGC_180) - coupl(nGC_142)*coupl(nGC_64)*coupl(     &
                      nGC_80) - coupl(nGC_143)*coupl(nGC_4075)*coupl(nGC_87) - &
                      coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_92))/(32d0*pi**2d0&
                      )
    coupl(nGC_8971) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_137)** &
                      3d0 - coupl(nGC_137)*coupl(nGC_139)**2d0 - coupl(nGC_137 &
                      )*coupl(nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_144)**  &
                      2d0 + 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) -   &
                      coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(    &
                      nGC_138)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_139)*   &
                      coupl(nGC_3331)*coupl(nGC_84) - coupl(nGC_139)*coupl(    &
                      nGC_87)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_178)*   &
                      coupl(nGC_180) - coupl(nGC_142)*coupl(nGC_711)*coupl(    &
                      nGC_80) - coupl(nGC_144)*coupl(nGC_4075)*coupl(nGC_84) - &
                      coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_92))/(32d0*pi**2d0&
                      )
    coupl(nGC_8978) = coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8979) = (coupl(nGC_1285)*coupl(nGC_158)*coupl(nGC_80) - coupl(   &
                      nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)*coupl(     &
                      nGC_63)*coupl(nGC_80) - coupl(nGC_155)**2d0*coupl(nGC_157&
                      ) + coupl(nGC_155)*coupl(nGC_4075)*coupl(nGC_89) + coupl(&
                      nGC_155)*coupl(nGC_86)*coupl(nGC_92) - coupl(nGC_157)**  &
                      3d0 - coupl(nGC_157)*coupl(nGC_159)**2d0 + 8d0*coupl(    &
                      nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_157)*coupl(   &
                      nGC_86)*coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_3331)*  &
                      coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9225) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 +   &
                      coupl(nGC_142)**2d0 + coupl(nGC_146)**2d0 + coupl(nGC_170&
                      )**2d0 + coupl(nGC_178)**2d0 + coupl(nGC_193)**2d0)/(32d0&
                      *pi**2d0*Nc)
    coupl(nGC_9224) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0 -  &
                      coupl(nGC_142)**2d0 - coupl(nGC_146)**2d0 - coupl(nGC_170&
                      )**2d0 - coupl(nGC_178)**2d0 - coupl(nGC_193)**2d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_9227) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*coupl(     &
                      nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1151)*coupl(nGC_1285)*coupl(nGC_611)*    &
                      coupl(nGC_63) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_1285)*&
                      coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1151)*  &
                      coupl(nGC_1559)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*  &
                      coupl(nGC_1151)*coupl(nGC_3331)*coupl(nGC_63)*coupl(     &
                      nGC_72) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_611)*coupl( &
                      nGC_69)*coupl(nGC_711) + 4d0*cima*coupl(nGC_1151)*coupl( &
                      nGC_711)*coupl(nGC_72)*coupl(nGC_94) + 24d0*cima*coupl(  &
                      nGC_1159)*coupl(nGC_70) + 20d0*cima*coupl(nGC_153)*coupl(&
                      nGC_154)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(  &
                      nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 4d0*cima*coupl(nGC_1559)**2d0*coupl(     &
                      nGC_611)*coupl(nGC_663) + 4d0*cima*coupl(nGC_1559)*coupl(&
                      nGC_3331)*coupl(nGC_611)*coupl(nGC_711) + 24d0*cima*coupl&
                      (nGC_16)*coupl(nGC_79) + 20d0*cima*coupl(nGC_161)*coupl( &
                      nGC_162)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(  &
                      nGC_161)*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*coupl&
                      (nGC_663)*coupl(nGC_913) + 20d0*cima*coupl(nGC_184)*coupl&
                      (nGC_185)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl( &
                      nGC_184)*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 4d0*cima*coupl(nGC_3331)**2d0*coupl(     &
                      nGC_611)*coupl(nGC_663) + 4d0*cima*coupl(nGC_3331)*coupl(&
                      nGC_4075)*coupl(nGC_611)*coupl(nGC_711) + 4d0*cima*coupl(&
                      nGC_3331)*coupl(nGC_611)*coupl(nGC_879)*coupl(nGC_96) +  &
                      4d0*cima*coupl(nGC_3331)*coupl(nGC_68)*coupl(nGC_69)*    &
                      coupl(nGC_72) + 4d0*cima*coupl(nGC_4075)*coupl(nGC_63)*  &
                      coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*coupl(nGC_611)*   &
                      coupl(nGC_63)**2d0*coupl(nGC_68) + 4d0*cima*coupl(nGC_611&
                      )*coupl(nGC_68)*coupl(nGC_69)**2d0 + 4d0*cima*coupl(     &
                      nGC_611)*coupl(nGC_68)*coupl(nGC_72)**2d0 + 4d0*cima*    &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_92   &
                      ) + 9d0*cima*coupl(nGC_663)*coupl(nGC_82)*coupl(nGC_913)*&
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*    &
                      coupl(nGC_72)*coupl(nGC_94) + 9d0*cima*coupl(nGC_82)*    &
                      coupl(nGC_879)*coupl(nGC_913)*coupl(nGC_94) - 6d0*coupl( &
                      nGC_100)*coupl(nGC_663)*coupl(nGC_82) + 6d0*coupl(       &
                      nGC_1151)*coupl(nGC_14)*coupl(nGC_69) + 6d0*coupl(       &
                      nGC_1151)*coupl(nGC_16)*coupl(nGC_63) - 6d0*coupl(       &
                      nGC_1159)*coupl(nGC_17)*coupl(nGC_663) + 6d0*coupl(nGC_15&
                      )*coupl(nGC_63)*coupl(nGC_68) - 6d0*coupl(nGC_16)*coupl( &
                      nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_16)*coupl(nGC_68)*  &
                      coupl(nGC_69) + 36d0*coupl(nGC_16)*coupl(nGC_82)*coupl(  &
                      nGC_913) - 6d0*coupl(nGC_16)*coupl(nGC_82)*coupl(nGC_96  &
                      ) + 6d0*coupl(nGC_19)*coupl(nGC_3331)*coupl(nGC_611) +   &
                      6d0*coupl(nGC_19)*coupl(nGC_68)*coupl(nGC_72) - 6d0*coupl&
                      (nGC_19)*coupl(nGC_913)*coupl(nGC_94) - 6d0*coupl(nGC_3)*&
                      coupl(nGC_663)*coupl(nGC_97) - 6d0*coupl(nGC_61)*coupl(  &
                      nGC_663)*coupl(nGC_82) - 6d0*coupl(nGC_62)*coupl(nGC_663 &
                      )*coupl(nGC_913) + 36d0*coupl(nGC_643)*coupl(nGC_70)*    &
                      coupl(nGC_82) - 6d0*coupl(nGC_663)*coupl(nGC_79)*coupl(  &
                      nGC_96) - 6d0*coupl(nGC_663)*coupl(nGC_913)*coupl(nGC_99 &
                      ) - 6d0*coupl(nGC_79)*coupl(nGC_879)*coupl(nGC_94))/(    &
                      192d0*pi**2d0)
    coupl(nGC_9226) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*coupl(     &
                      nGC_133)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_149)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_173)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_195)*coupl(nGC_80)*coupl(nGC_88) +    &
                      24d0*cima*coupl(nGC_1159)*coupl(nGC_66) + 4d0*cima*coupl(&
                      nGC_1285)*coupl(nGC_611)*coupl(nGC_63)*coupl(nGC_663) +  &
                      4d0*cima*coupl(nGC_1285)*coupl(nGC_663)*coupl(nGC_72)*   &
                      coupl(nGC_92) + 24d0*cima*coupl(nGC_15)*coupl(nGC_79) +  &
                      20d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80)*   &
                      coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl(nGC_157)* &
                      coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*  &
                      coupl(nGC_157)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1559)*coupl(nGC_3331)*coupl(nGC_611)*coupl(    &
                      nGC_663) + 4d0*cima*coupl(nGC_1559)*coupl(nGC_663)*coupl(&
                      nGC_69)*coupl(nGC_72) + 20d0*cima*coupl(nGC_162)*coupl(  &
                      nGC_165)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(  &
                      nGC_162)*coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*coupl&
                      (nGC_711)*coupl(nGC_913) + 20d0*cima*coupl(nGC_185)*coupl&
                      (nGC_188)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl( &
                      nGC_185)*coupl(nGC_188)*coupl(nGC_80)*coupl(nGC_89) -    &
                      16d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80)*   &
                      coupl(nGC_90) + 4d0*cima*coupl(nGC_3331)**2d0*coupl(     &
                      nGC_611)*coupl(nGC_711) + 4d0*cima*coupl(nGC_3331)*coupl(&
                      nGC_4075)*coupl(nGC_611)*coupl(nGC_663) + 4d0*cima*coupl(&
                      nGC_3331)*coupl(nGC_63)*coupl(nGC_663)*coupl(nGC_72) +   &
                      4d0*cima*coupl(nGC_3331)*coupl(nGC_64)*coupl(nGC_69)*    &
                      coupl(nGC_72) + 4d0*cima*coupl(nGC_4075)**2d0*coupl(     &
                      nGC_611)*coupl(nGC_711) + 4d0*cima*coupl(nGC_4075)*coupl(&
                      nGC_611)*coupl(nGC_879)*coupl(nGC_96) + 4d0*cima*coupl(  &
                      nGC_4075)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_72) + 4d0&
                      *cima*coupl(nGC_611)*coupl(nGC_63)**2d0*coupl(nGC_64) +  &
                      4d0*cima*coupl(nGC_611)*coupl(nGC_64)*coupl(nGC_69)**2d0 &
                       + 4d0*cima*coupl(nGC_611)*coupl(nGC_64)*coupl(nGC_72)** &
                      2d0 + 4d0*cima*coupl(nGC_611)*coupl(nGC_663)*coupl(nGC_69&
                      )*coupl(nGC_711) + 4d0*cima*coupl(nGC_63)*coupl(nGC_64)* &
                      coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(nGC_64)*    &
                      coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*    &
                      coupl(nGC_663)*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_94 &
                      ) + 9d0*cima*coupl(nGC_711)*coupl(nGC_82)*coupl(nGC_913)*&
                      coupl(nGC_96) + 9d0*cima*coupl(nGC_82)*coupl(nGC_879)*   &
                      coupl(nGC_913)*coupl(nGC_92) - 6d0*coupl(nGC_100)*coupl( &
                      nGC_711)*coupl(nGC_82) - 6d0*coupl(nGC_1159)*coupl(nGC_17&
                      )*coupl(nGC_711) + 6d0*coupl(nGC_14)*coupl(nGC_663)*coupl&
                      (nGC_69) - 6d0*coupl(nGC_15)*coupl(nGC_17)*coupl(nGC_3   &
                      ) + 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_64) + 36d0*&
                      coupl(nGC_15)*coupl(nGC_82)*coupl(nGC_913) - 6d0*coupl(  &
                      nGC_15)*coupl(nGC_82)*coupl(nGC_96) + 6d0*coupl(nGC_16)* &
                      coupl(nGC_63)*coupl(nGC_663) + 6d0*coupl(nGC_16)*coupl(  &
                      nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_19)*coupl(nGC_4075 &
                      )*coupl(nGC_611) + 6d0*coupl(nGC_19)*coupl(nGC_64)*coupl(&
                      nGC_72) - 6d0*coupl(nGC_19)*coupl(nGC_913)*coupl(nGC_92  &
                      ) - 6d0*coupl(nGC_3)*coupl(nGC_711)*coupl(nGC_97) - 6d0* &
                      coupl(nGC_61)*coupl(nGC_711)*coupl(nGC_82) - 6d0*coupl(  &
                      nGC_62)*coupl(nGC_711)*coupl(nGC_913) + 36d0*coupl(      &
                      nGC_643)*coupl(nGC_66)*coupl(nGC_82) - 6d0*coupl(nGC_711 &
                      )*coupl(nGC_79)*coupl(nGC_96) - 6d0*coupl(nGC_711)*coupl(&
                      nGC_913)*coupl(nGC_99) - 6d0*coupl(nGC_79)*coupl(nGC_879 &
                      )*coupl(nGC_92))/(192d0*pi**2d0)
    coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16098) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_16095) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_15941) = coupl(nGC_17)*dZGMinus
    coupl(nGC_15943) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_9359) + coupl(   &
                       nGC_96)*dZZA_QED2/2d0
    coupl(nGC_13480) = dZHMinusGMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
    coupl(nGC_14942) = coupl(nGC_148)*dZHaG0_QED2/2d0 + coupl(nGC_152)*        &
                       dZdL_QED2/2d0 + coupl(nGC_152)*dZdR_QED2/2d0 + coupl(   &
                       nGC_9432)
    coupl(nGC_14941) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*dZdR_QCD2/&
                       2d0 + coupl(nGC_9429)
    coupl(nGC_14940) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*dZdR_QCD2/&
                       2d0 + coupl(nGC_9431)
    coupl(nGC_13847) = coupl(nGC_83)*dZZA_QED2
    coupl(nGC_17410) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_81)*dZZA_QED2/2d0 &
                        + coupl(nGC_9393)
    coupl(nGC_17411) = -coupl(nGC_17410)
    coupl(nGC_16418) = coupl(nGC_188)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_17414) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_17415) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_17416) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_17417) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_9507) = coupl(nGC_8047)*dyup2_QED1_QCD2 + coupl(nGC_8048)*       &
                      dyup1_QED1_QCD2
    coupl(nGC_13674) = coupl(nGC_36)*dZGMinus/2d0
    coupl(nGC_13679) = coupl(nGC_22)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_23)*  &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHlHh_QED2/2d0 &
                        + coupl(nGC_27)*dZHhHl_QED2/2d0 + coupl(nGC_36)*       &
                       dZHMinus_QED2/2d0 + coupl(nGC_36)*dZHh_QED2/2d0 + coupl(&
                       nGC_36)*dZHl_QED2/2d0 + coupl(nGC_9317)
    coupl(nGC_TS_GC_61_Hh) = -coupl(nGC_61)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9199) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_135&
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl&
                      (nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_130)*  &
                      coupl(nGC_133)*coupl(nGC_136)**2d0 + 20d0*Nc*cima*coupl( &
                      nGC_137)*coupl(nGC_139)**2d0*coupl(nGC_141) + 80d0*Nc*   &
                      cima*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_140)*coupl( &
                      nGC_141) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_140)**  &
                      2d0*coupl(nGC_141) + 20d0*Nc*cima*coupl(nGC_145)*coupl(  &
                      nGC_149)*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_145&
                      )*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*&
                      cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_152)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_175 &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl&
                      (nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_169)*  &
                      coupl(nGC_173)*coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl( &
                      nGC_177)*coupl(nGC_180)*coupl(nGC_182)**2d0 + 80d0*Nc*   &
                      cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_182)*coupl( &
                      nGC_183) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*   &
                      coupl(nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl( &
                      nGC_195)*coupl(nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_192&
                      )*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*&
                      cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_198)**2d0 - &
                      5d0*cima*coupl(nGC_1151)*coupl(nGC_663)*coupl(nGC_879)** &
                      2d0 - 10d0*cima*coupl(nGC_1151)*coupl(nGC_68)*coupl(     &
                      nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(nGC_1151)*coupl( &
                      nGC_69)*coupl(nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(   &
                      nGC_1285)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_879) -   &
                      10d0*cima*coupl(nGC_1285)*coupl(nGC_64)*coupl(nGC_72)*   &
                      coupl(nGC_879) - 5d0*cima*coupl(nGC_1285)*coupl(nGC_711)*&
                      coupl(nGC_879)**2d0 + 20d0*cima*coupl(nGC_153)*coupl(    &
                      nGC_157)*coupl(nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)* &
                      coupl(nGC_157)*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*&
                      coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_160)**2d0 - 5d0* &
                      cima*coupl(nGC_1559)**2d0*coupl(nGC_91)*coupl(nGC_94) -  &
                      5d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*coupl(nGC_91)** &
                      2d0 - 5d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*coupl(    &
                      nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(nGC_1559)*coupl(  &
                      nGC_3331)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_1559)* &
                      coupl(nGC_4075)*coupl(nGC_91)*coupl(nGC_94) + 20d0*cima* &
                      coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167)**2d0 + 80d0*&
                      cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167)*coupl( &
                      nGC_168) + 20d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(&
                      nGC_168)**2d0 + 20d0*cima*coupl(nGC_184)*coupl(nGC_188)* &
                      coupl(nGC_190)**2d0 + 80d0*cima*coupl(nGC_184)*coupl(    &
                      nGC_188)*coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(&
                      nGC_184)*coupl(nGC_188)*coupl(nGC_191)**2d0 - 5d0*cima*  &
                      coupl(nGC_3331)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*  &
                      cima*coupl(nGC_3331)**2d0*coupl(nGC_92)*coupl(nGC_94) -  &
                      5d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(nGC_94)** &
                      2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_663)*coupl(nGC_72&
                      )*coupl(nGC_879) - 5d0*cima*coupl(nGC_63)*coupl(nGC_68)* &
                      coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_64)*coupl(nGC_663&
                      )*coupl(nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(nGC_64)* &
                      coupl(nGC_69)*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_68 &
                      )*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_879) - 10d0*cima&
                      *coupl(nGC_69)*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_879&
                      ) + 3d0*coupl(nGC_10)*coupl(nGC_3331)*coupl(nGC_94) - 3d0&
                      *coupl(nGC_101)*coupl(nGC_3331)*coupl(nGC_91) - 3d0*coupl&
                      (nGC_101)*coupl(nGC_4075)*coupl(nGC_94) + 6d0*coupl(     &
                      nGC_1151)*coupl(nGC_43)*coupl(nGC_711) + 3d0*coupl(      &
                      nGC_1151)*coupl(nGC_48)*coupl(nGC_72) + 3d0*coupl(       &
                      nGC_1151)*coupl(nGC_53)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1151)*coupl(nGC_56)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1285)*coupl(nGC_41)*coupl(nGC_72) - 3d0*coupl(       &
                      nGC_1285)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1285)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_13 &
                      )*coupl(nGC_1559)*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl&
                      (nGC_3331)*coupl(nGC_91) + 3d0*coupl(nGC_1559)**2d0*coupl&
                      (nGC_25) + 3d0*coupl(nGC_1559)*coupl(nGC_28)*coupl(      &
                      nGC_4075) + 3d0*coupl(nGC_1559)*coupl(nGC_33)*coupl(     &
                      nGC_3331) + 3d0*coupl(nGC_1559)*coupl(nGC_3331)*coupl(   &
                      nGC_37) + 3d0*coupl(nGC_1559)*coupl(nGC_3331)*coupl(     &
                      nGC_39) + 3d0*coupl(nGC_1559)*coupl(nGC_47)*coupl(nGC_92 &
                      ) + 3d0*coupl(nGC_1559)*coupl(nGC_55)*coupl(nGC_94) + 3d0&
                      *coupl(nGC_1559)*coupl(nGC_9)*coupl(nGC_91) + 6d0*coupl( &
                      nGC_23)*coupl(nGC_72)*coupl(nGC_879) + 3d0*coupl(nGC_25)*&
                      coupl(nGC_3331)**2d0 + 3d0*coupl(nGC_25)*coupl(nGC_91)** &
                      2d0 + 3d0*coupl(nGC_25)*coupl(nGC_94)**2d0 + 3d0*coupl(  &
                      nGC_28)*coupl(nGC_91)*coupl(nGC_92) + 3d0*coupl(nGC_29)* &
                      coupl(nGC_3331)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_94)** &
                      2d0 + 3d0*coupl(nGC_33)*coupl(nGC_91)*coupl(nGC_94) + 3d0&
                      *coupl(nGC_3331)*coupl(nGC_37)*coupl(nGC_4075) + 3d0*    &
                      coupl(nGC_3331)*coupl(nGC_47)*coupl(nGC_94) + 3d0*coupl( &
                      nGC_3331)*coupl(nGC_59)*coupl(nGC_92) + 3d0*coupl(nGC_37 &
                      )*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl( &
                      nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_39)*coupl(nGC_91)* &
                      coupl(nGC_94) + 3d0*coupl(nGC_40)*coupl(nGC_663)*coupl(  &
                      nGC_72) + 3d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_879  &
                      ) + 3d0*coupl(nGC_41)*coupl(nGC_68)*coupl(nGC_879) + 3d0*&
                      coupl(nGC_43)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_43)*    &
                      coupl(nGC_69)**2d0 + 3d0*coupl(nGC_48)*coupl(nGC_64)*    &
                      coupl(nGC_879) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(  &
                      nGC_879) + 3d0*coupl(nGC_49)*coupl(nGC_711)*coupl(nGC_72 &
                      ) + 3d0*coupl(nGC_53)*coupl(nGC_69)*coupl(nGC_711) + 3d0*&
                      coupl(nGC_56)*coupl(nGC_68)*coupl(nGC_711) - 3d0*coupl(  &
                      nGC_62)*coupl(nGC_63)*coupl(nGC_663) - 3d0*coupl(nGC_62)*&
                      coupl(nGC_64)*coupl(nGC_663))/(96d0*pi**2d0)
    coupl(nGC_9198) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)**2d0 +  &
                      80d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)*coupl(   &
                      nGC_136) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_136&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_139  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_139)*&
                      coupl(nGC_140) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                      nGC_140)**2d0 + 20d0*Nc*cima*coupl(nGC_149)**2d0*coupl(  &
                      nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_149)**2d0*coupl(  &
                      nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_149)**  &
                      2d0*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl(nGC_173)**  &
                      2d0*coupl(nGC_175)**2d0 + 80d0*Nc*cima*coupl(nGC_173)**  &
                      2d0*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(  &
                      nGC_173)**2d0*coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_180)**2d0*coupl(nGC_182)**2d0 + 80d0*Nc*cima*coupl(  &
                      nGC_180)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*   &
                      cima*coupl(nGC_180)**2d0*coupl(nGC_183)**2d0 + 20d0*Nc*  &
                      cima*coupl(nGC_195)**2d0*coupl(nGC_197)**2d0 + 80d0*Nc*  &
                      cima*coupl(nGC_195)**2d0*coupl(nGC_197)*coupl(nGC_198) + &
                      20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_198)**2d0 +   &
                      6d0*cima*coupl(nGC_101)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1151)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_879) -   &
                      5d0*cima*coupl(nGC_1285)**2d0*coupl(nGC_879)**2d0 - 20d0*&
                      cima*coupl(nGC_1285)*coupl(nGC_69)*coupl(nGC_72)*coupl(  &
                      nGC_879) - 10d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*    &
                      coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1559)* &
                      coupl(nGC_4075)*coupl(nGC_91)*coupl(nGC_92) + 20d0*cima* &
                      coupl(nGC_157)**2d0*coupl(nGC_159)**2d0 + 80d0*cima*coupl&
                      (nGC_157)**2d0*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*&
                      coupl(nGC_157)**2d0*coupl(nGC_160)**2d0 + 20d0*cima*coupl&
                      (nGC_165)**2d0*coupl(nGC_167)**2d0 + 80d0*cima*coupl(    &
                      nGC_165)**2d0*coupl(nGC_167)*coupl(nGC_168) + 20d0*cima* &
                      coupl(nGC_165)**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl&
                      (nGC_188)**2d0*coupl(nGC_190)**2d0 + 80d0*cima*coupl(    &
                      nGC_188)**2d0*coupl(nGC_190)*coupl(nGC_191) + 20d0*cima* &
                      coupl(nGC_188)**2d0*coupl(nGC_191)**2d0 - 10d0*cima*coupl&
                      (nGC_3331)**2d0*coupl(nGC_94)**2d0 - 10d0*cima*coupl(    &
                      nGC_3331)*coupl(nGC_4075)*coupl(nGC_92)*coupl(nGC_94) +  &
                      12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima*coupl( &
                      nGC_64)*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_879) - 5d0&
                      *cima*coupl(nGC_663)**2d0*coupl(nGC_879)**2d0 - 20d0*cima&
                      *coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_879&
                      ) - 5d0*cima*coupl(nGC_68)**2d0*coupl(nGC_72)**2d0 - 5d0*&
                      cima*coupl(nGC_69)**2d0*coupl(nGC_72)**2d0 + 3d0*coupl(  &
                      nGC_10)*coupl(nGC_1559)*coupl(nGC_94) + 3d0*coupl(nGC_10 &
                      )*coupl(nGC_3331)*coupl(nGC_91) - 3d0*coupl(nGC_101)*    &
                      coupl(nGC_3331)*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl(&
                      nGC_4075)*coupl(nGC_92) + 3d0*coupl(nGC_1151)*coupl(     &
                      nGC_1285)*coupl(nGC_43) + 6d0*coupl(nGC_1151)*coupl(     &
                      nGC_41)*coupl(nGC_72) + 3d0*coupl(nGC_1151)*coupl(nGC_56 &
                      )*coupl(nGC_63) - 3d0*coupl(nGC_1151)*coupl(nGC_62)*coupl&
                      (nGC_63) + 3d0*coupl(nGC_12)*coupl(nGC_3331)*coupl(nGC_94&
                      ) + 3d0*coupl(nGC_1285)*coupl(nGC_53)*coupl(nGC_69) - 3d0&
                      *coupl(nGC_1285)*coupl(nGC_62)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_13)*coupl(nGC_1559)*coupl(nGC_91) + 6d0*coupl(       &
                      nGC_1559)*coupl(nGC_25)*coupl(nGC_3331) + 6d0*coupl(     &
                      nGC_1559)*coupl(nGC_37)*coupl(nGC_4075) - 3d0*coupl(     &
                      nGC_1559)*coupl(nGC_91)*coupl(nGC_99) + 6d0*coupl(nGC_25 &
                      )*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_29)*coupl( &
                      nGC_3331)*coupl(nGC_4075) + 6d0*coupl(nGC_29)*coupl(     &
                      nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_32)*coupl(nGC_72)* &
                      coupl(nGC_879) + 6d0*coupl(nGC_33)*coupl(nGC_3331)**2d0  &
                       + 6d0*coupl(nGC_33)*coupl(nGC_94)**2d0 + 3d0*coupl(     &
                      nGC_3331)*coupl(nGC_47)*coupl(nGC_92) + 3d0*coupl(       &
                      nGC_3331)*coupl(nGC_55)*coupl(nGC_94) - 3d0*coupl(       &
                      nGC_3331)*coupl(nGC_94)*coupl(nGC_99) + 6d0*coupl(nGC_37 &
                      )*coupl(nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_40)*coupl( &
                      nGC_63)*coupl(nGC_879) + 6d0*coupl(nGC_40)*coupl(nGC_711 &
                      )*coupl(nGC_72) + 3d0*coupl(nGC_4075)*coupl(nGC_47)*coupl&
                      (nGC_94) + 3d0*coupl(nGC_4075)*coupl(nGC_59)*coupl(nGC_92&
                      ) + 6d0*coupl(nGC_41)*coupl(nGC_64)*coupl(nGC_879) + 3d0*&
                      coupl(nGC_43)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(   &
                      nGC_43)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_43)* &
                      coupl(nGC_663)*coupl(nGC_711) + 3d0*coupl(nGC_53)*coupl( &
                      nGC_663)*coupl(nGC_68) + 3d0*coupl(nGC_56)*coupl(nGC_64)*&
                      coupl(nGC_711) - 6d0*coupl(nGC_61)*coupl(nGC_72)*coupl(  &
                      nGC_879) - 3d0*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_711 &
                      ) - 3d0*coupl(nGC_62)*coupl(nGC_663)*coupl(nGC_68))/(96d0&
                      *pi**2d0)
    coupl(nGC_14151) = coupl(nGC_128)*dZZA_QED2/2d0
    coupl(nGC_15856) = coupl(nGC_7)*dZdL_QED2
    coupl(nGC_17210) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/ &
                       2d0
    coupl(nGC_14375) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_14376) = coupl(nGC_TS_GC_63_Hh) + coupl(nGC_TS_GC_69_Hl)
    coupl(nGC_15855) = coupl(nGC_7)*dZdR_QCD2
    coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9192) = (20d0*Nc*cima*coupl(nGC_135)**2d0*coupl(nGC_136)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_140)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_151)**2d0*coupl(nGC_152)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_175)**2d0*coupl(nGC_176)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_182)**2d0*coupl(nGC_183)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_198)**2d0 +   &
                      3d0*cima*coupl(nGC_101)**2d0 - 5d0*cima*coupl(nGC_1559)**&
                      2d0*coupl(nGC_91)**2d0 - 10d0*cima*coupl(nGC_1559)*coupl(&
                      nGC_3331)*coupl(nGC_91)*coupl(nGC_94) + 20d0*cima*coupl( &
                      nGC_159)**2d0*coupl(nGC_160)**2d0 + 20d0*cima*coupl(     &
                      nGC_167)**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl(     &
                      nGC_190)**2d0*coupl(nGC_191)**2d0 - 5d0*cima*coupl(      &
                      nGC_3331)**2d0*coupl(nGC_94)**2d0 + 6d0*cima*coupl(nGC_62&
                      )**2d0 - 10d0*cima*coupl(nGC_72)**2d0*coupl(nGC_879)**2d0&
                       - 3d0*coupl(nGC_101)*coupl(nGC_1559)*coupl(nGC_91) - 3d0&
                      *coupl(nGC_101)*coupl(nGC_3331)*coupl(nGC_94) + 3d0*coupl&
                      (nGC_1559)*coupl(nGC_25)*coupl(nGC_94) + 3d0*coupl(      &
                      nGC_1559)*coupl(nGC_39)*coupl(nGC_91) + 3d0*coupl(nGC_25 &
                      )*coupl(nGC_3331)*coupl(nGC_91) + 3d0*coupl(nGC_33)*coupl&
                      (nGC_3331)*coupl(nGC_94) + 6d0*coupl(nGC_53)*coupl(nGC_72&
                      )*coupl(nGC_879) - 6d0*coupl(nGC_62)*coupl(nGC_72)*coupl(&
                      nGC_879))/(16d0*pi**2d0)
    coupl(nGC_13786) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_13898) = dZGMinusHMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
    coupl(nGC_13070) = coupl(nGC_35)*dZGMinus
    coupl(nGC_13071) = coupl(nGC_23)*dZHhHl_QED2 + coupl(nGC_24)*              &
                       dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2 + coupl(  &
                       nGC_9310)
    coupl(nGC_13078) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_9379) + coupl(  &
                       nGC_96)*dZZ_QED2/2d0
    coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_48_Hl) = -coupl(nGC_48)*dtHl_QED1/cMHL**2d0
    coupl(nGC_14200) = coupl(nGC_119)*dZGMinus/2d0
    coupl(nGC_13250) = coupl(nGC_37)*dZG0/2d0
    coupl(nGC_9500) = coupl(nGC_423)*dyt2_QED3 + coupl(nGC_425)*db_QED2 + coupl&
                      (nGC_427)*dyt1_QED3
    coupl(nGC_9503) = coupl(nGC_8618)*dyc1_QED1_QCD2 + coupl(nGC_8619)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9504) = coupl(nGC_8618)*dyc1_QED3 + coupl(nGC_8619)*dyc2_QED3 +  &
                      coupl(nGC_8620)*da_QED2
    coupl(nGC_9505) = coupl(nGC_8623)*dyt1_QED1_QCD2 + coupl(nGC_8625)*        &
                      dyt2_QED1_QCD2
    coupl(nGC_9506) = coupl(nGC_8623)*dyt1_QED3 + coupl(nGC_8624)*da_QED2 +    &
                      coupl(nGC_8625)*dyt2_QED3
    coupl(nGC_9206) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(  &
                      nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(nGC_151 &
                      )*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176) - coupl(&
                      nGC_182)*coupl(nGC_183) - coupl(nGC_197)*coupl(nGC_198   &
                      ))/(16d0*pi**2d0)
    coupl(nGC_9508) = coupl(nGC_8047)*dyup2_QED3 + coupl(nGC_8048)*dyup1_QED3  &
                       + coupl(nGC_8049)*da_QED2
    coupl(nGC_9509) = coupl(nGC_8439)*dyc1_QED1_QCD2 + coupl(nGC_8440)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_13093) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_65)*            &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_66)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_70)*dZA_QED2/2d0 + coupl(nGC_70)*          &
                       dZHMinus_QED2/2d0 + coupl(nGC_70)*dZHl_QED2/2d0 + coupl(&
                       nGC_70)*dZWMinus_QED2/2d0 + coupl(nGC_9361)
    coupl(nGC_9205) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*coupl(     &
                      nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_140)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_152)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_183&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_198)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1151)*coupl(nGC_611)*coupl(nGC_69)*coupl(&
                      nGC_879) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_879)**2d0* &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_611)* &
                      coupl(nGC_64)*coupl(nGC_879) + 4d0*cima*coupl(nGC_1285)* &
                      coupl(nGC_879)**2d0*coupl(nGC_91) + 20d0*cima*coupl(     &
                      nGC_154)*coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_86) -    &
                      16d0*cima*coupl(nGC_154)*coupl(nGC_160)*coupl(nGC_80)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*coupl(nGC_160)* &
                      coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1559)*  &
                      coupl(nGC_3331)*coupl(nGC_611)*coupl(nGC_72) + 4d0*cima* &
                      coupl(nGC_1559)*coupl(nGC_611)*coupl(nGC_68)*coupl(nGC_96&
                      ) + 20d0*cima*coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_80 &
                      )*coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_168 &
                      )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162)*&
                      coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*  &
                      coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_80)*coupl(nGC_86 &
                      ) - 16d0*cima*coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_80 &
                      )*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl(nGC_191 &
                      )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_3331)*&
                      coupl(nGC_4075)*coupl(nGC_611)*coupl(nGC_72) + 4d0*cima* &
                      coupl(nGC_3331)*coupl(nGC_611)*coupl(nGC_64)*coupl(nGC_96&
                      ) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_64)*coupl(nGC_879 &
                      )**2d0 + 4d0*cima*coupl(nGC_4075)*coupl(nGC_69)*coupl(   &
                      nGC_879)**2d0 + 9d0*cima*coupl(nGC_64)*coupl(nGC_82)*    &
                      coupl(nGC_913)*coupl(nGC_94) + 9d0*cima*coupl(nGC_68)*   &
                      coupl(nGC_82)*coupl(nGC_91)*coupl(nGC_913) + 6d0*coupl(  &
                      nGC_1151)*coupl(nGC_16)*coupl(nGC_879) + 6d0*coupl(      &
                      nGC_1285)*coupl(nGC_14)*coupl(nGC_879) + 6d0*coupl(nGC_15&
                      )*coupl(nGC_3331)*coupl(nGC_611) - 6d0*coupl(nGC_15)*    &
                      coupl(nGC_913)*coupl(nGC_94) + 6d0*coupl(nGC_1559)*coupl(&
                      nGC_16)*coupl(nGC_611) - 6d0*coupl(nGC_16)*coupl(nGC_91)*&
                      coupl(nGC_913) - 6d0*coupl(nGC_64)*coupl(nGC_79)*coupl(  &
                      nGC_94) - 6d0*coupl(nGC_68)*coupl(nGC_79)*coupl(nGC_91   &
                      ))/(192d0*pi**2d0)
    coupl(nGC_8749) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_8748) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl(   &
                      nGC_88)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8741) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(nGC_87&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8740) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_85)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_88)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_84)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_87)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_88)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_85)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_88)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_86)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_89)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_86)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_89)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_86)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_89&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_82)**2d0 + 3d0*cMW**&
                      2d0*cima*coupl(nGC_913)**2d0 - 2d0*cMW**2d0*coupl(       &
                      nGC_1269))/(16d0*pi**2d0)
    coupl(nGC_8743) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_8742) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8745) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_8744) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl(   &
                      nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8747) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8746) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(nGC_88&
                      ))/(8d0*pi**2d0)
    coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_37_Hl) = -coupl(nGC_37)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13328) = coupl(nGC_84)*dZdR_QCD2
    coupl(nGC_13324) = coupl(nGC_87)*dZdL_QCD2
    coupl(nGC_13325) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_9348) = coupl(nGC_8215)*dl3_QED4 + coupl(nGC_8216)*db_QED2 +     &
                      coupl(nGC_8217)*dl2_QED4 + coupl(nGC_8218)*dl5_QED4 +    &
                      coupl(nGC_8219)*dvev2_QED1 + coupl(nGC_8220)*dvev1_QED1  &
                       + coupl(nGC_8221)*dl1_QED4 + coupl(nGC_8222)*dl4_QED4 + &
                      coupl(nGC_8223)*da_QED2
    coupl(nGC_9349) = coupl(nGC_8454)*dl3_QED4 + coupl(nGC_8455)*db_QED2 +     &
                      coupl(nGC_8456)*dl2_QED4 + coupl(nGC_8457)*dl5_QED4 +    &
                      coupl(nGC_8458)*dvev2_QED1 + coupl(nGC_8459)*dvev1_QED1  &
                       + coupl(nGC_8460)*dl1_QED4 + coupl(nGC_8461)*dl4_QED4 + &
                      coupl(nGC_8462)*da_QED2
    coupl(nGC_9438) = coupl(nGC_7931)*dyd13x3_QED1_QCD2 + coupl(nGC_7932)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9439) = coupl(nGC_8424)*db_QED2 + coupl(nGC_8425)*dyd13x3_QED3 + &
                      coupl(nGC_8426)*dyb2_QED3
    coupl(nGC_14080) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
    coupl(nGC_9342) = coupl(nGC_8416)*dl3_QED4 + coupl(nGC_8417)*dl1_QED4 +    &
                      coupl(nGC_8418)*dl2_QED4 + coupl(nGC_8419)*dl5_QED4 +    &
                      coupl(nGC_8420)*dl4_QED4 + coupl(nGC_8421)*dvev1_QED1 +  &
                      coupl(nGC_8422)*dvev2_QED1 + coupl(nGC_8423)*da_QED2
    coupl(nGC_9343) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dl2_QED4 + coupl(&
                      nGC_327)*dl3_QED4 + coupl(nGC_329)*dl5_QED4 + coupl(     &
                      nGC_331)*dl4_QED4 + coupl(nGC_333)*dl1_QED4 + coupl(     &
                      nGC_335)*dvev1_QED1 + coupl(nGC_337)*dvev2_QED1 + coupl( &
                      nGC_339)*da_QED2
    coupl(nGC_9436) = coupl(nGC_8067)*dyd12x2_QED3 + coupl(nGC_8068)*dys2_QED3 &
                       + coupl(nGC_8069)*db_QED2
    coupl(nGC_9437) = coupl(nGC_7930)*db_QED2 + coupl(nGC_7931)*dyd13x3_QED3 + &
                      coupl(nGC_7932)*dyb2_QED3
    coupl(nGC_9346) = coupl(nGC_8077)*dl4_QED4 + coupl(nGC_8078)*dl5_QED4 +    &
                      coupl(nGC_8079)*db_QED2 + coupl(nGC_8080)*dvev1_QED1 +   &
                      coupl(nGC_8081)*dvev2_QED1
    coupl(nGC_9347) = coupl(nGC_7981)*dl3_QED4 + coupl(nGC_7982)*db_QED2 +     &
                      coupl(nGC_7983)*dl2_QED4 + coupl(nGC_7984)*dl5_QED4 +    &
                      coupl(nGC_7985)*dvev2_QED1 + coupl(nGC_7986)*dvev1_QED1  &
                       + coupl(nGC_7987)*dl1_QED4 + coupl(nGC_7988)*dl4_QED4 + &
                      coupl(nGC_7989)*da_QED2
    coupl(nGC_9344) = coupl(nGC_8135)*dl4_QED4 + coupl(nGC_8136)*dl5_QED4 +    &
                      coupl(nGC_8137)*db_QED2 + coupl(nGC_8138)*dvev1_QED1 +   &
                      coupl(nGC_8139)*dvev2_QED1
    coupl(nGC_9345) = coupl(nGC_8286)*dl3_QED4 + coupl(nGC_8287)*db_QED2 +     &
                      coupl(nGC_8288)*dl2_QED4 + coupl(nGC_8289)*dl5_QED4 +    &
                      coupl(nGC_8290)*dvev2_QED1 + coupl(nGC_8291)*dvev1_QED1  &
                       + coupl(nGC_8292)*dl1_QED4 + coupl(nGC_8293)*dl4_QED4 + &
                      coupl(nGC_8294)*da_QED2
    coupl(nGC_8901) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) + coupl(     &
                      nGC_1151)*coupl(nGC_1285)*coupl(nGC_63) + coupl(nGC_1151 &
                      )*coupl(nGC_69)*coupl(nGC_711) - 4d0*coupl(nGC_153)*coupl&
                      (nGC_154)*coupl(nGC_80) - 4d0*coupl(nGC_161)*coupl(      &
                      nGC_162)*coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(nGC_3)* &
                      coupl(nGC_663) - 4d0*coupl(nGC_184)*coupl(nGC_185)*coupl(&
                      nGC_80) + coupl(nGC_3331)*coupl(nGC_611)*coupl(nGC_879   &
                      ) + coupl(nGC_63)**2d0*coupl(nGC_68) - 6d0*coupl(nGC_663 &
                      )*coupl(nGC_82)*coupl(nGC_96) + coupl(nGC_68)*coupl(     &
                      nGC_69)**2d0 + coupl(nGC_68)*coupl(nGC_72)**2d0 - 6d0*   &
                      coupl(nGC_879)*coupl(nGC_913)*coupl(nGC_94))/(96d0*pi**  &
                      2d0)
    coupl(nGC_8900) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) + coupl(     &
                      nGC_1285)*coupl(nGC_63)*coupl(nGC_663) - 4d0*coupl(      &
                      nGC_154)*coupl(nGC_157)*coupl(nGC_80) - 4d0*coupl(nGC_162&
                      )*coupl(nGC_165)*coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(&
                      nGC_3)*coupl(nGC_711) - 4d0*coupl(nGC_185)*coupl(nGC_188 &
                      )*coupl(nGC_80) + coupl(nGC_4075)*coupl(nGC_611)*coupl(  &
                      nGC_879) + coupl(nGC_63)**2d0*coupl(nGC_64) + coupl(     &
                      nGC_64)*coupl(nGC_69)**2d0 + coupl(nGC_64)*coupl(nGC_72  &
                      )**2d0 + coupl(nGC_663)*coupl(nGC_69)*coupl(nGC_711) -   &
                      6d0*coupl(nGC_711)*coupl(nGC_82)*coupl(nGC_96) - 6d0*    &
                      coupl(nGC_879)*coupl(nGC_913)*coupl(nGC_92))/(96d0*pi**  &
                      2d0)
    coupl(nGC_8906) = coupl(nGC_178)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8904) = coupl(nGC_142)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8908) = coupl(nGC_131)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_125_Hh) = -coupl(nGC_125)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_27_Hh) = -coupl(nGC_27)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9237) = (20d0*Nc*cima*coupl(nGC_133)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_137)**4d0 + 20d0*Nc*cima*coupl(nGC_149)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_173)**4d0 + 20d0*Nc*cima*coupl(nGC_180 &
                      )**4d0 + 20d0*Nc*cima*coupl(nGC_195)**4d0 - 5d0*cima*    &
                      coupl(nGC_1151)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl&
                      (nGC_1151)*coupl(nGC_1285)*coupl(nGC_63)*coupl(nGC_69) - &
                      5d0*cima*coupl(nGC_1285)**2d0*coupl(nGC_69)**2d0 + 20d0* &
                      cima*coupl(nGC_157)**4d0 + 20d0*cima*coupl(nGC_165)**4d0 &
                       + 20d0*cima*coupl(nGC_188)**4d0 - 5d0*cima*coupl(       &
                      nGC_3331)**2d0*coupl(nGC_94)**2d0 - 10d0*cima*coupl(     &
                      nGC_3331)*coupl(nGC_4075)*coupl(nGC_92)*coupl(nGC_94) -  &
                      5d0*cima*coupl(nGC_4075)**2d0*coupl(nGC_92)**2d0 + 6d0*  &
                      cima*coupl(nGC_61)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*   &
                      coupl(nGC_711)**2d0 - 10d0*cima*coupl(nGC_64)*coupl(     &
                      nGC_663)*coupl(nGC_68)*coupl(nGC_711) - 5d0*cima*coupl(  &
                      nGC_663)**2d0*coupl(nGC_68)**2d0 + 3d0*cima*coupl(nGC_99 &
                      )**2d0 + 3d0*coupl(nGC_1151)*coupl(nGC_1285)*coupl(nGC_27&
                      ) + 3d0*coupl(nGC_1151)*coupl(nGC_34)*coupl(nGC_63) - 3d0&
                      *coupl(nGC_1151)*coupl(nGC_61)*coupl(nGC_63) + 3d0*coupl(&
                      nGC_1285)*coupl(nGC_32)*coupl(nGC_69) - 3d0*coupl(       &
                      nGC_1285)*coupl(nGC_61)*coupl(nGC_69) + 3d0*coupl(nGC_27 &
                      )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl( &
                      nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_663)*&
                      coupl(nGC_711) + 3d0*coupl(nGC_29)*coupl(nGC_3331)*coupl(&
                      nGC_92) + 3d0*coupl(nGC_29)*coupl(nGC_4075)*coupl(nGC_94 &
                      ) + 3d0*coupl(nGC_32)*coupl(nGC_663)*coupl(nGC_68) + 3d0*&
                      coupl(nGC_33)*coupl(nGC_3331)*coupl(nGC_94) - 3d0*coupl( &
                      nGC_3331)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl(nGC_34 &
                      )*coupl(nGC_64)*coupl(nGC_711) + 3d0*coupl(nGC_38)*coupl(&
                      nGC_4075)*coupl(nGC_92) - 3d0*coupl(nGC_4075)*coupl(     &
                      nGC_92)*coupl(nGC_99) - 3d0*coupl(nGC_61)*coupl(nGC_64)* &
                      coupl(nGC_711) - 3d0*coupl(nGC_61)*coupl(nGC_663)*coupl( &
                      nGC_68))/(16d0*pi**2d0)
    coupl(nGC_16224) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_16226) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
    coupl(nGC_16227) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9658) = coupl(nGC_601)*dMZ2_QED2
    coupl(nGC_16047) = coupl(nGC_I)*dZGMinus
    coupl(nGC_29093) = -coupl(nGC_14376)
    coupl(nGC_14144) = coupl(nGC_21)*dZGMinus/2d0
    coupl(nGC_23189) = -coupl(nGC_15057)
    coupl(nGC_15499) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_13406) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_73)*dZA_QED2/2d0&
                        + coupl(nGC_73)*dZWMinus_QED2/2d0 + coupl(nGC_9370)
    coupl(nGC_13888) = coupl(nGC_117)*dZG0
    coupl(nGC_13532) = coupl(nGC_17)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_13247) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_13087) = coupl(nGC_115)*dZHMinus_QED2/2d0 + coupl(nGC_122)*      &
                       dZHaG0_QED2/2d0 + coupl(nGC_9357) + coupl(              &
                       nGC_TS_GC_40_Hh) + coupl(nGC_TS_GC_49_Hl)
    coupl(nGC_13085) = coupl(nGC_115)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_8756) = -Nc*cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_8757) = cima*coupl(nGC_7)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +   &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_8754) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0 + coupl(    &
                      nGC_89)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8755) = cima*sq2**2d0*(Nc*coupl(nGC_6)**2d0 - 4d0*coupl(nGC_7)** &
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_8752) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(nGC_89&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8753) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_8750) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(nGC_87&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8751) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8758) = cima*sq2**2d0*(-Nc*coupl(nGC_6)**2d0 + 4d0*coupl(nGC_7)**&
                      2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_8759) = cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_12931) = coupl(nGC_40)*dZHaG0_QED2/2d0 + coupl(nGC_40)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +     &
                       coupl(nGC_49)*dZHl_QED2/2d0 + coupl(nGC_9315)
    coupl(nGC_12934) = coupl(nGC_41)*dZGMinus/2d0
    coupl(nGC_12937) = coupl(nGC_41)*dZHMinus_QED2/2d0 + coupl(nGC_41)*        &
                       dZHa_QED2/2d0 + coupl(nGC_41)*dZHl_QED2/2d0 + coupl(    &
                       nGC_48)*dZG0Ha_QED2/2d0 + coupl(nGC_49)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_9326)
    coupl(nGC_12758) = coupl(nGC_44)*dZGMinus/2d0
    coupl(nGC_9401) = coupl(nGC_7923)*dsw_QED2 + coupl(nGC_7924)*dcw_QED2 +    &
                      coupl(nGC_7925)*dZee_QED2
    coupl(nGC_9400) = coupl(nGC_8436)*dsw_QED2 + coupl(nGC_8437)*dcw_QED2 +    &
                      coupl(nGC_8438)*dZee_QED2
    coupl(nGC_9403) = coupl(nGC_8478)*dsw_QED2 + coupl(nGC_8479)*dcw_QED2 +    &
                      coupl(nGC_8480)*dZee_QED2
    coupl(nGC_9402) = coupl(nGC_8502)*dsw_QED2 + coupl(nGC_8503)*dcw_QED2 +    &
                      coupl(nGC_8504)*dZee_QED2
    coupl(nGC_9405) = coupl(nGC_8505)*db_QED2 + coupl(nGC_8506)*dyup1_QED3 +   &
                      coupl(nGC_8507)*dyup2_QED3
    coupl(nGC_9404) = coupl(nGC_8410)*dsw_QED2 + coupl(nGC_8411)*dcw_QED2 +    &
                      coupl(nGC_8412)*dZee_QED2
    coupl(nGC_9407) = coupl(nGC_8517)*dydo2_QED1_QCD2 + coupl(nGC_8519)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9406) = coupl(nGC_8506)*dyup1_QED1_QCD2 + coupl(nGC_8507)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_8910) = coupl(nGC_170)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12684) = coupl(nGC_39)*dZG0
    coupl(nGC_12685) = coupl(nGC_25)*dZHhHl_QED2 + coupl(nGC_28)*dZHaG0_QED2 + &
                       coupl(nGC_39)*dZHl_QED2 + coupl(nGC_9309)
    coupl(nGC_8914) = coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8915) = (-coupl(nGC_153)*coupl(nGC_663)*coupl(nGC_80) - coupl(   &
                      nGC_154)*coupl(nGC_4)*coupl(nGC_4633) - coupl(nGC_154)*  &
                      coupl(nGC_611)*coupl(nGC_86) + 8d0*coupl(nGC_154)*coupl( &
                      nGC_86)*coupl(nGC_90) - coupl(nGC_154)*coupl(nGC_90)*    &
                      coupl(nGC_96) - coupl(nGC_156)*coupl(nGC_80)*coupl(      &
                      nGC_879) - coupl(nGC_157)*coupl(nGC_711)*coupl(nGC_80))/(&
                      32d0*pi**2d0)
    coupl(nGC_8916) = (-coupl(nGC_161)*coupl(nGC_663)*coupl(nGC_80) - coupl(   &
                      nGC_162)*coupl(nGC_4)*coupl(nGC_4633) - coupl(nGC_162)*  &
                      coupl(nGC_611)*coupl(nGC_86) + 8d0*coupl(nGC_162)*coupl( &
                      nGC_86)*coupl(nGC_90) - coupl(nGC_162)*coupl(nGC_90)*    &
                      coupl(nGC_96) - coupl(nGC_164)*coupl(nGC_80)*coupl(      &
                      nGC_879) - coupl(nGC_165)*coupl(nGC_711)*coupl(nGC_80))/(&
                      32d0*pi**2d0)
    coupl(nGC_8917) = (coupl(nGC_17)*coupl(nGC_185)*coupl(nGC_4) + coupl(      &
                      nGC_184)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_185)*   &
                      coupl(nGC_611)*coupl(nGC_90) + 8d0*coupl(nGC_185)*coupl( &
                      nGC_86)*coupl(nGC_90) + coupl(nGC_185)*coupl(nGC_86)*    &
                      coupl(nGC_96) + coupl(nGC_187)*coupl(nGC_72)*coupl(nGC_80&
                      ) + coupl(nGC_188)*coupl(nGC_63)*coupl(nGC_80))/(32d0*pi &
                      **2d0)
    coupl(nGC_8918) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80) - 6d0*coupl( &
                      nGC_1151)*coupl(nGC_4075)*coupl(nGC_82) + coupl(nGC_1151 &
                      )*coupl(nGC_92)*coupl(nGC_96) - 6d0*coupl(nGC_1285)*coupl&
                      (nGC_3331)*coupl(nGC_82) + coupl(nGC_1285)*coupl(nGC_94)*&
                      coupl(nGC_96) + 4d0*coupl(nGC_154)*coupl(nGC_156)*coupl( &
                      nGC_80) + 4d0*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_80 &
                      ) + 4d0*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_80) - 6d0&
                      *coupl(nGC_4633)*coupl(nGC_643)*coupl(nGC_879) - 6d0*    &
                      coupl(nGC_611)*coupl(nGC_879)*coupl(nGC_913) + coupl(    &
                      nGC_64)**2d0*coupl(nGC_72) + coupl(nGC_68)**2d0*coupl(   &
                      nGC_72) + coupl(nGC_72)**3d0)/(96d0*pi**2d0)
    coupl(nGC_8919) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) + coupl(     &
                      nGC_1151)*coupl(nGC_1285)*coupl(nGC_68) - 6d0*coupl(     &
                      nGC_1151)*coupl(nGC_4633)*coupl(nGC_643) - 6d0*coupl(    &
                      nGC_1151)*coupl(nGC_611)*coupl(nGC_913) + coupl(nGC_1285 &
                      )*coupl(nGC_64)*coupl(nGC_663) + 4d0*coupl(nGC_154)*coupl&
                      (nGC_157)*coupl(nGC_80) + 4d0*coupl(nGC_162)*coupl(      &
                      nGC_165)*coupl(nGC_80) + 4d0*coupl(nGC_185)*coupl(nGC_188&
                      )*coupl(nGC_80) + coupl(nGC_4075)*coupl(nGC_879)*coupl(  &
                      nGC_96) + coupl(nGC_63)*coupl(nGC_64)**2d0 + coupl(nGC_63&
                      )*coupl(nGC_68)**2d0 + coupl(nGC_63)*coupl(nGC_72)**2d0  &
                       - 6d0*coupl(nGC_82)*coupl(nGC_879)*coupl(nGC_92))/(96d0*&
                      pi**2d0)
    coupl(nGC_9391) = coupl(nGC_383)*dZee_QED2 + coupl(nGC_385)*dvev1_QED1 +   &
                      coupl(nGC_387)*da_QED2 + coupl(nGC_389)*dcw_QED2 + coupl(&
                      nGC_391)*dvev2_QED1 + coupl(nGC_393)*dsw_QED2
    coupl(nGC_9392) = coupl(nGC_397)*dZee_QED2 + coupl(nGC_399)*dvev1_QED1 +   &
                      coupl(nGC_401)*da_QED2 + coupl(nGC_403)*dcw_QED2 + coupl(&
                      nGC_405)*dvev2_QED1 + coupl(nGC_407)*dsw_QED2
    coupl(nGC_9395) = coupl(nGC_8621)*dZee_QED2
    coupl(nGC_9394) = coupl(nGC_8622)*dZee_QED2
    coupl(nGC_9397) = coupl(nGC_8095)*dsw_QED2 + coupl(nGC_8096)*dZee_QED2
    coupl(nGC_9396) = coupl(nGC_411)*dZgs_QCD2
    coupl(nGC_9398) = coupl(nGC_8445)*dsw_QED2 + coupl(nGC_8446)*dcw_QED2 +    &
                      coupl(nGC_8447)*dZee_QED2
    coupl(nGC_15812) = coupl(nGC_94)*dZZA_QED2/2d0
    coupl(nGC_15813) = -coupl(nGC_15812)
    coupl(nGC_9243) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_80&
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl&
                      (nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149&
                      )*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_169)*coupl(&
                      nGC_173)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_177 &
                      )*coupl(nGC_180)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(&
                      nGC_192)*coupl(nGC_195)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_1151)**2d0*coupl(nGC_1285)*coupl(nGC_711) + 4d0&
                      *cima*coupl(nGC_1151)**2d0*coupl(nGC_663)*coupl(nGC_711  &
                      ) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_1285)*coupl(nGC_68&
                      )*coupl(nGC_69) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_1285&
                      )*coupl(nGC_711)**2d0 + 4d0*cima*coupl(nGC_1151)*coupl(  &
                      nGC_63)*coupl(nGC_68)*coupl(nGC_711) + 4d0*cima*coupl(   &
                      nGC_1151)*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_711) +   &
                      4d0*cima*coupl(nGC_1151)*coupl(nGC_64)*coupl(nGC_68)*    &
                      coupl(nGC_711) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_64)* &
                      coupl(nGC_69)*coupl(nGC_711) + 4d0*cima*coupl(nGC_1151)* &
                      coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*   &
                      coupl(nGC_1151)*coupl(nGC_663)*coupl(nGC_711)**2d0 + 4d0*&
                      cima*coupl(nGC_1151)*coupl(nGC_68)*coupl(nGC_72)*coupl(  &
                      nGC_879) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_69)*coupl( &
                      nGC_72)*coupl(nGC_879) + 9d0*cima*coupl(nGC_1285)*coupl( &
                      nGC_63)*coupl(nGC_643)**2d0 + 9d0*cima*coupl(nGC_1285)*  &
                      coupl(nGC_63)*coupl(nGC_913)**2d0 + 9d0*cima*coupl(      &
                      nGC_1285)*coupl(nGC_64)*coupl(nGC_643)**2d0 + 9d0*cima*  &
                      coupl(nGC_1285)*coupl(nGC_64)*coupl(nGC_913)**2d0 + 4d0* &
                      cima*coupl(nGC_1285)*coupl(nGC_68)*coupl(nGC_69)*coupl(  &
                      nGC_711) - 32d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(&
                      nGC_80)**2d0 + 8d0*cima*coupl(nGC_1559)*coupl(nGC_72)*   &
                      coupl(nGC_879)*coupl(nGC_94) - 32d0*cima*coupl(nGC_161)* &
                      coupl(nGC_165)*coupl(nGC_80)**2d0 - 32d0*cima*coupl(     &
                      nGC_184)*coupl(nGC_188)*coupl(nGC_80)**2d0 + 9d0*cima*   &
                      coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(nGC_663) + 9d0*cima&
                      *coupl(nGC_3)**2d0*coupl(nGC_64)*coupl(nGC_663) + 8d0*   &
                      cima*coupl(nGC_3331)*coupl(nGC_72)*coupl(nGC_879)*coupl( &
                      nGC_92) + 9d0*cima*coupl(nGC_3331)*coupl(nGC_82)**2d0*   &
                      coupl(nGC_91) + 9d0*cima*coupl(nGC_3331)*coupl(nGC_91)*  &
                      coupl(nGC_913)**2d0 + 9d0*cima*coupl(nGC_4075)*coupl(    &
                      nGC_82)**2d0*coupl(nGC_94) + 9d0*cima*coupl(nGC_4075)*   &
                      coupl(nGC_913)**2d0*coupl(nGC_94) + 9d0*cima*coupl(nGC_63&
                      )*coupl(nGC_663)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(    &
                      nGC_63)*coupl(nGC_68)**2d0*coupl(nGC_69) + 4d0*cima*coupl&
                      (nGC_63)*coupl(nGC_68)*coupl(nGC_69)**2d0 + 9d0*cima*    &
                      coupl(nGC_64)*coupl(nGC_663)*coupl(nGC_82)**2d0 + 4d0*   &
                      cima*coupl(nGC_64)*coupl(nGC_68)**2d0*coupl(nGC_69) + 4d0&
                      *cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69)**2d0 +   &
                      4d0*cima*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_69)*coupl&
                      (nGC_711) + 4d0*cima*coupl(nGC_68)*coupl(nGC_711)*coupl( &
                      nGC_72)*coupl(nGC_879) + 4d0*cima*coupl(nGC_69)*coupl(   &
                      nGC_711)*coupl(nGC_72)*coupl(nGC_879) + 6d0*coupl(       &
                      nGC_1151)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(       &
                      nGC_1151)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(       &
                      nGC_1269)*coupl(nGC_3331)*coupl(nGC_91) - 6d0*coupl(     &
                      nGC_1269)*coupl(nGC_4075)*coupl(nGC_94) - 6d0*coupl(     &
                      nGC_1285)*coupl(nGC_14)*coupl(nGC_913) - 6d0*coupl(      &
                      nGC_1285)*coupl(nGC_15)*coupl(nGC_913) - 6d0*coupl(      &
                      nGC_1285)*coupl(nGC_63)*coupl(nGC_78) - 6d0*coupl(       &
                      nGC_1285)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl(       &
                      nGC_1285)*coupl(nGC_643)*coupl(nGC_65) - 6d0*coupl(      &
                      nGC_1285)*coupl(nGC_643)*coupl(nGC_66) - 6d0*coupl(nGC_14&
                      )*coupl(nGC_663)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(&
                      nGC_663)*coupl(nGC_82) + 6d0*coupl(nGC_1559)*coupl(nGC_62&
                      )*coupl(nGC_94) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl( &
                      nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_913  &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82) - 6d0* &
                      coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_913) - 6d0*coupl(  &
                      nGC_3)*coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(nGC_3)*   &
                      coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(    &
                      nGC_65)*coupl(nGC_663) - 6d0*coupl(nGC_3)*coupl(nGC_66)* &
                      coupl(nGC_663) + 6d0*coupl(nGC_3331)*coupl(nGC_62)*coupl(&
                      nGC_92) + 6d0*coupl(nGC_62)*coupl(nGC_68)*coupl(nGC_711  &
                      ) + 6d0*coupl(nGC_62)*coupl(nGC_69)*coupl(nGC_711) - 6d0*&
                      coupl(nGC_63)*coupl(nGC_643)*coupl(nGC_70) - 6d0*coupl(  &
                      nGC_63)*coupl(nGC_663)*coupl(nGC_78) - 6d0*coupl(nGC_64)*&
                      coupl(nGC_643)*coupl(nGC_70) - 6d0*coupl(nGC_64)*coupl(  &
                      nGC_663)*coupl(nGC_78))/(192d0*pi**2d0)
    coupl(nGC_9242) = (120d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_133)**2d0 + &
                      120d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_141)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_149)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_173)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_180)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_195)**2d0 -  &
                      5d0*cima*coupl(nGC_1151)**2d0*coupl(nGC_68)**2d0 - 5d0*  &
                      cima*coupl(nGC_1151)**2d0*coupl(nGC_69)**2d0 - 20d0*cima*&
                      coupl(nGC_1151)*coupl(nGC_1285)*coupl(nGC_63)*coupl(     &
                      nGC_69) - 10d0*cima*coupl(nGC_1151)*coupl(nGC_1285)*coupl&
                      (nGC_64)*coupl(nGC_69) - 20d0*cima*coupl(nGC_1151)*coupl(&
                      nGC_63)*coupl(nGC_64)*coupl(nGC_711) - 20d0*cima*coupl(  &
                      nGC_1151)*coupl(nGC_63)*coupl(nGC_663)*coupl(nGC_68) -   &
                      10d0*cima*coupl(nGC_1151)*coupl(nGC_64)*coupl(nGC_663)*  &
                      coupl(nGC_68) - 10d0*cima*coupl(nGC_1151)*coupl(nGC_68)**&
                      2d0*coupl(nGC_711) - 10d0*cima*coupl(nGC_1151)*coupl(    &
                      nGC_69)**2d0*coupl(nGC_711) - 5d0*cima*coupl(nGC_1285)** &
                      2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(nGC_1285)**2d0* &
                      coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1285)** &
                      2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_1285)**2d0* &
                      coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_1285)*coupl(    &
                      nGC_63)*coupl(nGC_69)*coupl(nGC_711) - 20d0*cima*coupl(  &
                      nGC_1285)*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_711) +   &
                      120d0*cima*coupl(nGC_153)**2d0*coupl(nGC_157)**2d0 - 5d0*&
                      cima*coupl(nGC_1559)**2d0*coupl(nGC_94)**2d0 - 20d0*cima*&
                      coupl(nGC_1559)*coupl(nGC_3331)*coupl(nGC_91)*coupl(     &
                      nGC_94) - 10d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*coupl&
                      (nGC_92)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1559)*coupl(&
                      nGC_4075)*coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl( &
                      nGC_1559)*coupl(nGC_4075)*coupl(nGC_94)**2d0 + 120d0*cima&
                      *coupl(nGC_161)**2d0*coupl(nGC_165)**2d0 + 120d0*cima*   &
                      coupl(nGC_184)**2d0*coupl(nGC_188)**2d0 - 5d0*cima*coupl(&
                      nGC_3331)**2d0*coupl(nGC_91)**2d0 - 10d0*cima*coupl(     &
                      nGC_3331)**2d0*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*   &
                      coupl(nGC_3331)**2d0*coupl(nGC_92)**2d0 - 10d0*cima*coupl&
                      (nGC_3331)**2d0*coupl(nGC_94)**2d0 - 10d0*cima*coupl(    &
                      nGC_3331)*coupl(nGC_4075)*coupl(nGC_91)*coupl(nGC_94) -  &
                      20d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(nGC_92)* &
                      coupl(nGC_94) - 5d0*cima*coupl(nGC_4075)**2d0*coupl(     &
                      nGC_94)**2d0 + 12d0*cima*coupl(nGC_61)**2d0 - 5d0*cima*  &
                      coupl(nGC_63)**2d0*coupl(nGC_663)**2d0 - 10d0*cima*coupl(&
                      nGC_63)*coupl(nGC_64)*coupl(nGC_663)**2d0 - 10d0*cima*   &
                      coupl(nGC_63)*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_711 &
                      ) - 5d0*cima*coupl(nGC_64)**2d0*coupl(nGC_663)**2d0 -    &
                      20d0*cima*coupl(nGC_64)*coupl(nGC_663)*coupl(nGC_68)*    &
                      coupl(nGC_711) - 10d0*cima*coupl(nGC_663)**2d0*coupl(    &
                      nGC_68)**2d0 - 5d0*cima*coupl(nGC_68)**2d0*coupl(nGC_711 &
                      )**2d0 - 5d0*cima*coupl(nGC_69)**2d0*coupl(nGC_711)**2d0 &
                       + 6d0*cima*coupl(nGC_99)**2d0 + 3d0*coupl(nGC_1151)*    &
                      coupl(nGC_1285)*coupl(nGC_24) + 6d0*coupl(nGC_1151)*coupl&
                      (nGC_22)*coupl(nGC_69) + 6d0*coupl(nGC_1151)*coupl(nGC_23&
                      )*coupl(nGC_68) + 3d0*coupl(nGC_1151)*coupl(nGC_27)*coupl&
                      (nGC_663) + 3d0*coupl(nGC_1151)*coupl(nGC_30)*coupl(     &
                      nGC_63) + 3d0*coupl(nGC_1151)*coupl(nGC_32)*coupl(nGC_63 &
                      ) + 12d0*coupl(nGC_1151)*coupl(nGC_36)*coupl(nGC_711) -  &
                      6d0*coupl(nGC_1151)*coupl(nGC_61)*coupl(nGC_63) + 6d0*   &
                      coupl(nGC_1285)**2d0*coupl(nGC_36) + 6d0*coupl(nGC_1285)*&
                      coupl(nGC_22)*coupl(nGC_63) + 6d0*coupl(nGC_1285)*coupl( &
                      nGC_23)*coupl(nGC_64) + 3d0*coupl(nGC_1285)*coupl(nGC_27 &
                      )*coupl(nGC_711) + 3d0*coupl(nGC_1285)*coupl(nGC_34)*    &
                      coupl(nGC_69) + 3d0*coupl(nGC_1285)*coupl(nGC_35)*coupl( &
                      nGC_69) - 6d0*coupl(nGC_1285)*coupl(nGC_61)*coupl(nGC_69 &
                      ) + 6d0*coupl(nGC_1559)*coupl(nGC_25)*coupl(nGC_94) + 3d0&
                      *coupl(nGC_1559)*coupl(nGC_29)*coupl(nGC_94) + 3d0*coupl(&
                      nGC_1559)*coupl(nGC_33)*coupl(nGC_91) + 6d0*coupl(       &
                      nGC_1559)*coupl(nGC_37)*coupl(nGC_92) - 3d0*coupl(       &
                      nGC_1559)*coupl(nGC_91)*coupl(nGC_99) + 6d0*coupl(nGC_22 &
                      )*coupl(nGC_64)*coupl(nGC_663) + 6d0*coupl(nGC_22)*coupl(&
                      nGC_68)*coupl(nGC_711) + 6d0*coupl(nGC_23)*coupl(nGC_63)*&
                      coupl(nGC_663) + 6d0*coupl(nGC_23)*coupl(nGC_69)*coupl(  &
                      nGC_711) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_69  &
                      ) + 3d0*coupl(nGC_24)*coupl(nGC_64)*coupl(nGC_68) + 3d0* &
                      coupl(nGC_24)*coupl(nGC_663)*coupl(nGC_711) + 6d0*coupl( &
                      nGC_25)*coupl(nGC_3331)*coupl(nGC_91) + 6d0*coupl(nGC_26 &
                      )*coupl(nGC_3331)*coupl(nGC_92) + 6d0*coupl(nGC_26)*coupl&
                      (nGC_4075)*coupl(nGC_94) + 3d0*coupl(nGC_27)*coupl(nGC_63&
                      )*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl( &
                      nGC_69) + 3d0*coupl(nGC_28)*coupl(nGC_3331)*coupl(nGC_92 &
                      ) + 3d0*coupl(nGC_28)*coupl(nGC_4075)*coupl(nGC_94) + 3d0&
                      *coupl(nGC_29)*coupl(nGC_3331)*coupl(nGC_91) + 3d0*coupl(&
                      nGC_30)*coupl(nGC_64)*coupl(nGC_711) + 3d0*coupl(nGC_31)*&
                      coupl(nGC_4075)*coupl(nGC_92) + 3d0*coupl(nGC_32)*coupl( &
                      nGC_64)*coupl(nGC_711) + 12d0*coupl(nGC_3331)*coupl(     &
                      nGC_37)*coupl(nGC_94) + 3d0*coupl(nGC_3331)*coupl(nGC_38 &
                      )*coupl(nGC_94) + 3d0*coupl(nGC_3331)*coupl(nGC_39)*coupl&
                      (nGC_94) - 6d0*coupl(nGC_3331)*coupl(nGC_94)*coupl(nGC_99&
                      ) + 3d0*coupl(nGC_34)*coupl(nGC_663)*coupl(nGC_68) + 3d0*&
                      coupl(nGC_35)*coupl(nGC_663)*coupl(nGC_68) + 12d0*coupl( &
                      nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)* &
                      coupl(nGC_663)**2d0 + 6d0*coupl(nGC_36)*coupl(nGC_68)**  &
                      2d0 + 6d0*coupl(nGC_36)*coupl(nGC_69)**2d0 + 6d0*coupl(  &
                      nGC_37)*coupl(nGC_4075)*coupl(nGC_91) - 3d0*coupl(       &
                      nGC_4075)*coupl(nGC_92)*coupl(nGC_99) - 6d0*coupl(nGC_61 &
                      )*coupl(nGC_64)*coupl(nGC_711) - 6d0*coupl(nGC_61)*coupl(&
                      nGC_663)*coupl(nGC_68))/(96d0*pi**2d0)
    coupl(nGC_9241) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_80)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_80)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_80)**2d0 + 4d0&
                      *cima*coupl(nGC_1151)**2d0*coupl(nGC_1285)*coupl(nGC_663 &
                      ) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_1285)*coupl(nGC_63&
                      )*coupl(nGC_69) + 8d0*cima*coupl(nGC_1151)*coupl(nGC_1285&
                      )*coupl(nGC_663)*coupl(nGC_711) + 8d0*cima*coupl(nGC_1151&
                      )*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_711) + 9d0*cima* &
                      coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_643)**2d0 + 4d0* &
                      cima*coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_663)*coupl( &
                      nGC_68) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_63)*coupl(  &
                      nGC_72)*coupl(nGC_879) + 9d0*cima*coupl(nGC_1151)*coupl( &
                      nGC_63)*coupl(nGC_913)**2d0 + 12d0*cima*coupl(nGC_1269)* &
                      coupl(nGC_99) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_64)*  &
                      coupl(nGC_69)*coupl(nGC_711) + 9d0*cima*coupl(nGC_1285)* &
                      coupl(nGC_643)**2d0*coupl(nGC_69) + 8d0*cima*coupl(      &
                      nGC_1285)*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_69) +   &
                      4d0*cima*coupl(nGC_1285)*coupl(nGC_663)*coupl(nGC_711)** &
                      2d0 + 4d0*cima*coupl(nGC_1285)*coupl(nGC_69)*coupl(nGC_72&
                      )*coupl(nGC_879) + 9d0*cima*coupl(nGC_1285)*coupl(nGC_69 &
                      )*coupl(nGC_913)**2d0 - 32d0*cima*coupl(nGC_157)**2d0*   &
                      coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_165)**2d0*coupl(&
                      nGC_80)**2d0 - 32d0*cima*coupl(nGC_188)**2d0*coupl(nGC_80&
                      )**2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_64)*coupl( &
                      nGC_711) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_663)*    &
                      coupl(nGC_68) + 8d0*cima*coupl(nGC_3331)*coupl(nGC_72)*  &
                      coupl(nGC_879)*coupl(nGC_94) + 9d0*cima*coupl(nGC_3331)* &
                      coupl(nGC_82)**2d0*coupl(nGC_94) + 9d0*cima*coupl(       &
                      nGC_3331)*coupl(nGC_913)**2d0*coupl(nGC_94) + 8d0*cima*  &
                      coupl(nGC_4075)*coupl(nGC_72)*coupl(nGC_879)*coupl(nGC_92&
                      ) + 9d0*cima*coupl(nGC_4075)*coupl(nGC_82)**2d0*coupl(   &
                      nGC_92) + 9d0*cima*coupl(nGC_4075)*coupl(nGC_913)**2d0*  &
                      coupl(nGC_92) + 24d0*cima*coupl(nGC_61)*coupl(nGC_78) +  &
                      4d0*cima*coupl(nGC_63)**2d0*coupl(nGC_68)*coupl(nGC_69   &
                      ) + 8d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68)*  &
                      coupl(nGC_69) + 4d0*cima*coupl(nGC_64)**2d0*coupl(nGC_68 &
                      )*coupl(nGC_69) + 4d0*cima*coupl(nGC_64)*coupl(nGC_663)* &
                      coupl(nGC_68)*coupl(nGC_711) + 4d0*cima*coupl(nGC_64)*   &
                      coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_879) + 9d0*cima*  &
                      coupl(nGC_64)*coupl(nGC_711)*coupl(nGC_82)**2d0 + 4d0*   &
                      cima*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_72)*coupl(   &
                      nGC_879) + 9d0*cima*coupl(nGC_663)*coupl(nGC_68)*coupl(  &
                      nGC_82)**2d0 - 6d0*coupl(nGC_1151)*coupl(nGC_15)*coupl(  &
                      nGC_913) + 6d0*coupl(nGC_1151)*coupl(nGC_62)*coupl(nGC_63&
                      ) - 6d0*coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_78) - 6d0&
                      *coupl(nGC_1151)*coupl(nGC_643)*coupl(nGC_66) - 6d0*coupl&
                      (nGC_1269)*coupl(nGC_3331)*coupl(nGC_94) - 6d0*coupl(    &
                      nGC_1269)*coupl(nGC_4075)*coupl(nGC_92) - 6d0*coupl(     &
                      nGC_1285)*coupl(nGC_16)*coupl(nGC_913) + 6d0*coupl(      &
                      nGC_1285)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(       &
                      nGC_1285)*coupl(nGC_643)*coupl(nGC_70) - 6d0*coupl(      &
                      nGC_1285)*coupl(nGC_69)*coupl(nGC_78) - 6d0*coupl(nGC_15 &
                      )*coupl(nGC_63)*coupl(nGC_913) - 6d0*coupl(nGC_15)*coupl(&
                      nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_711)*&
                      coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_663)*coupl(  &
                      nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_82   &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_913) - 6d0*&
                      coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_66) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_66)*coupl(nGC_711) - 6d0*coupl(nGC_3)*  &
                      coupl(nGC_663)*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(   &
                      nGC_68)*coupl(nGC_70) + 6d0*coupl(nGC_3331)*coupl(nGC_62 &
                      )*coupl(nGC_94) + 6d0*coupl(nGC_4075)*coupl(nGC_62)*coupl&
                      (nGC_92) + 36d0*coupl(nGC_61)*coupl(nGC_643)**2d0 + 36d0*&
                      coupl(nGC_61)*coupl(nGC_913)**2d0 + 6d0*coupl(nGC_62)*   &
                      coupl(nGC_64)*coupl(nGC_711) + 6d0*coupl(nGC_62)*coupl(  &
                      nGC_663)*coupl(nGC_68) - 6d0*coupl(nGC_63)*coupl(nGC_643 &
                      )*coupl(nGC_66) - 6d0*coupl(nGC_64)*coupl(nGC_711)*coupl(&
                      nGC_78) - 6d0*coupl(nGC_643)*coupl(nGC_69)*coupl(nGC_70  &
                      ) - 6d0*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_78) + 36d0&
                      *coupl(nGC_82)**2d0*coupl(nGC_99))/(192d0*pi**2d0)
    coupl(nGC_9240) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)**3d0 + 40d0* &
                      Nc*cima*coupl(nGC_137)**3d0*coupl(nGC_141) + 40d0*Nc*cima&
                      *coupl(nGC_145)*coupl(nGC_149)**3d0 + 40d0*Nc*cima*coupl(&
                      nGC_169)*coupl(nGC_173)**3d0 + 40d0*Nc*cima*coupl(nGC_177&
                      )*coupl(nGC_180)**3d0 + 40d0*Nc*cima*coupl(nGC_192)*coupl&
                      (nGC_195)**3d0 - 5d0*cima*coupl(nGC_1151)**2d0*coupl(    &
                      nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1151)*coupl(  &
                      nGC_1285)*coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_1151)* &
                      coupl(nGC_1285)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*  &
                      coupl(nGC_1151)*coupl(nGC_1285)*coupl(nGC_69)**2d0 - 5d0*&
                      cima*coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_69)*coupl(  &
                      nGC_711) - 5d0*cima*coupl(nGC_1151)*coupl(nGC_64)*coupl( &
                      nGC_68)*coupl(nGC_711) - 5d0*cima*coupl(nGC_1151)*coupl( &
                      nGC_663)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1285)** &
                      2d0*coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1285&
                      )**2d0*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(     &
                      nGC_1285)*coupl(nGC_69)**2d0*coupl(nGC_711) + 40d0*cima* &
                      coupl(nGC_153)*coupl(nGC_157)**3d0 - 5d0*cima*coupl(     &
                      nGC_1559)*coupl(nGC_3331)*coupl(nGC_94)**2d0 - 5d0*cima* &
                      coupl(nGC_1559)*coupl(nGC_4075)*coupl(nGC_92)*coupl(     &
                      nGC_94) + 40d0*cima*coupl(nGC_161)*coupl(nGC_165)**3d0 + &
                      40d0*cima*coupl(nGC_184)*coupl(nGC_188)**3d0 - 5d0*cima* &
                      coupl(nGC_3331)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*  &
                      cima*coupl(nGC_3331)**2d0*coupl(nGC_92)*coupl(nGC_94) -  &
                      5d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(nGC_91)*  &
                      coupl(nGC_92) - 5d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*&
                      coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_3331)*coupl(     &
                      nGC_4075)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_4075)**&
                      2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*&
                      coupl(nGC_64)*coupl(nGC_663)*coupl(nGC_711) - 5d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_663)**2d0*coupl(nGC_68) - 5d0*   &
                      cima*coupl(nGC_64)**2d0*coupl(nGC_663)*coupl(nGC_711) -  &
                      5d0*cima*coupl(nGC_64)*coupl(nGC_663)**2d0*coupl(nGC_68  &
                      ) - 5d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_711)**&
                      2d0 - 5d0*cima*coupl(nGC_663)*coupl(nGC_68)**2d0*coupl(  &
                      nGC_711) + 3d0*coupl(nGC_1151)*coupl(nGC_1285)*coupl(    &
                      nGC_36) + 3d0*coupl(nGC_1151)*coupl(nGC_22)*coupl(nGC_63 &
                      ) + 4d0*coupl(nGC_1151)*coupl(nGC_27)*coupl(nGC_711) +   &
                      2d0*coupl(nGC_1151)*coupl(nGC_32)*coupl(nGC_68) + 2d0*   &
                      coupl(nGC_1151)*coupl(nGC_34)*coupl(nGC_69) - coupl(     &
                      nGC_1151)*coupl(nGC_61)*coupl(nGC_68) - coupl(nGC_1151)* &
                      coupl(nGC_61)*coupl(nGC_69) + coupl(nGC_1285)**2d0*coupl(&
                      nGC_27) + 3d0*coupl(nGC_1285)*coupl(nGC_23)*coupl(nGC_69 &
                      ) + coupl(nGC_1285)*coupl(nGC_32)*coupl(nGC_64) + coupl( &
                      nGC_1285)*coupl(nGC_34)*coupl(nGC_63) - 2d0*coupl(       &
                      nGC_1285)*coupl(nGC_61)*coupl(nGC_63) - 2d0*coupl(       &
                      nGC_1285)*coupl(nGC_61)*coupl(nGC_64) + 2d0*coupl(       &
                      nGC_1559)*coupl(nGC_29)*coupl(nGC_92) + 2d0*coupl(       &
                      nGC_1559)*coupl(nGC_33)*coupl(nGC_94) - coupl(nGC_1559)* &
                      coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl(nGC_22)*coupl(   &
                      nGC_64)*coupl(nGC_711) + 3d0*coupl(nGC_23)*coupl(nGC_663 &
                      )*coupl(nGC_68) + 3d0*coupl(nGC_25)*coupl(nGC_3331)*coupl&
                      (nGC_94) + 3d0*coupl(nGC_26)*coupl(nGC_4075)*coupl(nGC_92&
                      ) + 2d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_64) + coupl&
                      (nGC_27)*coupl(nGC_663)**2d0 + 2d0*coupl(nGC_27)*coupl(  &
                      nGC_68)**2d0 + 2d0*coupl(nGC_27)*coupl(nGC_69)**2d0 + 3d0&
                      *coupl(nGC_29)*coupl(nGC_3331)*coupl(nGC_94) + coupl(    &
                      nGC_29)*coupl(nGC_4075)*coupl(nGC_91) + coupl(nGC_32)*   &
                      coupl(nGC_63)*coupl(nGC_663) + 2d0*coupl(nGC_32)*coupl(  &
                      nGC_69)*coupl(nGC_711) + coupl(nGC_33)*coupl(nGC_3331)*  &
                      coupl(nGC_91) + 3d0*coupl(nGC_3331)*coupl(nGC_37)*coupl( &
                      nGC_92) + 2d0*coupl(nGC_3331)*coupl(nGC_38)*coupl(nGC_92 &
                      ) - 2d0*coupl(nGC_3331)*coupl(nGC_91)*coupl(nGC_99) -    &
                      coupl(nGC_3331)*coupl(nGC_92)*coupl(nGC_99) + coupl(     &
                      nGC_34)*coupl(nGC_64)*coupl(nGC_663) + 2d0*coupl(nGC_34)*&
                      coupl(nGC_68)*coupl(nGC_711) + 3d0*coupl(nGC_36)*coupl(  &
                      nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_64)* &
                      coupl(nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_663)*coupl(  &
                      nGC_711) + 3d0*coupl(nGC_37)*coupl(nGC_4075)*coupl(nGC_94&
                      ) + coupl(nGC_38)*coupl(nGC_4075)*coupl(nGC_94) - 2d0*   &
                      coupl(nGC_4075)*coupl(nGC_94)*coupl(nGC_99) - 2d0*coupl( &
                      nGC_61)*coupl(nGC_63)*coupl(nGC_663) - 2d0*coupl(nGC_61)*&
                      coupl(nGC_64)*coupl(nGC_663) - coupl(nGC_61)*coupl(nGC_68&
                      )*coupl(nGC_711) - coupl(nGC_61)*coupl(nGC_69)*coupl(    &
                      nGC_711))/(32d0*pi**2d0)
    coupl(nGC_9247) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0 -  &
                      coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(nGC_173&
                      )**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)**2d0)/(16d0&
                      *pi**2d0)
    coupl(nGC_9246) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_85&
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl&
                      (nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_130)*    &
                      coupl(nGC_133)*coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(  &
                      nGC_137)*coupl(nGC_141)*coupl(nGC_84)**2d0 + 40d0*Nc*cima&
                      *coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_84)*coupl(nGC_87&
                      ) - 32d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(    &
                      nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149 &
                      )*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_145)*coupl(&
                      nGC_149)*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl&
                      (nGC_145)*coupl(nGC_149)*coupl(nGC_87)**2d0 - 32d0*Nc*   &
                      cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_84)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_84)*&
                      coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173&
                      )*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_177)*coupl(&
                      nGC_180)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_177 &
                      )*coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*  &
                      cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_88)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_85  &
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl&
                      (nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_192)*    &
                      coupl(nGC_195)*coupl(nGC_88)**2d0 + 4d0*cima*coupl(      &
                      nGC_1151)*coupl(nGC_611)**2d0*coupl(nGC_68) + 4d0*cima*  &
                      coupl(nGC_1151)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 9d0*  &
                      cima*coupl(nGC_1285)*coupl(nGC_63)*coupl(nGC_82)**2d0 +  &
                      9d0*cima*coupl(nGC_1285)*coupl(nGC_64)*coupl(nGC_82)**2d0&
                       - 32d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_86  &
                      )**2d0 + 40d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(  &
                      nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_153)*coupl(  &
                      nGC_157)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_1559)** &
                      2d0*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1559&
                      )**2d0*coupl(nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(     &
                      nGC_1559)*coupl(nGC_3331)*coupl(nGC_92)**2d0 + 4d0*cima* &
                      coupl(nGC_1559)*coupl(nGC_3331)*coupl(nGC_94)**2d0 - 32d0&
                      *cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_86)**2d0 + &
                      40d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_86)*   &
                      coupl(nGC_89) - 32d0*cima*coupl(nGC_161)*coupl(nGC_165)* &
                      coupl(nGC_89)**2d0 - 32d0*cima*coupl(nGC_184)*coupl(     &
                      nGC_188)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_184)*  &
                      coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*  &
                      coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_89)**2d0 + 4d0*  &
                      cima*coupl(nGC_3331)**2d0*coupl(nGC_91)*coupl(nGC_94) +  &
                      4d0*cima*coupl(nGC_3331)**2d0*coupl(nGC_92)*coupl(nGC_94 &
                      ) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(nGC_92&
                      )**2d0 + 4d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl( &
                      nGC_94)**2d0 + 4d0*cima*coupl(nGC_611)**2d0*coupl(nGC_68 &
                      )*coupl(nGC_711) + 9d0*cima*coupl(nGC_63)*coupl(nGC_663)*&
                      coupl(nGC_913)**2d0 + 9d0*cima*coupl(nGC_64)*coupl(      &
                      nGC_663)*coupl(nGC_913)**2d0 + 4d0*cima*coupl(nGC_69)*   &
                      coupl(nGC_711)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_100)*  &
                      coupl(nGC_1151)*coupl(nGC_68) + 3d0*coupl(nGC_100)*coupl(&
                      nGC_1151)*coupl(nGC_69) + 3d0*coupl(nGC_100)*coupl(nGC_68&
                      )*coupl(nGC_711) + 3d0*coupl(nGC_100)*coupl(nGC_69)*coupl&
                      (nGC_711) + 3d0*coupl(nGC_101)*coupl(nGC_1559)*coupl(    &
                      nGC_94) + 3d0*coupl(nGC_101)*coupl(nGC_3331)*coupl(nGC_92&
                      ) - 3d0*coupl(nGC_1269)*coupl(nGC_1285)*coupl(nGC_63) -  &
                      3d0*coupl(nGC_1269)*coupl(nGC_1285)*coupl(nGC_64) - 3d0* &
                      coupl(nGC_1269)*coupl(nGC_63)*coupl(nGC_663) - 3d0*coupl(&
                      nGC_1269)*coupl(nGC_64)*coupl(nGC_663) - 6d0*coupl(      &
                      nGC_1285)*coupl(nGC_14)*coupl(nGC_82) - 6d0*coupl(       &
                      nGC_1285)*coupl(nGC_15)*coupl(nGC_82) - 6d0*coupl(nGC_14 &
                      )*coupl(nGC_663)*coupl(nGC_913) - 6d0*coupl(nGC_15)*coupl&
                      (nGC_663)*coupl(nGC_913) - 6d0*coupl(nGC_16)*coupl(nGC_63&
                      )*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl( &
                      nGC_913) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82  &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_913))/(96d0&
                      *pi**2d0)
    coupl(nGC_9245) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)*coupl(    &
                      nGC_88) - 32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_88  &
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_84)**&
                      2d0 + 40d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_84)*    &
                      coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(  &
                      nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_149)**2d0*coupl(   &
                      nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_149)**2d0*coupl(   &
                      nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_149)**2d0*&
                      coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_173)**2d0*   &
                      coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_173)**2d0*   &
                      coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_173 &
                      )**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_180)**&
                      2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_180)**2d0&
                      *coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_180&
                      )**2d0*coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_195)**&
                      2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_195)**2d0&
                      *coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_195&
                      )**2d0*coupl(nGC_88)**2d0 + 9d0*cima*coupl(nGC_1151)*    &
                      coupl(nGC_63)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(       &
                      nGC_1151)*coupl(nGC_63)*coupl(nGC_96)**2d0 + 12d0*cima*  &
                      coupl(nGC_1269)*coupl(nGC_61) + 9d0*cima*coupl(nGC_1285)*&
                      coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(       &
                      nGC_1285)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 4d0*cima*   &
                      coupl(nGC_1559)*coupl(nGC_3331)*coupl(nGC_91)*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*coupl(&
                      nGC_92)*coupl(nGC_94) - 32d0*cima*coupl(nGC_157)**2d0*   &
                      coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_157)**2d0*coupl(&
                      nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_157)**2d0*   &
                      coupl(nGC_89)**2d0 - 32d0*cima*coupl(nGC_165)**2d0*coupl(&
                      nGC_86)**2d0 + 40d0*cima*coupl(nGC_165)**2d0*coupl(nGC_86&
                      )*coupl(nGC_89) - 32d0*cima*coupl(nGC_165)**2d0*coupl(   &
                      nGC_89)**2d0 - 32d0*cima*coupl(nGC_188)**2d0*coupl(nGC_86&
                      )**2d0 + 40d0*cima*coupl(nGC_188)**2d0*coupl(nGC_86)*    &
                      coupl(nGC_89) - 32d0*cima*coupl(nGC_188)**2d0*coupl(     &
                      nGC_89)**2d0 + 4d0*cima*coupl(nGC_3331)**2d0*coupl(nGC_92&
                      )**2d0 + 4d0*cima*coupl(nGC_3331)**2d0*coupl(nGC_94)**2d0&
                       + 4d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(nGC_91 &
                      )*coupl(nGC_94) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_4075&
                      )*coupl(nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(nGC_4075  &
                      )**2d0*coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_4075)**2d0&
                      *coupl(nGC_94)**2d0 + 4d0*cima*coupl(nGC_611)**2d0*coupl(&
                      nGC_64)*coupl(nGC_711) + 4d0*cima*coupl(nGC_611)**2d0*   &
                      coupl(nGC_663)*coupl(nGC_68) + 9d0*cima*coupl(nGC_64)*   &
                      coupl(nGC_711)*coupl(nGC_913)**2d0 + 9d0*cima*coupl(     &
                      nGC_663)*coupl(nGC_68)*coupl(nGC_913)**2d0 + 3d0*coupl(  &
                      nGC_100)*coupl(nGC_1151)*coupl(nGC_63) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_1285)*coupl(nGC_69) + 3d0*coupl(      &
                      nGC_100)*coupl(nGC_64)*coupl(nGC_711) + 3d0*coupl(nGC_100&
                      )*coupl(nGC_663)*coupl(nGC_68) + 3d0*coupl(nGC_101)*coupl&
                      (nGC_3331)*coupl(nGC_94) + 3d0*coupl(nGC_101)*coupl(     &
                      nGC_4075)*coupl(nGC_92) - 3d0*coupl(nGC_1151)*coupl(     &
                      nGC_1269)*coupl(nGC_63) - 6d0*coupl(nGC_1151)*coupl(     &
                      nGC_15)*coupl(nGC_82) - 3d0*coupl(nGC_1269)*coupl(       &
                      nGC_1285)*coupl(nGC_69) - 3d0*coupl(nGC_1269)*coupl(     &
                      nGC_64)*coupl(nGC_711) - 3d0*coupl(nGC_1269)*coupl(      &
                      nGC_663)*coupl(nGC_68) - 6d0*coupl(nGC_1285)*coupl(nGC_16&
                      )*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl( &
                      nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_913  &
                      ) - 6d0*coupl(nGC_15)*coupl(nGC_711)*coupl(nGC_913) - 6d0&
                      *coupl(nGC_16)*coupl(nGC_663)*coupl(nGC_913) - 6d0*coupl(&
                      nGC_16)*coupl(nGC_68)*coupl(nGC_913) - 6d0*coupl(nGC_16)*&
                      coupl(nGC_69)*coupl(nGC_82) + 18d0*coupl(nGC_61)*coupl(  &
                      nGC_82)**2d0 + 18d0*coupl(nGC_61)*coupl(nGC_913)**2d0)/( &
                      96d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
